If you are reporting a bug or requesting support, start here:
### Bug or support request summary

_Please provide issue details here - What did you expect to happen? What happened instead?_ 

### Steps to reproduce

_Please provide necessary steps for reproduction of this issue. Describe the exact steps a maintainer has to take to make the problem occur. If the problem is non-trivial to reproduce, please link a repository or provide some code snippets._

_(A screencast can be useful for visual bugs, but it is not a substitute for a textual description.)_

### Please specify which version of Storybook and optionally any affected addons that you're running

- @storybook/react x.x.x
- @storybook/addon-something x.x.x

### Affected platforms 

- _If UI related, please indicate browser, OS, and version_
- _If dependency related, please include relevant version numbers_
- _If developer tooling related, please include the platform information_

### Screenshots / Screencast / Code Snippets (Optional)

```js
// code here
```
End bug report support request - delete the rest below


If you are creating a issue to track work to be completed, start here:
### Work summary

_Please provide a description of the work to be completed here - Include some context as to why something needs to be done and link any related tickets._ 

### Where to start

_Please list the file(s) a contributor needs to figure out where to start work and include any docs or tutorials that may be applicable._

### Acceptance criteria

_Please include a checklist of the requirements necessary to close this ticket. The work should be narrowly scoped and limited to a few hours worth by an experienced developer at the most._

### Who to contact

_Add yourself and/or people who are familiar with the code changes and requirements. These people should be able to review the completed code._
End work issue - please tag this issue with the correct status and type labels
