import ClientApi, {
  addDecorator,
  addParameters,
  addLoader,
  addArgTypesEnhancer,
} from './client_api';
import { defaultDecorateStory } from './decorators';
import { combineParameters } from './parameters';
import StoryStore from './story_store';
import ConfigApi from './config_api';
import pathToId from './pathToId';
import { simulatePageLoad, simulateDOMContentLoaded } from './simulate-pageload';

import { getQueryParams, getQueryParam } from './queryparams';

export * from './hooks';
export * from './types';
export * from './parameters';

// FIXME: for react-argtypes.stories; remove on refactor
export * from './inferControls';

export {
  ClientApi,
  addDecorator,
  addParameters,
  addLoader,
  addArgTypesEnhancer,
  combineParameters,
  StoryStore,
  ConfigApi,
  defaultDecorateStory,
  pathToId,
  getQueryParams,
  getQueryParam,
  simulatePageLoad,
  simulateDOMContentLoaded,
};
