/**
 * This data originates from the storiesHash state in Storybook. Grab it from the Manager node
 * using React DevTools by assigning it to a global variable, then use the following script to
 * remove the parameters, otherwise you'll end up with a huge file:
 *
 * JSON.stringify(
 *   Object.values($reactTemp1)
 *     .reduce((acc, {parameters, ...node}) => {
 *       acc[node.id] = node;
 *       return acc;
 *     }, {}), null, 2)
 */

import { Dataset } from './types';

export const stories = {
  emails: {
    name: 'Emails',
    id: 'emails',
    depth: 0,
    children: [
      'emails-introduction',
      'emails-buildnotification',
      'emails-commentnotification',
      'emails-paymentnotification',
      'emails-reviewnotification',
      'emails-snapshotnotification',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'emails-introduction': {
    id: 'emails-introduction',
    kind: 'Emails',
    name: 'Introduction',
    story: 'Introduction',
    args: {},
    argTypes: {},
    initialArgs: {},
    parent: 'emails',
    depth: 1,
    isComponent: true,
    isLeaf: true,
    isRoot: false,
  },
  'emails-buildnotification': {
    name: 'BuildNotification',
    id: 'emails-buildnotification',
    parent: 'emails',
    depth: 1,
    children: [
      'emails-buildnotification--with-changes',
      'emails-buildnotification--without-email',
      'emails-buildnotification--with-error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'emails-buildnotification--with-changes': {
    id: 'emails-buildnotification--with-changes',
    kind: 'Emails/BuildNotification',
    name: 'with changes',
    story: 'with changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-buildnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-buildnotification--without-email': {
    id: 'emails-buildnotification--without-email',
    kind: 'Emails/BuildNotification',
    name: 'without email',
    story: 'without email',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-buildnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-buildnotification--with-error': {
    id: 'emails-buildnotification--with-error',
    kind: 'Emails/BuildNotification',
    name: 'with error',
    story: 'with error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-buildnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification': {
    name: 'CommentNotification',
    id: 'emails-commentnotification',
    parent: 'emails',
    depth: 1,
    children: [
      'emails-commentnotification--new-discussion',
      'emails-commentnotification--new-discussion-no-diff',
      'emails-commentnotification--new-discussion-no-snapshot',
      'emails-commentnotification--new-discussion-no-pr',
      'emails-commentnotification--new-reply',
      'emails-commentnotification--resolution',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'emails-commentnotification--new-discussion': {
    id: 'emails-commentnotification--new-discussion',
    kind: 'Emails/CommentNotification',
    name: 'new discussion',
    story: 'new discussion',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification--new-discussion-no-diff': {
    id: 'emails-commentnotification--new-discussion-no-diff',
    kind: 'Emails/CommentNotification',
    name: 'new discussion, no diff',
    story: 'new discussion, no diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification--new-discussion-no-snapshot': {
    id: 'emails-commentnotification--new-discussion-no-snapshot',
    kind: 'Emails/CommentNotification',
    name: 'new discussion, no snapshot',
    story: 'new discussion, no snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification--new-discussion-no-pr': {
    id: 'emails-commentnotification--new-discussion-no-pr',
    kind: 'Emails/CommentNotification',
    name: 'new discussion, no PR',
    story: 'new discussion, no PR',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification--new-reply': {
    id: 'emails-commentnotification--new-reply',
    kind: 'Emails/CommentNotification',
    name: 'new reply',
    story: 'new reply',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-commentnotification--resolution': {
    id: 'emails-commentnotification--resolution',
    kind: 'Emails/CommentNotification',
    name: 'resolution',
    story: 'resolution',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-commentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-paymentnotification': {
    name: 'PaymentNotification',
    id: 'emails-paymentnotification',
    parent: 'emails',
    depth: 1,
    children: [
      'emails-paymentnotification--trial-ending',
      'emails-paymentnotification--trial-ended',
      'emails-paymentnotification--payment-failed',
      'emails-paymentnotification--payment-due',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'emails-paymentnotification--trial-ending': {
    id: 'emails-paymentnotification--trial-ending',
    kind: 'Emails/PaymentNotification',
    name: 'trial ending',
    story: 'trial ending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-paymentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-paymentnotification--trial-ended': {
    id: 'emails-paymentnotification--trial-ended',
    kind: 'Emails/PaymentNotification',
    name: 'trial ended',
    story: 'trial ended',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-paymentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-paymentnotification--payment-failed': {
    id: 'emails-paymentnotification--payment-failed',
    kind: 'Emails/PaymentNotification',
    name: 'payment failed',
    story: 'payment failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-paymentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-paymentnotification--payment-due': {
    id: 'emails-paymentnotification--payment-due',
    kind: 'Emails/PaymentNotification',
    name: 'payment due',
    story: 'payment due',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-paymentnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification': {
    name: 'ReviewNotification',
    id: 'emails-reviewnotification',
    parent: 'emails',
    depth: 1,
    children: [
      'emails-reviewnotification--approval',
      'emails-reviewnotification--approval-with-pending-reviews',
      'emails-reviewnotification--approval-with-pending-review',
      'emails-reviewnotification--approval-git-lab',
      'emails-reviewnotification--requesting-review',
      'emails-reviewnotification--requesting-review-small-diff-count',
      'emails-reviewnotification--requesting-review-with-errors',
      'emails-reviewnotification--requesting-review-only-errors',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'emails-reviewnotification--approval': {
    id: 'emails-reviewnotification--approval',
    kind: 'Emails/ReviewNotification',
    name: 'Approval',
    story: 'Approval',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--approval-with-pending-reviews': {
    id: 'emails-reviewnotification--approval-with-pending-reviews',
    kind: 'Emails/ReviewNotification',
    name: 'Approval, With Pending Reviews',
    story: 'Approval, With Pending Reviews',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--approval-with-pending-review': {
    id: 'emails-reviewnotification--approval-with-pending-review',
    kind: 'Emails/ReviewNotification',
    name: 'Approval, With Single Pending Review',
    story: 'Approval, With Single Pending Review',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--approval-git-lab': {
    id: 'emails-reviewnotification--approval-git-lab',
    kind: 'Emails/ReviewNotification',
    name: 'Approval, GitLab',
    story: 'Approval, GitLab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--requesting-review': {
    id: 'emails-reviewnotification--requesting-review',
    kind: 'Emails/ReviewNotification',
    name: 'Requesting Review',
    story: 'Requesting Review',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--requesting-review-small-diff-count': {
    id: 'emails-reviewnotification--requesting-review-small-diff-count',
    kind: 'Emails/ReviewNotification',
    name: 'Requesting Review, Small Diff Count',
    story: 'Requesting Review, Small Diff Count',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--requesting-review-with-errors': {
    id: 'emails-reviewnotification--requesting-review-with-errors',
    kind: 'Emails/ReviewNotification',
    name: 'Requesting Review, With Errored Diffs',
    story: 'Requesting Review, With Errored Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-reviewnotification--requesting-review-only-errors': {
    id: 'emails-reviewnotification--requesting-review-only-errors',
    kind: 'Emails/ReviewNotification',
    name: 'Requesting Review, Only Errored Diffs',
    story: 'Requesting Review, Only Errored Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-reviewnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-snapshotnotification': {
    name: 'SnapshotNotification',
    id: 'emails-snapshotnotification',
    parent: 'emails',
    depth: 1,
    children: [
      'emails-snapshotnotification--ninety-percent',
      'emails-snapshotnotification--limit-reached',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'emails-snapshotnotification--ninety-percent': {
    id: 'emails-snapshotnotification--ninety-percent',
    kind: 'Emails/SnapshotNotification',
    name: 'Ninety Percent',
    story: 'Ninety Percent',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-snapshotnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'emails-snapshotnotification--limit-reached': {
    id: 'emails-snapshotnotification--limit-reached',
    kind: 'Emails/SnapshotNotification',
    name: 'Limit Reached',
    story: 'Limit Reached',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'emails-snapshotnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  images: {
    name: 'Images',
    id: 'images',
    depth: 0,
    children: [
      'images--marketing-hero',
      'images--brand',
      'images--colored-icons',
      'images--logos',
      'images--shapes',
      'images--thumbnails',
      'images--payment',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'images--marketing-hero': {
    id: 'images--marketing-hero',
    kind: 'Images',
    name: 'marketing hero',
    story: 'marketing hero',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--brand': {
    id: 'images--brand',
    kind: 'Images',
    name: 'brand',
    story: 'brand',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--colored-icons': {
    id: 'images--colored-icons',
    kind: 'Images',
    name: 'colored icons',
    story: 'colored icons',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--logos': {
    id: 'images--logos',
    kind: 'Images',
    name: 'logos',
    story: 'logos',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--shapes': {
    id: 'images--shapes',
    kind: 'Images',
    name: 'shapes',
    story: 'shapes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--thumbnails': {
    id: 'images--thumbnails',
    kind: 'Images',
    name: 'thumbnails',
    story: 'thumbnails',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'images--payment': {
    id: 'images--payment',
    kind: 'Images',
    name: 'payment',
    story: 'payment',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 1,
    parent: 'images',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  tooltip: {
    name: 'tooltip',
    id: 'tooltip',
    depth: 0,
    children: ['tooltip-tooltipbuildlist', 'tooltip-tooltipselect'],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'tooltip-tooltipbuildlist': {
    name: 'TooltipBuildList',
    id: 'tooltip-tooltipbuildlist',
    parent: 'tooltip',
    depth: 1,
    children: ['tooltip-tooltipbuildlist--default', 'tooltip-tooltipbuildlist--no-commit'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'tooltip-tooltipbuildlist--default': {
    id: 'tooltip-tooltipbuildlist--default',
    kind: 'tooltip/TooltipBuildList',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'tooltip-tooltipbuildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'tooltip-tooltipbuildlist--no-commit': {
    id: 'tooltip-tooltipbuildlist--no-commit',
    kind: 'tooltip/TooltipBuildList',
    name: 'no commit',
    story: 'no commit',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'tooltip-tooltipbuildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'tooltip-tooltipselect': {
    name: 'TooltipSelect',
    id: 'tooltip-tooltipselect',
    parent: 'tooltip',
    depth: 1,
    children: ['tooltip-tooltipselect--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'tooltip-tooltipselect--default': {
    id: 'tooltip-tooltipselect--default',
    kind: 'tooltip/TooltipSelect',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'tooltip-tooltipselect',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components': {
    name: 'Webapp components',
    id: 'webapp-components',
    depth: 0,
    children: [
      'webapp-components-accountmenu',
      'webapp-components-activityitem',
      'webapp-components-activitylist',
      'webapp-components-appowneritem',
      'webapp-components-appownerlist',
      'webapp-components-aspectratiopreserver',
      'webapp-components-asynctextaction',
      'webapp-components-badgecount',
      'webapp-components-banner',
      'webapp-components-baselinehistory',
      'webapp-components-billingplans',
      'webapp-components-branchpicker',
      'webapp-components-breadcrumb',
      'webapp-components-buildcomponentlist',
      'webapp-components-builditem',
      'webapp-components-buildlist',
      'webapp-components-buildstatuslight',
      'webapp-components-button',
      'webapp-components-buttonmulti',
      'webapp-components-buttontoggle',
      'webapp-components-canvas',
      'webapp-components-cardinal',
      'webapp-components-checkbox',
      'webapp-components-cieyebrow',
      'webapp-components-clipboard',
      'webapp-components-clipboardcode',
      'webapp-components-clipboardicon',
      'webapp-components-clipboardinput',
      'webapp-components-comment',
      'webapp-components-componentbranchlist',
      'webapp-components-componentbuildlist',
      'webapp-components-componentbuildspicker',
      'webapp-components-componentitem',
      'webapp-components-componentlist',
      'webapp-components-componentrepresentationimage',
      'webapp-components-creditcardform',
      'webapp-components-dateformatter',
      'webapp-components-diffimage',
      'webapp-components-difftoggles',
      'webapp-components-emptymessage',
      'webapp-components-eyebrow',
      'webapp-components-eyebrowonboarding',
      'webapp-components-flexcenter',
      'webapp-components-form',
      'webapp-components-header',
      'webapp-components-heading',
      'webapp-components-ignoredregions',
      'webapp-components-imagetile',
      'webapp-components-interstitial',
      'webapp-components-inviteeyebrow',
      'webapp-components-isactiveelement',
      'webapp-components-isolatorframe',
      'webapp-components-linklist',
      'webapp-components-linktabs',
      'webapp-components-listheading',
      'webapp-components-liveview',
      'webapp-components-mailinglistsubscribeform',
      'webapp-components-newappform',
      'webapp-components-notifications',
      'webapp-components-pageheader',
      'webapp-components-pagetitlebar',
      'webapp-components-pagination',
      'webapp-components-paymentcollectcta',
      'webapp-components-paymentcollectmodal',
      'webapp-components-paymenteyebrow',
      'webapp-components-progressbar',
      'webapp-components-projectitem',
      'webapp-components-projectlist',
      'webapp-components-pullrequestitem',
      'webapp-components-pullrequestlist',
      'webapp-components-pullrequeststatuslight',
      'webapp-components-questiontooltip',
      'webapp-components-radar',
      'webapp-components-radio',
      'webapp-components-rawspeclist',
      'webapp-components-repositoryitem',
      'webapp-components-repositorylist',
      'webapp-components-repositoryowneritem',
      'webapp-components-repositoryownerlist',
      'webapp-components-repositorypicker',
      'webapp-components-scrollintoview',
      'webapp-components-section',
      'webapp-components-sharetooltipmessage',
      'webapp-components-sidebarnav',
      'webapp-components-snapshoterror',
      'webapp-components-snapshoterrormessage',
      'webapp-components-snapshotsizechanged',
      'webapp-components-specitem',
      'webapp-components-speclist',
      'webapp-components-specname',
      'webapp-components-startchat',
      'webapp-components-statuslight',
      'webapp-components-statustooltip',
      'webapp-components-subheader',
      'webapp-components-table',
      'webapp-components-tabledrawer',
      'webapp-components-tooltipignore',
      'webapp-components-useritem',
      'webapp-components-userlist',
      'webapp-components-video',
      'webapp-components-warning',
      'webapp-components-wobbler',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'webapp-components-accountmenu': {
    name: 'AccountMenu',
    id: 'webapp-components-accountmenu',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-accountmenu--default',
      'webapp-components-accountmenu--saml-user',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-accountmenu--default': {
    id: 'webapp-components-accountmenu--default',
    kind: 'Webapp components/AccountMenu',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-accountmenu',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-accountmenu--saml-user': {
    id: 'webapp-components-accountmenu--saml-user',
    kind: 'Webapp components/AccountMenu',
    name: 'saml user',
    story: 'saml user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-accountmenu',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem': {
    name: 'ActivityItem',
    id: 'webapp-components-activityitem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-activityitem--all-activity-item',
      'webapp-components-activityitem--loading',
      'webapp-components-activityitem--passed',
      'webapp-components-activityitem--failed',
      'webapp-components-activityitem--unreviewed',
      'webapp-components-activityitem--in-progress',
      'webapp-components-activityitem--from-agent-passed',
      'webapp-components-activityitem--timed-out',
      'webapp-components-activityitem--errored',
      'webapp-components-activityitem--no-account-name',
      'webapp-components-activityitem--long-account-name',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-activityitem--all-activity-item': {
    id: 'webapp-components-activityitem--all-activity-item',
    kind: 'Webapp components/ActivityItem',
    name: 'All ActivityItem',
    story: 'All ActivityItem',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--loading': {
    id: 'webapp-components-activityitem--loading',
    kind: 'Webapp components/ActivityItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--passed': {
    id: 'webapp-components-activityitem--passed',
    kind: 'Webapp components/ActivityItem',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--failed': {
    id: 'webapp-components-activityitem--failed',
    kind: 'Webapp components/ActivityItem',
    name: 'Failed',
    story: 'Failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--unreviewed': {
    id: 'webapp-components-activityitem--unreviewed',
    kind: 'Webapp components/ActivityItem',
    name: 'Unreviewed',
    story: 'Unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--in-progress': {
    id: 'webapp-components-activityitem--in-progress',
    kind: 'Webapp components/ActivityItem',
    name: 'In progress',
    story: 'In progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--from-agent-passed': {
    id: 'webapp-components-activityitem--from-agent-passed',
    kind: 'Webapp components/ActivityItem',
    name: 'From agent, passed',
    story: 'From agent, passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--timed-out': {
    id: 'webapp-components-activityitem--timed-out',
    kind: 'Webapp components/ActivityItem',
    name: 'Timed out',
    story: 'Timed out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--errored': {
    id: 'webapp-components-activityitem--errored',
    kind: 'Webapp components/ActivityItem',
    name: 'Errored',
    story: 'Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--no-account-name': {
    id: 'webapp-components-activityitem--no-account-name',
    kind: 'Webapp components/ActivityItem',
    name: 'no account name',
    story: 'no account name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activityitem--long-account-name': {
    id: 'webapp-components-activityitem--long-account-name',
    kind: 'Webapp components/ActivityItem',
    name: 'long account name',
    story: 'long account name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activitylist': {
    name: 'ActivityList',
    id: 'webapp-components-activitylist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-activitylist--loading',
      'webapp-components-activitylist--full',
      'webapp-components-activitylist--full-no-account-name',
      'webapp-components-activitylist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-activitylist--loading': {
    id: 'webapp-components-activitylist--loading',
    kind: 'Webapp components/ActivityList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activitylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activitylist--full': {
    id: 'webapp-components-activitylist--full',
    kind: 'Webapp components/ActivityList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activitylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activitylist--full-no-account-name': {
    id: 'webapp-components-activitylist--full-no-account-name',
    kind: 'Webapp components/ActivityList',
    name: 'full, no account name',
    story: 'full, no account name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activitylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-activitylist--empty': {
    id: 'webapp-components-activitylist--empty',
    kind: 'Webapp components/ActivityList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-activitylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem': {
    name: 'AppOwnerItem',
    id: 'webapp-components-appowneritem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-appowneritem--user',
      'webapp-components-appowneritem--user-active',
      'webapp-components-appowneritem--org',
      'webapp-components-appowneritem--org-active',
      'webapp-components-appowneritem--org-no-avatar',
      'webapp-components-appowneritem--org-no-avatar-active',
      'webapp-components-appowneritem--shared-with-you',
      'webapp-components-appowneritem--shared-with-you-active',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--user': {
    id: 'webapp-components-appowneritem--user',
    kind: 'Webapp components/AppOwnerItem',
    name: 'user',
    story: 'user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--user-active': {
    id: 'webapp-components-appowneritem--user-active',
    kind: 'Webapp components/AppOwnerItem',
    name: 'user, active',
    story: 'user, active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--org': {
    id: 'webapp-components-appowneritem--org',
    kind: 'Webapp components/AppOwnerItem',
    name: 'org',
    story: 'org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--org-active': {
    id: 'webapp-components-appowneritem--org-active',
    kind: 'Webapp components/AppOwnerItem',
    name: 'org, active',
    story: 'org, active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--org-no-avatar': {
    id: 'webapp-components-appowneritem--org-no-avatar',
    kind: 'Webapp components/AppOwnerItem',
    name: 'org no avatar, ',
    story: 'org no avatar, ',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--org-no-avatar-active': {
    id: 'webapp-components-appowneritem--org-no-avatar-active',
    kind: 'Webapp components/AppOwnerItem',
    name: 'org no avatar, active',
    story: 'org no avatar, active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--shared-with-you': {
    id: 'webapp-components-appowneritem--shared-with-you',
    kind: 'Webapp components/AppOwnerItem',
    name: 'shared with you',
    story: 'shared with you',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appowneritem--shared-with-you-active': {
    id: 'webapp-components-appowneritem--shared-with-you-active',
    kind: 'Webapp components/AppOwnerItem',
    name: 'shared with you, active',
    story: 'shared with you, active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist': {
    name: 'AppOwnerList',
    id: 'webapp-components-appownerlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-appownerlist--user-selected',
      'webapp-components-appownerlist--shared-with-you-selected',
      'webapp-components-appownerlist--org-selected',
      'webapp-components-appownerlist--org-selected-saml',
      'webapp-components-appownerlist--org-selected-adding-pure',
      'webapp-components-appownerlist--org-selected-adding-pure-no-accounts',
      'webapp-components-appownerlist--org-selected-adding-pure-refreshing',
      'webapp-components-appownerlist--org-selected-adding-pure-bitbucket',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--user-selected': {
    id: 'webapp-components-appownerlist--user-selected',
    kind: 'Webapp components/AppOwnerList',
    name: 'user selected',
    story: 'user selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--shared-with-you-selected': {
    id: 'webapp-components-appownerlist--shared-with-you-selected',
    kind: 'Webapp components/AppOwnerList',
    name: 'sharedWithYou selected',
    story: 'sharedWithYou selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected': {
    id: 'webapp-components-appownerlist--org-selected',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected',
    story: 'org selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected-saml': {
    id: 'webapp-components-appownerlist--org-selected-saml',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected, saml',
    story: 'org selected, saml',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected-adding-pure': {
    id: 'webapp-components-appownerlist--org-selected-adding-pure',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected, adding (pure)',
    story: 'org selected, adding (pure)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected-adding-pure-no-accounts': {
    id: 'webapp-components-appownerlist--org-selected-adding-pure-no-accounts',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected, adding (pure) no accounts',
    story: 'org selected, adding (pure) no accounts',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected-adding-pure-refreshing': {
    id: 'webapp-components-appownerlist--org-selected-adding-pure-refreshing',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected, adding (pure), refreshing',
    story: 'org selected, adding (pure), refreshing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-appownerlist--org-selected-adding-pure-bitbucket': {
    id: 'webapp-components-appownerlist--org-selected-adding-pure-bitbucket',
    kind: 'Webapp components/AppOwnerList',
    name: 'org selected, adding (pure), bitbucket',
    story: 'org selected, adding (pure), bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-appownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-aspectratiopreserver': {
    name: 'AspectRatioPreserver',
    id: 'webapp-components-aspectratiopreserver',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-aspectratiopreserver--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-aspectratiopreserver--default': {
    id: 'webapp-components-aspectratiopreserver--default',
    kind: 'Webapp components/AspectRatioPreserver',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-aspectratiopreserver',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-asynctextaction': {
    name: 'AsyncTextAction',
    id: 'webapp-components-asynctextaction',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-asynctextaction--base',
      'webapp-components-asynctextaction--loading',
      'webapp-components-asynctextaction--loading-with-loading-message',
      'webapp-components-asynctextaction--loading-left-placement',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-asynctextaction--base': {
    id: 'webapp-components-asynctextaction--base',
    kind: 'Webapp components/AsyncTextAction',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-asynctextaction',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-asynctextaction--loading': {
    id: 'webapp-components-asynctextaction--loading',
    kind: 'Webapp components/AsyncTextAction',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-asynctextaction',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-asynctextaction--loading-with-loading-message': {
    id: 'webapp-components-asynctextaction--loading-with-loading-message',
    kind: 'Webapp components/AsyncTextAction',
    name: 'Loading, With Loading Message',
    story: 'Loading, With Loading Message',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-asynctextaction',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-asynctextaction--loading-left-placement': {
    id: 'webapp-components-asynctextaction--loading-left-placement',
    kind: 'Webapp components/AsyncTextAction',
    name: 'Loading, Left Placement',
    story: 'Loading, Left Placement',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-asynctextaction',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-badgecount': {
    name: 'BadgeCount',
    id: 'webapp-components-badgecount',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-badgecount--all-badge-counts',
      'webapp-components-badgecount--positive',
      'webapp-components-badgecount--negative',
      'webapp-components-badgecount--warning',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-badgecount--all-badge-counts': {
    id: 'webapp-components-badgecount--all-badge-counts',
    kind: 'Webapp components/BadgeCount',
    name: 'all badgeCounts',
    story: 'all badgeCounts',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-badgecount',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-badgecount--positive': {
    id: 'webapp-components-badgecount--positive',
    kind: 'Webapp components/BadgeCount',
    name: 'positive',
    story: 'positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-badgecount',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-badgecount--negative': {
    id: 'webapp-components-badgecount--negative',
    kind: 'Webapp components/BadgeCount',
    name: 'negative',
    story: 'negative',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-badgecount',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-badgecount--warning': {
    id: 'webapp-components-badgecount--warning',
    kind: 'Webapp components/BadgeCount',
    name: 'warning',
    story: 'warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-badgecount',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-banner': {
    name: 'Banner',
    id: 'webapp-components-banner',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-banner--base',
      'webapp-components-banner--positive',
      'webapp-components-banner--negative',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-banner--base': {
    id: 'webapp-components-banner--base',
    kind: 'Webapp components/Banner',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-banner',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-banner--positive': {
    id: 'webapp-components-banner--positive',
    kind: 'Webapp components/Banner',
    name: 'Positive',
    story: 'Positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-banner',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-banner--negative': {
    id: 'webapp-components-banner--negative',
    kind: 'Webapp components/Banner',
    name: 'Negative',
    story: 'Negative',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-banner',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory': {
    name: 'BaselineHistory',
    id: 'webapp-components-baselinehistory',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-baselinehistory--loading',
      'webapp-components-baselinehistory--new-story',
      'webapp-components-baselinehistory--typical',
      'webapp-components-baselinehistory--baseline-was-accepted',
      'webapp-components-baselinehistory--second-build',
      'webapp-components-baselinehistory--third-build',
      'webapp-components-baselinehistory--most-recent-ancestor',
      'webapp-components-baselinehistory--in-tooltip-smaller',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--loading': {
    id: 'webapp-components-baselinehistory--loading',
    kind: 'Webapp components/BaselineHistory',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--new-story': {
    id: 'webapp-components-baselinehistory--new-story',
    kind: 'Webapp components/BaselineHistory',
    name: 'new story',
    story: 'new story',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--typical': {
    id: 'webapp-components-baselinehistory--typical',
    kind: 'Webapp components/BaselineHistory',
    name: 'typical',
    story: 'typical',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--baseline-was-accepted': {
    id: 'webapp-components-baselinehistory--baseline-was-accepted',
    kind: 'Webapp components/BaselineHistory',
    name: 'baseline was accepted',
    story: 'baseline was accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--second-build': {
    id: 'webapp-components-baselinehistory--second-build',
    kind: 'Webapp components/BaselineHistory',
    name: 'second build',
    story: 'second build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--third-build': {
    id: 'webapp-components-baselinehistory--third-build',
    kind: 'Webapp components/BaselineHistory',
    name: 'third build',
    story: 'third build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--most-recent-ancestor': {
    id: 'webapp-components-baselinehistory--most-recent-ancestor',
    kind: 'Webapp components/BaselineHistory',
    name: 'most recent ancestor',
    story: 'most recent ancestor',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-baselinehistory--in-tooltip-smaller': {
    id: 'webapp-components-baselinehistory--in-tooltip-smaller',
    kind: 'Webapp components/BaselineHistory',
    name: 'inTooltip (smaller)',
    story: 'inTooltip (smaller)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-baselinehistory',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans': {
    name: 'BillingPlans',
    id: 'webapp-components-billingplans',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-billingplans--is-subscribed',
      'webapp-components-billingplans--is-subscribed-changing-plan',
      'webapp-components-billingplans--free',
      'webapp-components-billingplans--trial',
      'webapp-components-billingplans--in-trial-plan-chosen',
      'webapp-components-billingplans--open-source-paying-for-plan',
      'webapp-components-billingplans--open-source-paying-for-plan-changing-plan',
      'webapp-components-billingplans--open-source-free-account',
      'webapp-components-billingplans--open-source-plan-chosen',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-billingplans--is-subscribed': {
    id: 'webapp-components-billingplans--is-subscribed',
    kind: 'Webapp components/BillingPlans',
    name: 'is subscribed',
    story: 'is subscribed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--is-subscribed-changing-plan': {
    id: 'webapp-components-billingplans--is-subscribed-changing-plan',
    kind: 'Webapp components/BillingPlans',
    name: 'is subscribed, changing plan',
    story: 'is subscribed, changing plan',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--free': {
    id: 'webapp-components-billingplans--free',
    kind: 'Webapp components/BillingPlans',
    name: 'Free',
    story: 'Free',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--trial': {
    id: 'webapp-components-billingplans--trial',
    kind: 'Webapp components/BillingPlans',
    name: 'trial',
    story: 'trial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--in-trial-plan-chosen': {
    id: 'webapp-components-billingplans--in-trial-plan-chosen',
    kind: 'Webapp components/BillingPlans',
    name: 'inTrial, plan chosen',
    story: 'inTrial, plan chosen',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--open-source-paying-for-plan': {
    id: 'webapp-components-billingplans--open-source-paying-for-plan',
    kind: 'Webapp components/BillingPlans',
    name: 'openSource, paying for plan',
    story: 'openSource, paying for plan',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--open-source-paying-for-plan-changing-plan': {
    id: 'webapp-components-billingplans--open-source-paying-for-plan-changing-plan',
    kind: 'Webapp components/BillingPlans',
    name: 'openSource, paying for plan, changing plan',
    story: 'openSource, paying for plan, changing plan',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--open-source-free-account': {
    id: 'webapp-components-billingplans--open-source-free-account',
    kind: 'Webapp components/BillingPlans',
    name: 'openSource, free account',
    story: 'openSource, free account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-billingplans--open-source-plan-chosen': {
    id: 'webapp-components-billingplans--open-source-plan-chosen',
    kind: 'Webapp components/BillingPlans',
    name: 'openSource, plan chosen',
    story: 'openSource, plan chosen',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-billingplans',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-branchpicker': {
    name: 'BranchPicker',
    id: 'webapp-components-branchpicker',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-branchpicker--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-branchpicker--default': {
    id: 'webapp-components-branchpicker--default',
    kind: 'Webapp components/BranchPicker',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-branchpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-breadcrumb': {
    name: 'Breadcrumb',
    id: 'webapp-components-breadcrumb',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-breadcrumb--loading',
      'webapp-components-breadcrumb--root',
      'webapp-components-breadcrumb--many-breadcrumbs',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-breadcrumb--loading': {
    id: 'webapp-components-breadcrumb--loading',
    kind: 'Webapp components/Breadcrumb',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-breadcrumb',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-breadcrumb--root': {
    id: 'webapp-components-breadcrumb--root',
    kind: 'Webapp components/Breadcrumb',
    name: 'root',
    story: 'root',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-breadcrumb',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-breadcrumb--many-breadcrumbs': {
    id: 'webapp-components-breadcrumb--many-breadcrumbs',
    kind: 'Webapp components/Breadcrumb',
    name: 'many breadcrumbs',
    story: 'many breadcrumbs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-breadcrumb',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist': {
    name: 'BuildComponentList',
    id: 'webapp-components-buildcomponentlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-buildcomponentlist-buildcomponentlist',
      'webapp-components-buildcomponentlist-buildcomponentlistheader',
      'webapp-components-buildcomponentlist-groupitem',
      'webapp-components-buildcomponentlist-polymorphiclist',
      'webapp-components-buildcomponentlist-rootitem',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist': {
    name: 'BuildComponentList',
    id: 'webapp-components-buildcomponentlist-buildcomponentlist',
    parent: 'webapp-components-buildcomponentlist',
    depth: 2,
    children: [
      'webapp-components-buildcomponentlist-buildcomponentlist--loading',
      'webapp-components-buildcomponentlist-buildcomponentlist--full',
      'webapp-components-buildcomponentlist-buildcomponentlist--full-prefixed',
      'webapp-components-buildcomponentlist-buildcomponentlist--empty',
      'webapp-components-buildcomponentlist-buildcomponentlist--filtering-results',
      'webapp-components-buildcomponentlist-buildcomponentlist--filtering-no-results',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--loading': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--loading',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--full': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--full',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--full-prefixed': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--full-prefixed',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'full, prefixed',
    story: 'full, prefixed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--empty': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--empty',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--filtering-results': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--filtering-results',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'filtering, results',
    story: 'filtering, results',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlist--filtering-no-results': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlist--filtering-no-results',
    kind: 'Webapp components/BuildComponentList/BuildComponentList',
    name: 'filtering, no results',
    story: 'filtering, no results',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader': {
    name: 'BuildComponentListHeader',
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    parent: 'webapp-components-buildcomponentlist',
    depth: 2,
    children: [
      'webapp-components-buildcomponentlist-buildcomponentlistheader--loading',
      'webapp-components-buildcomponentlist-buildcomponentlistheader--default',
      'webapp-components-buildcomponentlist-buildcomponentlistheader--with-actions',
      'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching',
      'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching-no-results',
      'webapp-components-buildcomponentlist-buildcomponentlistheader--navigating-with-breadcrumb',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--loading': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--loading',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--default': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--default',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--with-actions': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--with-actions',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'with actions',
    story: 'with actions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'isSearching',
    story: 'isSearching',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching-no-results': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--is-searching-no-results',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'isSearching no results',
    story: 'isSearching no results',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-buildcomponentlistheader--navigating-with-breadcrumb': {
    id: 'webapp-components-buildcomponentlist-buildcomponentlistheader--navigating-with-breadcrumb',
    kind: 'Webapp components/BuildComponentList/BuildComponentListHeader',
    name: 'navigating with breadcrumb',
    story: 'navigating with breadcrumb',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-buildcomponentlistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem': {
    name: 'GroupItem',
    id: 'webapp-components-buildcomponentlist-groupitem',
    parent: 'webapp-components-buildcomponentlist',
    depth: 2,
    children: [
      'webapp-components-buildcomponentlist-groupitem--all',
      'webapp-components-buildcomponentlist-groupitem--loading',
      'webapp-components-buildcomponentlist-groupitem--empty',
      'webapp-components-buildcomponentlist-groupitem--single',
      'webapp-components-buildcomponentlist-groupitem--fewer',
      'webapp-components-buildcomponentlist-groupitem--full',
      'webapp-components-buildcomponentlist-groupitem--full-snapshotting',
      'webapp-components-buildcomponentlist-groupitem--full-errored',
      'webapp-components-buildcomponentlist-groupitem--complex',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--all': {
    id: 'webapp-components-buildcomponentlist-groupitem--all',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'all',
    story: 'all',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--loading': {
    id: 'webapp-components-buildcomponentlist-groupitem--loading',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--empty': {
    id: 'webapp-components-buildcomponentlist-groupitem--empty',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--single': {
    id: 'webapp-components-buildcomponentlist-groupitem--single',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'single',
    story: 'single',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--fewer': {
    id: 'webapp-components-buildcomponentlist-groupitem--fewer',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'fewer',
    story: 'fewer',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--full': {
    id: 'webapp-components-buildcomponentlist-groupitem--full',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--full-snapshotting': {
    id: 'webapp-components-buildcomponentlist-groupitem--full-snapshotting',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'full snapshotting',
    story: 'full snapshotting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--full-errored': {
    id: 'webapp-components-buildcomponentlist-groupitem--full-errored',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'full errored',
    story: 'full errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-groupitem--complex': {
    id: 'webapp-components-buildcomponentlist-groupitem--complex',
    kind: 'Webapp components/BuildComponentList/GroupItem',
    name: 'complex',
    story: 'complex',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-groupitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-polymorphiclist': {
    name: 'PolymorphicList',
    id: 'webapp-components-buildcomponentlist-polymorphiclist',
    parent: 'webapp-components-buildcomponentlist',
    depth: 2,
    children: [
      'webapp-components-buildcomponentlist-polymorphiclist--default',
      'webapp-components-buildcomponentlist-polymorphiclist--complex',
      'webapp-components-buildcomponentlist-polymorphiclist--loading',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-polymorphiclist--default': {
    id: 'webapp-components-buildcomponentlist-polymorphiclist--default',
    kind: 'Webapp components/BuildComponentList/PolymorphicList',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-polymorphiclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-polymorphiclist--complex': {
    id: 'webapp-components-buildcomponentlist-polymorphiclist--complex',
    kind: 'Webapp components/BuildComponentList/PolymorphicList',
    name: 'complex',
    story: 'complex',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-polymorphiclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-polymorphiclist--loading': {
    id: 'webapp-components-buildcomponentlist-polymorphiclist--loading',
    kind: 'Webapp components/BuildComponentList/PolymorphicList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-polymorphiclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-rootitem': {
    name: 'RootItem',
    id: 'webapp-components-buildcomponentlist-rootitem',
    parent: 'webapp-components-buildcomponentlist',
    depth: 2,
    children: [
      'webapp-components-buildcomponentlist-rootitem--default',
      'webapp-components-buildcomponentlist-rootitem--complex',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-rootitem--default': {
    id: 'webapp-components-buildcomponentlist-rootitem--default',
    kind: 'Webapp components/BuildComponentList/RootItem',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-rootitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildcomponentlist-rootitem--complex': {
    id: 'webapp-components-buildcomponentlist-rootitem--complex',
    kind: 'Webapp components/BuildComponentList/RootItem',
    name: 'complex',
    story: 'complex',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-buildcomponentlist-rootitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem': {
    name: 'BuildItem',
    id: 'webapp-components-builditem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-builditem--all-build-item',
      'webapp-components-builditem--loading',
      'webapp-components-builditem--passed',
      'webapp-components-builditem--failed',
      'webapp-components-builditem--unreviewed',
      'webapp-components-builditem--in-progress',
      'webapp-components-builditem--from-agent-passed',
      'webapp-components-builditem--timed-out',
      'webapp-components-builditem--errored',
      'webapp-components-builditem--publish-only',
      'webapp-components-builditem--upgrade',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-builditem--all-build-item': {
    id: 'webapp-components-builditem--all-build-item',
    kind: 'Webapp components/BuildItem',
    name: 'All BuildItem',
    story: 'All BuildItem',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--loading': {
    id: 'webapp-components-builditem--loading',
    kind: 'Webapp components/BuildItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--passed': {
    id: 'webapp-components-builditem--passed',
    kind: 'Webapp components/BuildItem',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--failed': {
    id: 'webapp-components-builditem--failed',
    kind: 'Webapp components/BuildItem',
    name: 'Failed',
    story: 'Failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--unreviewed': {
    id: 'webapp-components-builditem--unreviewed',
    kind: 'Webapp components/BuildItem',
    name: 'Unreviewed',
    story: 'Unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--in-progress': {
    id: 'webapp-components-builditem--in-progress',
    kind: 'Webapp components/BuildItem',
    name: 'In progress',
    story: 'In progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--from-agent-passed': {
    id: 'webapp-components-builditem--from-agent-passed',
    kind: 'Webapp components/BuildItem',
    name: 'From agent, passed',
    story: 'From agent, passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--timed-out': {
    id: 'webapp-components-builditem--timed-out',
    kind: 'Webapp components/BuildItem',
    name: 'Timed out',
    story: 'Timed out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--errored': {
    id: 'webapp-components-builditem--errored',
    kind: 'Webapp components/BuildItem',
    name: 'Errored',
    story: 'Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--publish-only': {
    id: 'webapp-components-builditem--publish-only',
    kind: 'Webapp components/BuildItem',
    name: 'Publish Only',
    story: 'Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-builditem--upgrade': {
    id: 'webapp-components-builditem--upgrade',
    kind: 'Webapp components/BuildItem',
    name: 'Upgrade',
    story: 'Upgrade',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-builditem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildlist': {
    name: 'BuildList',
    id: 'webapp-components-buildlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-buildlist--loading',
      'webapp-components-buildlist--full',
      'webapp-components-buildlist--has-next-page',
      'webapp-components-buildlist--empty',
      'webapp-components-buildlist--error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildlist--loading': {
    id: 'webapp-components-buildlist--loading',
    kind: 'Webapp components/BuildList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildlist--full': {
    id: 'webapp-components-buildlist--full',
    kind: 'Webapp components/BuildList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildlist--has-next-page': {
    id: 'webapp-components-buildlist--has-next-page',
    kind: 'Webapp components/BuildList',
    name: 'has next page',
    story: 'has next page',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildlist--empty': {
    id: 'webapp-components-buildlist--empty',
    kind: 'Webapp components/BuildList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildlist--error': {
    id: 'webapp-components-buildlist--error',
    kind: 'Webapp components/BuildList',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight': {
    name: 'BuildStatusLight',
    id: 'webapp-components-buildstatuslight',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-buildstatuslight--loading',
      'webapp-components-buildstatuslight--in-progress',
      'webapp-components-buildstatuslight--in-progress-rep-only',
      'webapp-components-buildstatuslight--in-progress-rep-only-limited',
      'webapp-components-buildstatuslight--pending',
      'webapp-components-buildstatuslight--passed-limited',
      'webapp-components-buildstatuslight--passed',
      'webapp-components-buildstatuslight--denied',
      'webapp-components-buildstatuslight--accepted',
      'webapp-components-buildstatuslight--timed-out',
      'webapp-components-buildstatuslight--timed-out-rep-only',
      'webapp-components-buildstatuslight--timed-out-rep-only-limited',
      'webapp-components-buildstatuslight--build-error',
      'webapp-components-buildstatuslight--build-error-rep-only',
      'webapp-components-buildstatuslight--build-error-rep-only-limited',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--loading': {
    id: 'webapp-components-buildstatuslight--loading',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--in-progress': {
    id: 'webapp-components-buildstatuslight--in-progress',
    kind: 'Webapp components/BuildStatusLight',
    name: 'In Progress',
    story: 'In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--in-progress-rep-only': {
    id: 'webapp-components-buildstatuslight--in-progress-rep-only',
    kind: 'Webapp components/BuildStatusLight',
    name: 'In Progress, Representative Only',
    story: 'In Progress, Representative Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--in-progress-rep-only-limited': {
    id: 'webapp-components-buildstatuslight--in-progress-rep-only-limited',
    kind: 'Webapp components/BuildStatusLight',
    name: 'In Progress, Representative Only, Limited',
    story: 'In Progress, Representative Only, Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--pending': {
    id: 'webapp-components-buildstatuslight--pending',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Pending',
    story: 'Pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--passed-limited': {
    id: 'webapp-components-buildstatuslight--passed-limited',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Passed, Limited',
    story: 'Passed, Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--passed': {
    id: 'webapp-components-buildstatuslight--passed',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--denied': {
    id: 'webapp-components-buildstatuslight--denied',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Denied',
    story: 'Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--accepted': {
    id: 'webapp-components-buildstatuslight--accepted',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Accepted',
    story: 'Accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--timed-out': {
    id: 'webapp-components-buildstatuslight--timed-out',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Timed Out',
    story: 'Timed Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--timed-out-rep-only': {
    id: 'webapp-components-buildstatuslight--timed-out-rep-only',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Timed Out, Representative Only',
    story: 'Timed Out, Representative Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--timed-out-rep-only-limited': {
    id: 'webapp-components-buildstatuslight--timed-out-rep-only-limited',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Timed Out, Representative Only, Limited',
    story: 'Timed Out, Representative Only, Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--build-error': {
    id: 'webapp-components-buildstatuslight--build-error',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--build-error-rep-only': {
    id: 'webapp-components-buildstatuslight--build-error-rep-only',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Build Error, Representative Only',
    story: 'Build Error, Representative Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buildstatuslight--build-error-rep-only-limited': {
    id: 'webapp-components-buildstatuslight--build-error-rep-only-limited',
    kind: 'Webapp components/BuildStatusLight',
    name: 'Build Error, Representative Only, Limited',
    story: 'Build Error, Representative Only, Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buildstatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-button': {
    name: 'Button',
    id: 'webapp-components-button',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-button--positive'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-button--positive': {
    id: 'webapp-components-button--positive',
    kind: 'Webapp components/Button',
    name: 'positive',
    story: 'positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-button',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttonmulti': {
    name: 'ButtonMulti',
    id: 'webapp-components-buttonmulti',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-buttonmulti--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buttonmulti--default': {
    id: 'webapp-components-buttonmulti--default',
    kind: 'Webapp components/ButtonMulti',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttonmulti',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle': {
    name: 'ButtonToggle',
    id: 'webapp-components-buttontoggle',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-buttontoggle--outline-buttons-small',
      'webapp-components-buttontoggle--outline-three-buttons-small',
      'webapp-components-buttontoggle--pill-w-text',
      'webapp-components-buttontoggle--pill-w-image',
      'webapp-components-buttontoggle--tab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle--outline-buttons-small': {
    id: 'webapp-components-buttontoggle--outline-buttons-small',
    kind: 'Webapp components/ButtonToggle',
    name: 'outline buttons small',
    story: 'outline buttons small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttontoggle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle--outline-three-buttons-small': {
    id: 'webapp-components-buttontoggle--outline-three-buttons-small',
    kind: 'Webapp components/ButtonToggle',
    name: 'outline three buttons small',
    story: 'outline three buttons small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttontoggle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle--pill-w-text': {
    id: 'webapp-components-buttontoggle--pill-w-text',
    kind: 'Webapp components/ButtonToggle',
    name: 'pill w/text',
    story: 'pill w/text',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttontoggle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle--pill-w-image': {
    id: 'webapp-components-buttontoggle--pill-w-image',
    kind: 'Webapp components/ButtonToggle',
    name: 'pill w/image',
    story: 'pill w/image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttontoggle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-buttontoggle--tab': {
    id: 'webapp-components-buttontoggle--tab',
    kind: 'Webapp components/ButtonToggle',
    name: 'tab',
    story: 'tab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-buttontoggle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas': {
    name: 'Canvas',
    id: 'webapp-components-canvas',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-canvas--default',
      'webapp-components-canvas--default-w-label-link',
      'webapp-components-canvas--pure-w-label-link-at-top',
      'webapp-components-canvas--pure-w-label-link-not-at-top',
      'webapp-components-canvas--default-w-label-link-baseline-tooltip',
      'webapp-components-canvas--default-w-figure-link',
      'webapp-components-canvas--default-w-diff-figure',
      'webapp-components-canvas--default-w-diff-figure-horizontally-larger',
      'webapp-components-canvas--default-w-diff-figure-vertically-larger',
      'webapp-components-canvas--default-w-diff-figure-larger-both-ways',
      'webapp-components-canvas--loading',
      'webapp-components-canvas--in-progress',
      'webapp-components-canvas--snapshot-error',
      'webapp-components-canvas--ignored-regions-hidden',
      'webapp-components-canvas--ignored-regions-shown',
      'webapp-components-canvas--ignored-regions-shown-w-diff-figure',
      'webapp-components-canvas--interactive-url-w-interactive-mode',
      'webapp-components-canvas--interactive-url-w-interactive-mode-bad-url',
      'webapp-components-canvas--interactive-url-w-interactive-mode-bad-spec',
      'webapp-components-canvas--interactive-url-wo-interactive-mode',
      'webapp-components-canvas--pure-interactive-url-connection-problem',
      'webapp-components-canvas--tall-thin-image',
      'webapp-components-canvas--tall-thin-image-w-ignored-regions',
      'webapp-components-canvas--wide-short-image',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-canvas--default': {
    id: 'webapp-components-canvas--default',
    kind: 'Webapp components/Canvas',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-label-link': {
    id: 'webapp-components-canvas--default-w-label-link',
    kind: 'Webapp components/Canvas',
    name: 'default w/label link',
    story: 'default w/label link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--pure-w-label-link-at-top': {
    id: 'webapp-components-canvas--pure-w-label-link-at-top',
    kind: 'Webapp components/Canvas',
    name: 'pure, w/label link, at top',
    story: 'pure, w/label link, at top',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--pure-w-label-link-not-at-top': {
    id: 'webapp-components-canvas--pure-w-label-link-not-at-top',
    kind: 'Webapp components/Canvas',
    name: 'pure, w/label link, not at top',
    story: 'pure, w/label link, not at top',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-label-link-baseline-tooltip': {
    id: 'webapp-components-canvas--default-w-label-link-baseline-tooltip',
    kind: 'Webapp components/Canvas',
    name: 'default w/label link + baseline tooltip',
    story: 'default w/label link + baseline tooltip',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-figure-link': {
    id: 'webapp-components-canvas--default-w-figure-link',
    kind: 'Webapp components/Canvas',
    name: 'default w/figureLink',
    story: 'default w/figureLink',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-diff-figure': {
    id: 'webapp-components-canvas--default-w-diff-figure',
    kind: 'Webapp components/Canvas',
    name: 'default w/diffFigure',
    story: 'default w/diffFigure',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-diff-figure-horizontally-larger': {
    id: 'webapp-components-canvas--default-w-diff-figure-horizontally-larger',
    kind: 'Webapp components/Canvas',
    name: 'default w/diffFigure, horizontally larger',
    story: 'default w/diffFigure, horizontally larger',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-diff-figure-vertically-larger': {
    id: 'webapp-components-canvas--default-w-diff-figure-vertically-larger',
    kind: 'Webapp components/Canvas',
    name: 'default w/diffFigure, vertically larger',
    story: 'default w/diffFigure, vertically larger',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--default-w-diff-figure-larger-both-ways': {
    id: 'webapp-components-canvas--default-w-diff-figure-larger-both-ways',
    kind: 'Webapp components/Canvas',
    name: 'default w/diffFigure, larger both ways',
    story: 'default w/diffFigure, larger both ways',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--loading': {
    id: 'webapp-components-canvas--loading',
    kind: 'Webapp components/Canvas',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--in-progress': {
    id: 'webapp-components-canvas--in-progress',
    kind: 'Webapp components/Canvas',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--snapshot-error': {
    id: 'webapp-components-canvas--snapshot-error',
    kind: 'Webapp components/Canvas',
    name: 'snapshotError',
    story: 'snapshotError',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--ignored-regions-hidden': {
    id: 'webapp-components-canvas--ignored-regions-hidden',
    kind: 'Webapp components/Canvas',
    name: 'ignored regions hidden',
    story: 'ignored regions hidden',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--ignored-regions-shown': {
    id: 'webapp-components-canvas--ignored-regions-shown',
    kind: 'Webapp components/Canvas',
    name: 'ignored regions shown',
    story: 'ignored regions shown',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--ignored-regions-shown-w-diff-figure': {
    id: 'webapp-components-canvas--ignored-regions-shown-w-diff-figure',
    kind: 'Webapp components/Canvas',
    name: 'ignored regions shown w/diffFigure',
    story: 'ignored regions shown w/diffFigure',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--interactive-url-w-interactive-mode': {
    id: 'webapp-components-canvas--interactive-url-w-interactive-mode',
    kind: 'Webapp components/Canvas',
    name: 'interactiveUrl w/ interactiveMode',
    story: 'interactiveUrl w/ interactiveMode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--interactive-url-w-interactive-mode-bad-url': {
    id: 'webapp-components-canvas--interactive-url-w-interactive-mode-bad-url',
    kind: 'Webapp components/Canvas',
    name: 'interactiveUrl w/ interactiveMode, bad URL',
    story: 'interactiveUrl w/ interactiveMode, bad URL',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--interactive-url-w-interactive-mode-bad-spec': {
    id: 'webapp-components-canvas--interactive-url-w-interactive-mode-bad-spec',
    kind: 'Webapp components/Canvas',
    name: 'interactiveUrl w/ interactiveMode, bad spec',
    story: 'interactiveUrl w/ interactiveMode, bad spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--interactive-url-wo-interactive-mode': {
    id: 'webapp-components-canvas--interactive-url-wo-interactive-mode',
    kind: 'Webapp components/Canvas',
    name: 'interactiveUrl w/o interactiveMode',
    story: 'interactiveUrl w/o interactiveMode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--pure-interactive-url-connection-problem': {
    id: 'webapp-components-canvas--pure-interactive-url-connection-problem',
    kind: 'Webapp components/Canvas',
    name: 'pure, interactiveUrl connection problem',
    story: 'pure, interactiveUrl connection problem',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--tall-thin-image': {
    id: 'webapp-components-canvas--tall-thin-image',
    kind: 'Webapp components/Canvas',
    name: 'tall thin image',
    story: 'tall thin image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--tall-thin-image-w-ignored-regions': {
    id: 'webapp-components-canvas--tall-thin-image-w-ignored-regions',
    kind: 'Webapp components/Canvas',
    name: 'tall thin image w/ ignored regions',
    story: 'tall thin image w/ ignored regions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-canvas--wide-short-image': {
    id: 'webapp-components-canvas--wide-short-image',
    kind: 'Webapp components/Canvas',
    name: 'wide short image',
    story: 'wide short image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-canvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal': {
    name: 'Cardinal',
    id: 'webapp-components-cardinal',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-cardinal--all-cardinals',
      'webapp-components-cardinal--small-loading',
      'webapp-components-cardinal--small-default',
      'webapp-components-cardinal--small-positive',
      'webapp-components-cardinal--small-negative',
      'webapp-components-cardinal--small-warning',
      'webapp-components-cardinal--small-neutral',
      'webapp-components-cardinal--small-selectable',
      'webapp-components-cardinal--large-loading',
      'webapp-components-cardinal--large-default',
      'webapp-components-cardinal--large-link',
      'webapp-components-cardinal--large-singular',
      'webapp-components-cardinal--large-plural',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-cardinal--all-cardinals': {
    id: 'webapp-components-cardinal--all-cardinals',
    kind: 'Webapp components/Cardinal',
    name: 'all cardinals',
    story: 'all cardinals',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-loading': {
    id: 'webapp-components-cardinal--small-loading',
    kind: 'Webapp components/Cardinal',
    name: 'small loading',
    story: 'small loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-default': {
    id: 'webapp-components-cardinal--small-default',
    kind: 'Webapp components/Cardinal',
    name: 'small default',
    story: 'small default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-positive': {
    id: 'webapp-components-cardinal--small-positive',
    kind: 'Webapp components/Cardinal',
    name: 'small positive',
    story: 'small positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-negative': {
    id: 'webapp-components-cardinal--small-negative',
    kind: 'Webapp components/Cardinal',
    name: 'small negative',
    story: 'small negative',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-warning': {
    id: 'webapp-components-cardinal--small-warning',
    kind: 'Webapp components/Cardinal',
    name: 'small warning',
    story: 'small warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-neutral': {
    id: 'webapp-components-cardinal--small-neutral',
    kind: 'Webapp components/Cardinal',
    name: 'small neutral',
    story: 'small neutral',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--small-selectable': {
    id: 'webapp-components-cardinal--small-selectable',
    kind: 'Webapp components/Cardinal',
    name: 'small selectable',
    story: 'small selectable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--large-loading': {
    id: 'webapp-components-cardinal--large-loading',
    kind: 'Webapp components/Cardinal',
    name: 'large loading',
    story: 'large loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--large-default': {
    id: 'webapp-components-cardinal--large-default',
    kind: 'Webapp components/Cardinal',
    name: 'large default',
    story: 'large default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--large-link': {
    id: 'webapp-components-cardinal--large-link',
    kind: 'Webapp components/Cardinal',
    name: 'large link',
    story: 'large link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--large-singular': {
    id: 'webapp-components-cardinal--large-singular',
    kind: 'Webapp components/Cardinal',
    name: 'large singular',
    story: 'large singular',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cardinal--large-plural': {
    id: 'webapp-components-cardinal--large-plural',
    kind: 'Webapp components/Cardinal',
    name: 'large plural',
    story: 'large plural',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cardinal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-checkbox': {
    name: 'Checkbox',
    id: 'webapp-components-checkbox',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-checkbox--all-checkboxes',
      'webapp-components-checkbox--unchecked',
      'webapp-components-checkbox--checked',
      'webapp-components-checkbox--primary',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-checkbox--all-checkboxes': {
    id: 'webapp-components-checkbox--all-checkboxes',
    kind: 'Webapp components/Checkbox',
    name: 'all checkboxes',
    story: 'all checkboxes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-checkbox',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-checkbox--unchecked': {
    id: 'webapp-components-checkbox--unchecked',
    kind: 'Webapp components/Checkbox',
    name: 'unchecked',
    story: 'unchecked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-checkbox',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-checkbox--checked': {
    id: 'webapp-components-checkbox--checked',
    kind: 'Webapp components/Checkbox',
    name: 'checked',
    story: 'checked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-checkbox',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-checkbox--primary': {
    id: 'webapp-components-checkbox--primary',
    kind: 'Webapp components/Checkbox',
    name: 'primary',
    story: 'primary',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-checkbox',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow': {
    name: 'CIEyebrow',
    id: 'webapp-components-cieyebrow',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-cieyebrow--unlinked',
      'webapp-components-cieyebrow--github',
      'webapp-components-cieyebrow--bitbucket',
      'webapp-components-cieyebrow--gitlab',
      'webapp-components-cieyebrow--dismissed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow--unlinked': {
    id: 'webapp-components-cieyebrow--unlinked',
    kind: 'Webapp components/CIEyebrow',
    name: 'Unlinked',
    story: 'Unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cieyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow--github': {
    id: 'webapp-components-cieyebrow--github',
    kind: 'Webapp components/CIEyebrow',
    name: 'Github',
    story: 'Github',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cieyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow--bitbucket': {
    id: 'webapp-components-cieyebrow--bitbucket',
    kind: 'Webapp components/CIEyebrow',
    name: 'Bitbucket',
    story: 'Bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cieyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow--gitlab': {
    id: 'webapp-components-cieyebrow--gitlab',
    kind: 'Webapp components/CIEyebrow',
    name: 'Gitlab',
    story: 'Gitlab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cieyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-cieyebrow--dismissed': {
    id: 'webapp-components-cieyebrow--dismissed',
    kind: 'Webapp components/CIEyebrow',
    name: 'Dismissed',
    story: 'Dismissed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-cieyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboard': {
    name: 'Clipboard',
    id: 'webapp-components-clipboard',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-clipboard--default',
      'webapp-components-clipboard--with-feedback',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-clipboard--default': {
    id: 'webapp-components-clipboard--default',
    kind: 'Webapp components/Clipboard',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboard',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboard--with-feedback': {
    id: 'webapp-components-clipboard--with-feedback',
    kind: 'Webapp components/Clipboard',
    name: 'With Feedback',
    story: 'With Feedback',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboard',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboardcode': {
    name: 'ClipboardCode',
    id: 'webapp-components-clipboardcode',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-clipboardcode--default',
      'webapp-components-clipboardcode--wrapped',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-clipboardcode--default': {
    id: 'webapp-components-clipboardcode--default',
    kind: 'Webapp components/ClipboardCode',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboardcode',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboardcode--wrapped': {
    id: 'webapp-components-clipboardcode--wrapped',
    kind: 'Webapp components/ClipboardCode',
    name: 'Wrapped',
    story: 'Wrapped',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboardcode',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboardicon': {
    name: 'ClipboardIcon',
    id: 'webapp-components-clipboardicon',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-clipboardicon--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-clipboardicon--default': {
    id: 'webapp-components-clipboardicon--default',
    kind: 'Webapp components/ClipboardIcon',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboardicon',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboardinput': {
    name: 'ClipboardInput',
    id: 'webapp-components-clipboardinput',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-clipboardinput--default',
      'webapp-components-clipboardinput--clipped',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-clipboardinput--default': {
    id: 'webapp-components-clipboardinput--default',
    kind: 'Webapp components/ClipboardInput',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboardinput',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-clipboardinput--clipped': {
    id: 'webapp-components-clipboardinput--clipped',
    kind: 'Webapp components/ClipboardInput',
    name: 'Clipped',
    story: 'Clipped',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-clipboardinput',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment': {
    name: 'Comment',
    id: 'webapp-components-comment',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-comment-addcomment',
      'webapp-components-comment-comment',
      'webapp-components-comment-commentdate',
      'webapp-components-comment-commentformmanager',
      'webapp-components-comment-commentheading',
      'webapp-components-comment-commentlist',
      'webapp-components-comment-commenttextarea',
      'webapp-components-comment-commentthread',
      'webapp-components-comment-deletecomment',
      'webapp-components-comment-inlinecommentthread',
      'webapp-components-comment-replytocomment',
      'webapp-components-comment-resolvecommentthreadbutton',
      'webapp-components-comment-undoresolvecommentthreadbutton',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment': {
    name: 'AddComment',
    id: 'webapp-components-comment-addcomment',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-addcomment--base',
      'webapp-components-comment-addcomment--initial-value',
      'webapp-components-comment-addcomment--with-form-open',
      'webapp-components-comment-addcomment--with-form-open-loading',
      'webapp-components-comment-addcomment--form-pure-with-value',
      'webapp-components-comment-addcomment--form-pure-with-value-loading',
      'webapp-components-comment-addcomment--form-pure-with-error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--base': {
    id: 'webapp-components-comment-addcomment--base',
    kind: 'Webapp components/Comment/AddComment',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--initial-value': {
    id: 'webapp-components-comment-addcomment--initial-value',
    kind: 'Webapp components/Comment/AddComment',
    name: 'Initial Value',
    story: 'Initial Value',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--with-form-open': {
    id: 'webapp-components-comment-addcomment--with-form-open',
    kind: 'Webapp components/Comment/AddComment',
    name: 'with form open',
    story: 'with form open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--with-form-open-loading': {
    id: 'webapp-components-comment-addcomment--with-form-open-loading',
    kind: 'Webapp components/Comment/AddComment',
    name: 'with form open, loading',
    story: 'with form open, loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--form-pure-with-value': {
    id: 'webapp-components-comment-addcomment--form-pure-with-value',
    kind: 'Webapp components/Comment/AddComment',
    name: 'form, pure, with value',
    story: 'form, pure, with value',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--form-pure-with-value-loading': {
    id: 'webapp-components-comment-addcomment--form-pure-with-value-loading',
    kind: 'Webapp components/Comment/AddComment',
    name: 'form, pure, with value, loading',
    story: 'form, pure, with value, loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-addcomment--form-pure-with-error': {
    id: 'webapp-components-comment-addcomment--form-pure-with-error',
    kind: 'Webapp components/Comment/AddComment',
    name: 'form, pure, with error',
    story: 'form, pure, with error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-addcomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-comment': {
    name: 'Comment',
    id: 'webapp-components-comment-comment',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-comment--base',
      'webapp-components-comment-comment--with-link',
      'webapp-components-comment-comment--collapsed',
      'webapp-components-comment-comment--collapsed-truncated',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-comment--base': {
    id: 'webapp-components-comment-comment--base',
    kind: 'Webapp components/Comment/Comment',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-comment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-comment--with-link': {
    id: 'webapp-components-comment-comment--with-link',
    kind: 'Webapp components/Comment/Comment',
    name: 'with link',
    story: 'with link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-comment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-comment--collapsed': {
    id: 'webapp-components-comment-comment--collapsed',
    kind: 'Webapp components/Comment/Comment',
    name: 'collapsed',
    story: 'collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-comment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-comment--collapsed-truncated': {
    id: 'webapp-components-comment-comment--collapsed-truncated',
    kind: 'Webapp components/Comment/Comment',
    name: 'collapsed, truncated',
    story: 'collapsed, truncated',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-comment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentdate': {
    name: 'CommentDate',
    id: 'webapp-components-comment-commentdate',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-commentdate--base',
      'webapp-components-comment-commentdate--with-build',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commentdate--base': {
    id: 'webapp-components-comment-commentdate--base',
    kind: 'Webapp components/Comment/CommentDate',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentdate',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentdate--with-build': {
    id: 'webapp-components-comment-commentdate--with-build',
    kind: 'Webapp components/Comment/CommentDate',
    name: 'with build',
    story: 'with build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentdate',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentformmanager': {
    name: 'CommentFormManager',
    id: 'webapp-components-comment-commentformmanager',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-commentformmanager--base',
      'webapp-components-comment-commentformmanager--pure-form-visible',
      'webapp-components-comment-commentformmanager--pure-form-not-visible',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commentformmanager--base': {
    id: 'webapp-components-comment-commentformmanager--base',
    kind: 'Webapp components/Comment/CommentFormManager',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentformmanager',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentformmanager--pure-form-visible': {
    id: 'webapp-components-comment-commentformmanager--pure-form-visible',
    kind: 'Webapp components/Comment/CommentFormManager',
    name: 'pure, form visible',
    story: 'pure, form visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentformmanager',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentformmanager--pure-form-not-visible': {
    id: 'webapp-components-comment-commentformmanager--pure-form-not-visible',
    kind: 'Webapp components/Comment/CommentFormManager',
    name: 'pure, form not visible',
    story: 'pure, form not visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentformmanager',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentheading': {
    name: 'CommentHeading',
    id: 'webapp-components-comment-commentheading',
    parent: 'webapp-components-comment',
    depth: 2,
    children: ['webapp-components-comment-commentheading--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commentheading--base': {
    id: 'webapp-components-comment-commentheading--base',
    kind: 'Webapp components/Comment/CommentHeading',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentheading',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentlist': {
    name: 'CommentList',
    id: 'webapp-components-comment-commentlist',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-commentlist--can-comment',
      'webapp-components-comment-commentlist--cannot-comment',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commentlist--can-comment': {
    id: 'webapp-components-comment-commentlist--can-comment',
    kind: 'Webapp components/Comment/CommentList',
    name: 'can comment',
    story: 'can comment',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentlist--cannot-comment': {
    id: 'webapp-components-comment-commentlist--cannot-comment',
    kind: 'Webapp components/Comment/CommentList',
    name: 'cannot comment',
    story: 'cannot comment',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commenttextarea': {
    name: 'CommentTextarea',
    id: 'webapp-components-comment-commenttextarea',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-commenttextarea--base',
      'webapp-components-comment-commenttextarea--with-value',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commenttextarea--base': {
    id: 'webapp-components-comment-commenttextarea--base',
    kind: 'Webapp components/Comment/CommentTextarea',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commenttextarea',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commenttextarea--with-value': {
    id: 'webapp-components-comment-commenttextarea--with-value',
    kind: 'Webapp components/Comment/CommentTextarea',
    name: 'with value',
    story: 'with value',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commenttextarea',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentthread': {
    name: 'CommentThread',
    id: 'webapp-components-comment-commentthread',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-commentthread--pure-collapsed',
      'webapp-components-comment-commentthread--pure-expanded',
      'webapp-components-comment-commentthread--pure-expanded-w-list',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-commentthread--pure-collapsed': {
    id: 'webapp-components-comment-commentthread--pure-collapsed',
    kind: 'Webapp components/Comment/CommentThread',
    name: 'pure, collapsed',
    story: 'pure, collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentthread--pure-expanded': {
    id: 'webapp-components-comment-commentthread--pure-expanded',
    kind: 'Webapp components/Comment/CommentThread',
    name: 'pure, expanded',
    story: 'pure, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-commentthread--pure-expanded-w-list': {
    id: 'webapp-components-comment-commentthread--pure-expanded-w-list',
    kind: 'Webapp components/Comment/CommentThread',
    name: 'pure, expanded, w/ list',
    story: 'pure, expanded, w/ list',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-commentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-deletecomment': {
    name: 'DeleteComment',
    id: 'webapp-components-comment-deletecomment',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-deletecomment--can-delete',
      'webapp-components-comment-deletecomment--can-delete-with-children',
      'webapp-components-comment-deletecomment--cannot-delete',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-deletecomment--can-delete': {
    id: 'webapp-components-comment-deletecomment--can-delete',
    kind: 'Webapp components/Comment/DeleteComment',
    name: 'can delete',
    story: 'can delete',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-deletecomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-deletecomment--can-delete-with-children': {
    id: 'webapp-components-comment-deletecomment--can-delete-with-children',
    kind: 'Webapp components/Comment/DeleteComment',
    name: 'can delete, with children',
    story: 'can delete, with children',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-deletecomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-deletecomment--cannot-delete': {
    id: 'webapp-components-comment-deletecomment--cannot-delete',
    kind: 'Webapp components/Comment/DeleteComment',
    name: 'cannot delete',
    story: 'cannot delete',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-deletecomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread': {
    name: 'InlineCommentThread',
    id: 'webapp-components-comment-inlinecommentthread',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-inlinecommentthread--active-logged-out',
      'webapp-components-comment-inlinecommentthread--active',
      'webapp-components-comment-inlinecommentthread--active-non-owner',
      'webapp-components-comment-inlinecommentthread--resolved-logged-out',
      'webapp-components-comment-inlinecommentthread--resolved',
      'webapp-components-comment-inlinecommentthread--header-not-commentable',
      'webapp-components-comment-inlinecommentthread--header-resolved-owner',
      'webapp-components-comment-inlinecommentthread--header-resolved-non-owner',
      'webapp-components-comment-inlinecommentthread--header-resolved-logged-out',
      'webapp-components-comment-inlinecommentthread--header-active-owner',
      'webapp-components-comment-inlinecommentthread--header-active-non-owner',
      'webapp-components-comment-inlinecommentthread--collapsed',
      'webapp-components-comment-inlinecommentthread--collapsed-mutating',
      'webapp-components-comment-inlinecommentthread--collapsed-mutating-logged-out',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--active-logged-out': {
    id: 'webapp-components-comment-inlinecommentthread--active-logged-out',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'active, logged out',
    story: 'active, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--active': {
    id: 'webapp-components-comment-inlinecommentthread--active',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'active',
    story: 'active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--active-non-owner': {
    id: 'webapp-components-comment-inlinecommentthread--active-non-owner',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'active, non-owner',
    story: 'active, non-owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--resolved-logged-out': {
    id: 'webapp-components-comment-inlinecommentthread--resolved-logged-out',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'resolved, logged out',
    story: 'resolved, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--resolved': {
    id: 'webapp-components-comment-inlinecommentthread--resolved',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'resolved',
    story: 'resolved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-not-commentable': {
    id: 'webapp-components-comment-inlinecommentthread--header-not-commentable',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, not-commentable',
    story: 'header, not-commentable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-resolved-owner': {
    id: 'webapp-components-comment-inlinecommentthread--header-resolved-owner',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, resolved, owner',
    story: 'header, resolved, owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-resolved-non-owner': {
    id: 'webapp-components-comment-inlinecommentthread--header-resolved-non-owner',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, resolved, non-owner',
    story: 'header, resolved, non-owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-resolved-logged-out': {
    id: 'webapp-components-comment-inlinecommentthread--header-resolved-logged-out',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, resolved, logged out',
    story: 'header, resolved, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-active-owner': {
    id: 'webapp-components-comment-inlinecommentthread--header-active-owner',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, active, owner',
    story: 'header, active, owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--header-active-non-owner': {
    id: 'webapp-components-comment-inlinecommentthread--header-active-non-owner',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'header, active, non-owner',
    story: 'header, active, non-owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--collapsed': {
    id: 'webapp-components-comment-inlinecommentthread--collapsed',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'collapsed',
    story: 'collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--collapsed-mutating': {
    id: 'webapp-components-comment-inlinecommentthread--collapsed-mutating',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'collapsed, mutating',
    story: 'collapsed, mutating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-inlinecommentthread--collapsed-mutating-logged-out': {
    id: 'webapp-components-comment-inlinecommentthread--collapsed-mutating-logged-out',
    kind: 'Webapp components/Comment/InlineCommentThread',
    name: 'collapsed, mutating, logged out',
    story: 'collapsed, mutating, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-inlinecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment': {
    name: 'ReplyToComment',
    id: 'webapp-components-comment-replytocomment',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-replytocomment--base',
      'webapp-components-comment-replytocomment--initial-value',
      'webapp-components-comment-replytocomment--base-with-form-open',
      'webapp-components-comment-replytocomment--form-pure-with-value',
      'webapp-components-comment-replytocomment--form-pure-with-error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment--base': {
    id: 'webapp-components-comment-replytocomment--base',
    kind: 'Webapp components/Comment/ReplyToComment',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-replytocomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment--initial-value': {
    id: 'webapp-components-comment-replytocomment--initial-value',
    kind: 'Webapp components/Comment/ReplyToComment',
    name: 'Initial Value',
    story: 'Initial Value',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-replytocomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment--base-with-form-open': {
    id: 'webapp-components-comment-replytocomment--base-with-form-open',
    kind: 'Webapp components/Comment/ReplyToComment',
    name: 'base, with form open',
    story: 'base, with form open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-replytocomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment--form-pure-with-value': {
    id: 'webapp-components-comment-replytocomment--form-pure-with-value',
    kind: 'Webapp components/Comment/ReplyToComment',
    name: 'form, pure, with value',
    story: 'form, pure, with value',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-replytocomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-replytocomment--form-pure-with-error': {
    id: 'webapp-components-comment-replytocomment--form-pure-with-error',
    kind: 'Webapp components/Comment/ReplyToComment',
    name: 'form, pure, with error',
    story: 'form, pure, with error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-replytocomment',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-resolvecommentthreadbutton': {
    name: 'ResolveCommentThreadButton',
    id: 'webapp-components-comment-resolvecommentthreadbutton',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-resolvecommentthreadbutton--base',
      'webapp-components-comment-resolvecommentthreadbutton--with-text',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-resolvecommentthreadbutton--base': {
    id: 'webapp-components-comment-resolvecommentthreadbutton--base',
    kind: 'Webapp components/Comment/ResolveCommentThreadButton',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-resolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-resolvecommentthreadbutton--with-text': {
    id: 'webapp-components-comment-resolvecommentthreadbutton--with-text',
    kind: 'Webapp components/Comment/ResolveCommentThreadButton',
    name: 'with text',
    story: 'with text',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-resolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton': {
    name: 'UndoResolveCommentThreadButton',
    id: 'webapp-components-comment-undoresolvecommentthreadbutton',
    parent: 'webapp-components-comment',
    depth: 2,
    children: [
      'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-large',
      'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-loading-large',
      'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-large',
      'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-small',
      'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-small',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-large': {
    id: 'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-large',
    kind: 'Webapp components/Comment/UndoResolveCommentThreadButton',
    name: 'can undo, large',
    story: 'can undo, large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-undoresolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-loading-large': {
    id: 'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-loading-large',
    kind: 'Webapp components/Comment/UndoResolveCommentThreadButton',
    name: 'can undo, loading, large',
    story: 'can undo, loading, large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-undoresolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-large': {
    id: 'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-large',
    kind: 'Webapp components/Comment/UndoResolveCommentThreadButton',
    name: 'cannot undo, large',
    story: 'cannot undo, large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-undoresolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-small': {
    id: 'webapp-components-comment-undoresolvecommentthreadbutton--can-undo-small',
    kind: 'Webapp components/Comment/UndoResolveCommentThreadButton',
    name: 'can undo, small',
    story: 'can undo, small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-undoresolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-small': {
    id: 'webapp-components-comment-undoresolvecommentthreadbutton--cannot-undo-small',
    kind: 'Webapp components/Comment/UndoResolveCommentThreadButton',
    name: 'cannot undo, small',
    story: 'cannot undo, small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-comment-undoresolvecommentthreadbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbranchlist': {
    name: 'ComponentBranchList',
    id: 'webapp-components-componentbranchlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentbranchlist--master',
      'webapp-components-componentbranchlist--feature',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentbranchlist--master': {
    id: 'webapp-components-componentbranchlist--master',
    kind: 'Webapp components/ComponentBranchList',
    name: 'master',
    story: 'master',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbranchlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbranchlist--feature': {
    id: 'webapp-components-componentbranchlist--feature',
    kind: 'Webapp components/ComponentBranchList',
    name: 'feature',
    story: 'feature',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbranchlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildlist': {
    name: 'ComponentBuildList',
    id: 'webapp-components-componentbuildlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentbuildlist--latest',
      'webapp-components-componentbuildlist--historical',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentbuildlist--latest': {
    id: 'webapp-components-componentbuildlist--latest',
    kind: 'Webapp components/ComponentBuildList',
    name: 'latest',
    story: 'latest',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildlist--historical': {
    id: 'webapp-components-componentbuildlist--historical',
    kind: 'Webapp components/ComponentBuildList',
    name: 'historical',
    story: 'historical',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildspicker': {
    name: 'ComponentBuildsPicker',
    id: 'webapp-components-componentbuildspicker',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentbuildspicker--loading',
      'webapp-components-componentbuildspicker--interactive',
      'webapp-components-componentbuildspicker--feature-selected',
      'webapp-components-componentbuildspicker--hide-branches',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentbuildspicker--loading': {
    id: 'webapp-components-componentbuildspicker--loading',
    kind: 'Webapp components/ComponentBuildsPicker',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildspicker--interactive': {
    id: 'webapp-components-componentbuildspicker--interactive',
    kind: 'Webapp components/ComponentBuildsPicker',
    name: 'interactive',
    story: 'interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildspicker--feature-selected': {
    id: 'webapp-components-componentbuildspicker--feature-selected',
    kind: 'Webapp components/ComponentBuildsPicker',
    name: 'feature selected',
    story: 'feature selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentbuildspicker--hide-branches': {
    id: 'webapp-components-componentbuildspicker--hide-branches',
    kind: 'Webapp components/ComponentBuildsPicker',
    name: 'hide branches',
    story: 'hide branches',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem': {
    name: 'ComponentItem',
    id: 'webapp-components-componentitem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentitem--all',
      'webapp-components-componentitem--various-image-sizes',
      'webapp-components-componentitem--loading',
      'webapp-components-componentitem--in-progress',
      'webapp-components-componentitem--errored',
      'webapp-components-componentitem--no-capture',
      'webapp-components-componentitem--first-run-using-baseline-images',
      'webapp-components-componentitem--unchanged-using-baseline-images',
      'webapp-components-componentitem--unchanged-not-using-baseline-images',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentitem--all': {
    id: 'webapp-components-componentitem--all',
    kind: 'Webapp components/ComponentItem',
    name: 'All',
    story: 'All',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--various-image-sizes': {
    id: 'webapp-components-componentitem--various-image-sizes',
    kind: 'Webapp components/ComponentItem',
    name: 'Various Image Sizes',
    story: 'Various Image Sizes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--loading': {
    id: 'webapp-components-componentitem--loading',
    kind: 'Webapp components/ComponentItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--in-progress': {
    id: 'webapp-components-componentitem--in-progress',
    kind: 'Webapp components/ComponentItem',
    name: 'In Progress',
    story: 'In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--errored': {
    id: 'webapp-components-componentitem--errored',
    kind: 'Webapp components/ComponentItem',
    name: 'Errored',
    story: 'Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--no-capture': {
    id: 'webapp-components-componentitem--no-capture',
    kind: 'Webapp components/ComponentItem',
    name: 'No Capture',
    story: 'No Capture',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--first-run-using-baseline-images': {
    id: 'webapp-components-componentitem--first-run-using-baseline-images',
    kind: 'Webapp components/ComponentItem',
    name: 'First Run Using Baseline Images',
    story: 'First Run Using Baseline Images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--unchanged-using-baseline-images': {
    id: 'webapp-components-componentitem--unchanged-using-baseline-images',
    kind: 'Webapp components/ComponentItem',
    name: 'Unchanged Using Baseline Images',
    story: 'Unchanged Using Baseline Images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentitem--unchanged-not-using-baseline-images': {
    id: 'webapp-components-componentitem--unchanged-not-using-baseline-images',
    kind: 'Webapp components/ComponentItem',
    name: 'Unchanged Not Using Baseline Images',
    story: 'Unchanged Not Using Baseline Images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentlist': {
    name: 'ComponentList',
    id: 'webapp-components-componentlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentlist--loading',
      'webapp-components-componentlist--full',
      'webapp-components-componentlist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentlist--loading': {
    id: 'webapp-components-componentlist--loading',
    kind: 'Webapp components/ComponentList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentlist--full': {
    id: 'webapp-components-componentlist--full',
    kind: 'Webapp components/ComponentList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentlist--empty': {
    id: 'webapp-components-componentlist--empty',
    kind: 'Webapp components/ComponentList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage': {
    name: 'ComponentRepresentationImage',
    id: 'webapp-components-componentrepresentationimage',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-componentrepresentationimage--all',
      'webapp-components-componentrepresentationimage--various-image-sizes',
      'webapp-components-componentrepresentationimage--in-progress',
      'webapp-components-componentrepresentationimage--with-error',
      'webapp-components-componentrepresentationimage--first-run-using-baseline-images',
      'webapp-components-componentrepresentationimage--unchanged-using-baseline-images',
      'webapp-components-componentrepresentationimage--unchanged-not-using-baseline-images',
      'webapp-components-componentrepresentationimage--no-capture',
      'webapp-components-componentrepresentationimage--image',
      'webapp-components-componentrepresentationimage--long-name',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--all': {
    id: 'webapp-components-componentrepresentationimage--all',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'all',
    story: 'all',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--various-image-sizes': {
    id: 'webapp-components-componentrepresentationimage--various-image-sizes',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'various image sizes',
    story: 'various image sizes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--in-progress': {
    id: 'webapp-components-componentrepresentationimage--in-progress',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--with-error': {
    id: 'webapp-components-componentrepresentationimage--with-error',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'with error',
    story: 'with error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--first-run-using-baseline-images': {
    id: 'webapp-components-componentrepresentationimage--first-run-using-baseline-images',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'first run, using baseline images',
    story: 'first run, using baseline images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--unchanged-using-baseline-images': {
    id: 'webapp-components-componentrepresentationimage--unchanged-using-baseline-images',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'unchanged, using baseline images',
    story: 'unchanged, using baseline images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--unchanged-not-using-baseline-images': {
    id: 'webapp-components-componentrepresentationimage--unchanged-not-using-baseline-images',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'unchanged, not using baseline images',
    story: 'unchanged, not using baseline images',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--no-capture': {
    id: 'webapp-components-componentrepresentationimage--no-capture',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'no capture',
    story: 'no capture',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--image': {
    id: 'webapp-components-componentrepresentationimage--image',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'image',
    story: 'image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-componentrepresentationimage--long-name': {
    id: 'webapp-components-componentrepresentationimage--long-name',
    kind: 'Webapp components/ComponentRepresentationImage',
    name: 'long name',
    story: 'long name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-componentrepresentationimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform': {
    name: 'CreditCardForm',
    id: 'webapp-components-creditcardform',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-creditcardform--default',
      'webapp-components-creditcardform--default-billing-fails',
      'webapp-components-creditcardform--pure-submitting',
      'webapp-components-creditcardform--pure-errored',
      'webapp-components-creditcardform--with-billing-email',
      'webapp-components-creditcardform--custom-label-and-cta',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--default': {
    id: 'webapp-components-creditcardform--default',
    kind: 'Webapp components/CreditCardForm',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--default-billing-fails': {
    id: 'webapp-components-creditcardform--default-billing-fails',
    kind: 'Webapp components/CreditCardForm',
    name: 'default, billing fails',
    story: 'default, billing fails',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--pure-submitting': {
    id: 'webapp-components-creditcardform--pure-submitting',
    kind: 'Webapp components/CreditCardForm',
    name: 'pure, submitting',
    story: 'pure, submitting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--pure-errored': {
    id: 'webapp-components-creditcardform--pure-errored',
    kind: 'Webapp components/CreditCardForm',
    name: 'pure, errored',
    story: 'pure, errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--with-billing-email': {
    id: 'webapp-components-creditcardform--with-billing-email',
    kind: 'Webapp components/CreditCardForm',
    name: 'with billing email',
    story: 'with billing email',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-creditcardform--custom-label-and-cta': {
    id: 'webapp-components-creditcardform--custom-label-and-cta',
    kind: 'Webapp components/CreditCardForm',
    name: 'custom label and cta',
    story: 'custom label and cta',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-creditcardform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-dateformatter': {
    name: 'DateFormatter',
    id: 'webapp-components-dateformatter',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-dateformatter--all-dates'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-dateformatter--all-dates': {
    id: 'webapp-components-dateformatter--all-dates',
    kind: 'Webapp components/DateFormatter',
    name: 'all dates',
    story: 'all dates',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-dateformatter',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage': {
    name: 'DiffImage',
    id: 'webapp-components-diffimage',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-diffimage--default',
      'webapp-components-diffimage--loading',
      'webapp-components-diffimage--with-diff',
      'webapp-components-diffimage--with-strobe-diff',
      'webapp-components-diffimage--with-focus-diff',
      'webapp-components-diffimage--with-focus-strobe-diff',
      'webapp-components-diffimage--with-bigger-diff',
      'webapp-components-diffimage--with-horizontally-bigger-diff',
      'webapp-components-diffimage--with-vertically-bigger-diff',
      'webapp-components-diffimage--responsive',
      'webapp-components-diffimage--responsive-centered',
      'webapp-components-diffimage--with-scaled-diff',
      'webapp-components-diffimage--with-scaled-overflow-diff',
      'webapp-components-diffimage--with-link',
      'webapp-components-diffimage--with-link-wrapper',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-diffimage--default': {
    id: 'webapp-components-diffimage--default',
    kind: 'Webapp components/DiffImage',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--loading': {
    id: 'webapp-components-diffimage--loading',
    kind: 'Webapp components/DiffImage',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-diff': {
    id: 'webapp-components-diffimage--with-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with diff',
    story: 'with diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-strobe-diff': {
    id: 'webapp-components-diffimage--with-strobe-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with strobe diff',
    story: 'with strobe diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-focus-diff': {
    id: 'webapp-components-diffimage--with-focus-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with focus diff',
    story: 'with focus diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-focus-strobe-diff': {
    id: 'webapp-components-diffimage--with-focus-strobe-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with focus+strobe diff',
    story: 'with focus+strobe diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-bigger-diff': {
    id: 'webapp-components-diffimage--with-bigger-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with bigger diff',
    story: 'with bigger diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-horizontally-bigger-diff': {
    id: 'webapp-components-diffimage--with-horizontally-bigger-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with horizontally bigger diff',
    story: 'with horizontally bigger diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-vertically-bigger-diff': {
    id: 'webapp-components-diffimage--with-vertically-bigger-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with vertically bigger diff',
    story: 'with vertically bigger diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--responsive': {
    id: 'webapp-components-diffimage--responsive',
    kind: 'Webapp components/DiffImage',
    name: 'responsive',
    story: 'responsive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--responsive-centered': {
    id: 'webapp-components-diffimage--responsive-centered',
    kind: 'Webapp components/DiffImage',
    name: 'responsive, centered',
    story: 'responsive, centered',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-scaled-diff': {
    id: 'webapp-components-diffimage--with-scaled-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with scaled diff',
    story: 'with scaled diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-scaled-overflow-diff': {
    id: 'webapp-components-diffimage--with-scaled-overflow-diff',
    kind: 'Webapp components/DiffImage',
    name: 'with scaled overflow diff',
    story: 'with scaled overflow diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-link': {
    id: 'webapp-components-diffimage--with-link',
    kind: 'Webapp components/DiffImage',
    name: 'with link',
    story: 'with link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-diffimage--with-link-wrapper': {
    id: 'webapp-components-diffimage--with-link-wrapper',
    kind: 'Webapp components/DiffImage',
    name: 'with link wrapper',
    story: 'with link wrapper',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-diffimage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-difftoggles': {
    name: 'DiffToggles',
    id: 'webapp-components-difftoggles',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-difftoggles--no-diff',
      'webapp-components-difftoggles--diff',
      'webapp-components-difftoggles--diff-strobe',
      'webapp-components-difftoggles--diff-focus',
      'webapp-components-difftoggles--diff-focus-strobe',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-difftoggles--no-diff': {
    id: 'webapp-components-difftoggles--no-diff',
    kind: 'Webapp components/DiffToggles',
    name: 'no diff',
    story: 'no diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-difftoggles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-difftoggles--diff': {
    id: 'webapp-components-difftoggles--diff',
    kind: 'Webapp components/DiffToggles',
    name: 'diff',
    story: 'diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-difftoggles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-difftoggles--diff-strobe': {
    id: 'webapp-components-difftoggles--diff-strobe',
    kind: 'Webapp components/DiffToggles',
    name: 'diff strobe',
    story: 'diff strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-difftoggles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-difftoggles--diff-focus': {
    id: 'webapp-components-difftoggles--diff-focus',
    kind: 'Webapp components/DiffToggles',
    name: 'diff focus',
    story: 'diff focus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-difftoggles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-difftoggles--diff-focus-strobe': {
    id: 'webapp-components-difftoggles--diff-focus-strobe',
    kind: 'Webapp components/DiffToggles',
    name: 'diff focus+strobe',
    story: 'diff focus+strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-difftoggles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-emptymessage': {
    name: 'EmptyMessage',
    id: 'webapp-components-emptymessage',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-emptymessage--all-messages',
      'webapp-components-emptymessage--default',
      'webapp-components-emptymessage--custom',
      'webapp-components-emptymessage--custom-noun',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-emptymessage--all-messages': {
    id: 'webapp-components-emptymessage--all-messages',
    kind: 'Webapp components/EmptyMessage',
    name: 'all messages',
    story: 'all messages',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-emptymessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-emptymessage--default': {
    id: 'webapp-components-emptymessage--default',
    kind: 'Webapp components/EmptyMessage',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-emptymessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-emptymessage--custom': {
    id: 'webapp-components-emptymessage--custom',
    kind: 'Webapp components/EmptyMessage',
    name: 'custom',
    story: 'custom',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-emptymessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-emptymessage--custom-noun': {
    id: 'webapp-components-emptymessage--custom-noun',
    kind: 'Webapp components/EmptyMessage',
    name: 'custom noun',
    story: 'custom noun',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-emptymessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-eyebrow': {
    name: 'Eyebrow',
    id: 'webapp-components-eyebrow',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-eyebrow--default',
      'webapp-components-eyebrow--positive',
      'webapp-components-eyebrow--warning',
      'webapp-components-eyebrow--negative',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-eyebrow--default': {
    id: 'webapp-components-eyebrow--default',
    kind: 'Webapp components/Eyebrow',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-eyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-eyebrow--positive': {
    id: 'webapp-components-eyebrow--positive',
    kind: 'Webapp components/Eyebrow',
    name: 'Positive',
    story: 'Positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-eyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-eyebrow--warning': {
    id: 'webapp-components-eyebrow--warning',
    kind: 'Webapp components/Eyebrow',
    name: 'Warning',
    story: 'Warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-eyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-eyebrow--negative': {
    id: 'webapp-components-eyebrow--negative',
    kind: 'Webapp components/Eyebrow',
    name: 'Negative',
    story: 'Negative',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-eyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-eyebrowonboarding': {
    name: 'EyebrowOnboarding',
    id: 'webapp-components-eyebrowonboarding',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-eyebrowonboarding--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-eyebrowonboarding--default': {
    id: 'webapp-components-eyebrowonboarding--default',
    kind: 'Webapp components/EyebrowOnboarding',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-eyebrowonboarding',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-flexcenter': {
    name: 'FlexCenter',
    id: 'webapp-components-flexcenter',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-flexcenter--21',
      'webapp-components-flexcenter--22',
      'webapp-components-flexcenter--23',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-flexcenter--21': {
    id: 'webapp-components-flexcenter--21',
    kind: 'Webapp components/FlexCenter',
    name: '2:1',
    story: '2:1',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-flexcenter',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-flexcenter--22': {
    id: 'webapp-components-flexcenter--22',
    kind: 'Webapp components/FlexCenter',
    name: '2:2',
    story: '2:2',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-flexcenter',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-flexcenter--23': {
    id: 'webapp-components-flexcenter--23',
    kind: 'Webapp components/FlexCenter',
    name: '2:3',
    story: '2:3',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-flexcenter',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-form': {
    name: 'Form',
    id: 'webapp-components-form',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-form--all-inputs'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-form--all-inputs': {
    id: 'webapp-components-form--all-inputs',
    kind: 'Webapp components/Form',
    name: 'all inputs',
    story: 'all inputs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-form',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header': {
    name: 'Header',
    id: 'webapp-components-header',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-header--loading',
      'webapp-components-header--logged-in-app',
      'webapp-components-header--logged-in-app-saml-user',
      'webapp-components-header--logged-in-app-shared-with-you',
      'webapp-components-header--logged-in-app-shared-with-admin',
      'webapp-components-header--logged-in-app-shared-with-you-open-source',
      'webapp-components-header--logged-in-linked-account',
      'webapp-components-header--logged-in-personal-account',
      'webapp-components-header--logged-in-shared-with-you-app-owner',
      'webapp-components-header--logged-in-no-app-owner-or-app',
      'webapp-components-header--logged-in-no-app-owner-onboarding',
      'webapp-components-header--not-logged-in-can-login',
      'webapp-components-header--not-logged-in-can-not-login',
      'webapp-components-header--long-name',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-header--loading': {
    id: 'webapp-components-header--loading',
    kind: 'Webapp components/Header',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-app': {
    id: 'webapp-components-header--logged-in-app',
    kind: 'Webapp components/Header',
    name: 'Logged in, app',
    story: 'Logged in, app',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-app-saml-user': {
    id: 'webapp-components-header--logged-in-app-saml-user',
    kind: 'Webapp components/Header',
    name: 'Logged in, app, saml user',
    story: 'Logged in, app, saml user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-app-shared-with-you': {
    id: 'webapp-components-header--logged-in-app-shared-with-you',
    kind: 'Webapp components/Header',
    name: 'Logged in, app, shared with you',
    story: 'Logged in, app, shared with you',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-app-shared-with-admin': {
    id: 'webapp-components-header--logged-in-app-shared-with-admin',
    kind: 'Webapp components/Header',
    name: 'Logged in, app, shared with admin',
    story: 'Logged in, app, shared with admin',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-app-shared-with-you-open-source': {
    id: 'webapp-components-header--logged-in-app-shared-with-you-open-source',
    kind: 'Webapp components/Header',
    name: 'Logged in, app, shared with you, open source',
    story: 'Logged in, app, shared with you, open source',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-linked-account': {
    id: 'webapp-components-header--logged-in-linked-account',
    kind: 'Webapp components/Header',
    name: 'Logged in, linked account',
    story: 'Logged in, linked account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-personal-account': {
    id: 'webapp-components-header--logged-in-personal-account',
    kind: 'Webapp components/Header',
    name: 'Logged in, personal account',
    story: 'Logged in, personal account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-shared-with-you-app-owner': {
    id: 'webapp-components-header--logged-in-shared-with-you-app-owner',
    kind: 'Webapp components/Header',
    name: 'Logged in, shared with you appOwner',
    story: 'Logged in, shared with you appOwner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-no-app-owner-or-app': {
    id: 'webapp-components-header--logged-in-no-app-owner-or-app',
    kind: 'Webapp components/Header',
    name: 'Logged in no appOwner or app',
    story: 'Logged in no appOwner or app',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--logged-in-no-app-owner-onboarding': {
    id: 'webapp-components-header--logged-in-no-app-owner-onboarding',
    kind: 'Webapp components/Header',
    name: 'Logged in no appOwner (onboarding)',
    story: 'Logged in no appOwner (onboarding)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--not-logged-in-can-login': {
    id: 'webapp-components-header--not-logged-in-can-login',
    kind: 'Webapp components/Header',
    name: 'Not logged in, can login',
    story: 'Not logged in, can login',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--not-logged-in-can-not-login': {
    id: 'webapp-components-header--not-logged-in-can-not-login',
    kind: 'Webapp components/Header',
    name: 'Not logged in, can not login',
    story: 'Not logged in, can not login',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-header--long-name': {
    id: 'webapp-components-header--long-name',
    kind: 'Webapp components/Header',
    name: 'Long name',
    story: 'Long name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-header',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-heading': {
    name: 'Heading',
    id: 'webapp-components-heading',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-heading--loading',
      'webapp-components-heading--default',
      'webapp-components-heading--no-subtitle',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-heading--loading': {
    id: 'webapp-components-heading--loading',
    kind: 'Webapp components/Heading',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-heading',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-heading--default': {
    id: 'webapp-components-heading--default',
    kind: 'Webapp components/Heading',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-heading',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-heading--no-subtitle': {
    id: 'webapp-components-heading--no-subtitle',
    kind: 'Webapp components/Heading',
    name: 'no subtitle',
    story: 'no subtitle',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-heading',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-ignoredregions': {
    name: 'IgnoredRegions',
    id: 'webapp-components-ignoredregions',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-ignoredregions--basic'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-ignoredregions--basic': {
    id: 'webapp-components-ignoredregions--basic',
    kind: 'Webapp components/IgnoredRegions',
    name: 'basic',
    story: 'basic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-ignoredregions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile': {
    name: 'ImageTile',
    id: 'webapp-components-imagetile',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-imagetile--loading',
      'webapp-components-imagetile--default',
      'webapp-components-imagetile--long-text',
      'webapp-components-imagetile--no-label',
      'webapp-components-imagetile--no-description',
      'webapp-components-imagetile--as-link',
      'webapp-components-imagetile--as-button',
      'webapp-components-imagetile--with-image',
      'webapp-components-imagetile--with-background',
      'webapp-components-imagetile--with-border',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-imagetile--loading': {
    id: 'webapp-components-imagetile--loading',
    kind: 'Webapp components/ImageTile',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--default': {
    id: 'webapp-components-imagetile--default',
    kind: 'Webapp components/ImageTile',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--long-text': {
    id: 'webapp-components-imagetile--long-text',
    kind: 'Webapp components/ImageTile',
    name: 'Long Text',
    story: 'Long Text',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--no-label': {
    id: 'webapp-components-imagetile--no-label',
    kind: 'Webapp components/ImageTile',
    name: 'No Label',
    story: 'No Label',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--no-description': {
    id: 'webapp-components-imagetile--no-description',
    kind: 'Webapp components/ImageTile',
    name: 'No Description',
    story: 'No Description',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--as-link': {
    id: 'webapp-components-imagetile--as-link',
    kind: 'Webapp components/ImageTile',
    name: 'As Link',
    story: 'As Link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--as-button': {
    id: 'webapp-components-imagetile--as-button',
    kind: 'Webapp components/ImageTile',
    name: 'As Button',
    story: 'As Button',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--with-image': {
    id: 'webapp-components-imagetile--with-image',
    kind: 'Webapp components/ImageTile',
    name: 'With Image',
    story: 'With Image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--with-background': {
    id: 'webapp-components-imagetile--with-background',
    kind: 'Webapp components/ImageTile',
    name: 'With Background',
    story: 'With Background',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-imagetile--with-border': {
    id: 'webapp-components-imagetile--with-border',
    kind: 'Webapp components/ImageTile',
    name: 'With Border',
    story: 'With Border',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-imagetile',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-interstitial': {
    name: 'Interstitial',
    id: 'webapp-components-interstitial',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-interstitial--dots',
      'webapp-components-interstitial--bar',
      'webapp-components-interstitial--ring',
      'webapp-components-interstitial--icon',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-interstitial--dots': {
    id: 'webapp-components-interstitial--dots',
    kind: 'Webapp components/Interstitial',
    name: 'Dots',
    story: 'Dots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-interstitial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-interstitial--bar': {
    id: 'webapp-components-interstitial--bar',
    kind: 'Webapp components/Interstitial',
    name: 'Bar',
    story: 'Bar',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-interstitial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-interstitial--ring': {
    id: 'webapp-components-interstitial--ring',
    kind: 'Webapp components/Interstitial',
    name: 'Ring',
    story: 'Ring',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-interstitial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-interstitial--icon': {
    id: 'webapp-components-interstitial--icon',
    kind: 'Webapp components/Interstitial',
    name: 'Icon',
    story: 'Icon',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-interstitial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-inviteeyebrow': {
    name: 'InviteEyebrow',
    id: 'webapp-components-inviteeyebrow',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-inviteeyebrow--unlinked',
      'webapp-components-inviteeyebrow--linked',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-inviteeyebrow--unlinked': {
    id: 'webapp-components-inviteeyebrow--unlinked',
    kind: 'Webapp components/InviteEyebrow',
    name: 'Unlinked',
    story: 'Unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-inviteeyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-inviteeyebrow--linked': {
    id: 'webapp-components-inviteeyebrow--linked',
    kind: 'Webapp components/InviteEyebrow',
    name: 'Linked',
    story: 'Linked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-inviteeyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isactiveelement': {
    name: 'IsActiveElement',
    id: 'webapp-components-isactiveelement',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-isactiveelement--active',
      'webapp-components-isactiveelement--not-active',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-isactiveelement--active': {
    id: 'webapp-components-isactiveelement--active',
    kind: 'Webapp components/IsActiveElement',
    name: 'active',
    story: 'active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isactiveelement',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isactiveelement--not-active': {
    id: 'webapp-components-isactiveelement--not-active',
    kind: 'Webapp components/IsActiveElement',
    name: 'not active',
    story: 'not active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isactiveelement',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe': {
    name: 'IsolatorFrame',
    id: 'webapp-components-isolatorframe',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-isolatorframe--fail-to-connect',
      'webapp-components-isolatorframe--hidden',
      'webapp-components-isolatorframe--storybook-34',
      'webapp-components-isolatorframe--storybook-40',
      'webapp-components-isolatorframe--storybook-5',
      'webapp-components-isolatorframe--storybook-5-legacy-package',
      'webapp-components-isolatorframe--storybook-5-error',
      'webapp-components-isolatorframe--storybook-6',
      'webapp-components-isolatorframe--invalid-spec',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--fail-to-connect': {
    id: 'webapp-components-isolatorframe--fail-to-connect',
    kind: 'Webapp components/IsolatorFrame',
    name: 'fail to connect',
    story: 'fail to connect',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--hidden': {
    id: 'webapp-components-isolatorframe--hidden',
    kind: 'Webapp components/IsolatorFrame',
    name: 'hidden',
    story: 'hidden',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-34': {
    id: 'webapp-components-isolatorframe--storybook-34',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 3.4',
    story: 'Storybook 3.4',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-40': {
    id: 'webapp-components-isolatorframe--storybook-40',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 4.0',
    story: 'Storybook 4.0',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-5': {
    id: 'webapp-components-isolatorframe--storybook-5',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 5',
    story: 'Storybook 5',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-5-legacy-package': {
    id: 'webapp-components-isolatorframe--storybook-5-legacy-package',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 5, legacy package',
    story: 'Storybook 5, legacy package',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-5-error': {
    id: 'webapp-components-isolatorframe--storybook-5-error',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 5, error',
    story: 'Storybook 5, error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--storybook-6': {
    id: 'webapp-components-isolatorframe--storybook-6',
    kind: 'Webapp components/IsolatorFrame',
    name: 'Storybook 6',
    story: 'Storybook 6',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-isolatorframe--invalid-spec': {
    id: 'webapp-components-isolatorframe--invalid-spec',
    kind: 'Webapp components/IsolatorFrame',
    name: 'invalid spec',
    story: 'invalid spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-isolatorframe',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist': {
    name: 'LinkList',
    id: 'webapp-components-linklist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-linklist--all-link-lists',
      'webapp-components-linklist--loading',
      'webapp-components-linklist--full',
      'webapp-components-linklist--paginated',
      'webapp-components-linklist--empty-w-custom-noun',
      'webapp-components-linklist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-linklist--all-link-lists': {
    id: 'webapp-components-linklist--all-link-lists',
    kind: 'Webapp components/LinkList',
    name: 'All LinkLists',
    story: 'All LinkLists',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist--loading': {
    id: 'webapp-components-linklist--loading',
    kind: 'Webapp components/LinkList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist--full': {
    id: 'webapp-components-linklist--full',
    kind: 'Webapp components/LinkList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist--paginated': {
    id: 'webapp-components-linklist--paginated',
    kind: 'Webapp components/LinkList',
    name: 'paginated',
    story: 'paginated',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist--empty-w-custom-noun': {
    id: 'webapp-components-linklist--empty-w-custom-noun',
    kind: 'Webapp components/LinkList',
    name: 'empty w/custom noun',
    story: 'empty w/custom noun',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linklist--empty': {
    id: 'webapp-components-linklist--empty',
    kind: 'Webapp components/LinkList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-linktabs': {
    name: 'LinkTabs',
    id: 'webapp-components-linktabs',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-linktabs--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-linktabs--default': {
    id: 'webapp-components-linktabs--default',
    kind: 'Webapp components/LinkTabs',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-linktabs',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-listheading': {
    name: 'ListHeading',
    id: 'webapp-components-listheading',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-listheading--all'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-listheading--all': {
    id: 'webapp-components-listheading--all',
    kind: 'Webapp components/ListHeading',
    name: 'all',
    story: 'all',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-listheading',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview': {
    name: 'LiveView',
    id: 'webapp-components-liveview',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-liveview--storybook-5-preloading',
      'webapp-components-liveview--storybook-34-preloading',
      'webapp-components-liveview--storybook-40-preloading',
      'webapp-components-liveview--storybook-5-visible',
      'webapp-components-liveview--storybook-5-error-visible',
      'webapp-components-liveview--storybook-34-visible',
      'webapp-components-liveview--storybook-40-visible',
      'webapp-components-liveview--pure-downloading',
      'webapp-components-liveview--pure-connecting',
      'webapp-components-liveview--pure-connected',
      'webapp-components-liveview--staging',
      'webapp-components-liveview--production',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-5-preloading': {
    id: 'webapp-components-liveview--storybook-5-preloading',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 5, preloading',
    story: 'Storybook 5, preloading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-34-preloading': {
    id: 'webapp-components-liveview--storybook-34-preloading',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 3.4, preloading',
    story: 'Storybook 3.4, preloading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-40-preloading': {
    id: 'webapp-components-liveview--storybook-40-preloading',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 4.0, preloading',
    story: 'Storybook 4.0, preloading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-5-visible': {
    id: 'webapp-components-liveview--storybook-5-visible',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 5, visible',
    story: 'Storybook 5, visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-5-error-visible': {
    id: 'webapp-components-liveview--storybook-5-error-visible',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 5, error, visible',
    story: 'Storybook 5, error, visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-34-visible': {
    id: 'webapp-components-liveview--storybook-34-visible',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 3.4, visible',
    story: 'Storybook 3.4, visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--storybook-40-visible': {
    id: 'webapp-components-liveview--storybook-40-visible',
    kind: 'Webapp components/LiveView',
    name: 'Storybook 4.0, visible',
    story: 'Storybook 4.0, visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--pure-downloading': {
    id: 'webapp-components-liveview--pure-downloading',
    kind: 'Webapp components/LiveView',
    name: 'pure, downloading',
    story: 'pure, downloading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--pure-connecting': {
    id: 'webapp-components-liveview--pure-connecting',
    kind: 'Webapp components/LiveView',
    name: 'pure, connecting',
    story: 'pure, connecting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--pure-connected': {
    id: 'webapp-components-liveview--pure-connected',
    kind: 'Webapp components/LiveView',
    name: 'pure, connected',
    story: 'pure, connected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--staging': {
    id: 'webapp-components-liveview--staging',
    kind: 'Webapp components/LiveView',
    name: 'Staging',
    story: 'Staging',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-liveview--production': {
    id: 'webapp-components-liveview--production',
    kind: 'Webapp components/LiveView',
    name: 'Production',
    story: 'Production',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-liveview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-mailinglistsubscribeform': {
    name: 'MailingListSubscribeForm',
    id: 'webapp-components-mailinglistsubscribeform',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-mailinglistsubscribeform--basic',
      'webapp-components-mailinglistsubscribeform--opt-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-mailinglistsubscribeform--basic': {
    id: 'webapp-components-mailinglistsubscribeform--basic',
    kind: 'Webapp components/MailingListSubscribeForm',
    name: 'basic',
    story: 'basic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-mailinglistsubscribeform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-mailinglistsubscribeform--opt-in': {
    id: 'webapp-components-mailinglistsubscribeform--opt-in',
    kind: 'Webapp components/MailingListSubscribeForm',
    name: 'opt-in',
    story: 'opt-in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-mailinglistsubscribeform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform': {
    name: 'NewAppForm',
    id: 'webapp-components-newappform',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-newappform--default-personal',
      'webapp-components-newappform--default-personal-creating',
      'webapp-components-newappform--default-personal-unlinked',
      'webapp-components-newappform--default-organization',
      'webapp-components-newappform--default-github-failure',
      'webapp-components-newappform--compact-personal-unlinked',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-newappform--default-personal': {
    id: 'webapp-components-newappform--default-personal',
    kind: 'Webapp components/NewAppForm',
    name: 'default, personal',
    story: 'default, personal',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform--default-personal-creating': {
    id: 'webapp-components-newappform--default-personal-creating',
    kind: 'Webapp components/NewAppForm',
    name: 'default, personal, creating',
    story: 'default, personal, creating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform--default-personal-unlinked': {
    id: 'webapp-components-newappform--default-personal-unlinked',
    kind: 'Webapp components/NewAppForm',
    name: 'default, personal, unlinked',
    story: 'default, personal, unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform--default-organization': {
    id: 'webapp-components-newappform--default-organization',
    kind: 'Webapp components/NewAppForm',
    name: 'default, organization',
    story: 'default, organization',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform--default-github-failure': {
    id: 'webapp-components-newappform--default-github-failure',
    kind: 'Webapp components/NewAppForm',
    name: 'default, github, failure',
    story: 'default, github, failure',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-newappform--compact-personal-unlinked': {
    id: 'webapp-components-newappform--compact-personal-unlinked',
    kind: 'Webapp components/NewAppForm',
    name: 'compact, personal, unlinked',
    story: 'compact, personal, unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-newappform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-notifications': {
    name: 'Notifications',
    id: 'webapp-components-notifications',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-notifications-notification',
      'webapp-components-notifications-notifications',
      'webapp-components-notifications-reviewsyncfailednotification',
      'webapp-components-notifications-syncingnotification',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-notifications-notification': {
    name: 'Notification',
    id: 'webapp-components-notifications-notification',
    parent: 'webapp-components-notifications',
    depth: 2,
    children: ['webapp-components-notifications-notification--notification'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-notifications-notification--notification': {
    id: 'webapp-components-notifications-notification--notification',
    kind: 'Webapp components/Notifications/Notification',
    name: 'notification',
    story: 'notification',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-notifications-notification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-notifications-notifications': {
    name: 'Notifications',
    id: 'webapp-components-notifications-notifications',
    parent: 'webapp-components-notifications',
    depth: 2,
    children: ['webapp-components-notifications-notifications--with-initial-notifications'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-notifications-notifications--with-initial-notifications': {
    id: 'webapp-components-notifications-notifications--with-initial-notifications',
    kind: 'Webapp components/Notifications/Notifications',
    name: 'with initial notifications',
    story: 'with initial notifications',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-notifications-notifications',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-notifications-reviewsyncfailednotification': {
    name: 'ReviewSyncFailedNotification',
    id: 'webapp-components-notifications-reviewsyncfailednotification',
    parent: 'webapp-components-notifications',
    depth: 2,
    children: ['webapp-components-notifications-reviewsyncfailednotification--notification'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-notifications-reviewsyncfailednotification--notification': {
    id: 'webapp-components-notifications-reviewsyncfailednotification--notification',
    kind: 'Webapp components/Notifications/ReviewSyncFailedNotification',
    name: 'notification',
    story: 'notification',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-notifications-reviewsyncfailednotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-notifications-syncingnotification': {
    name: 'SyncingNotification',
    id: 'webapp-components-notifications-syncingnotification',
    parent: 'webapp-components-notifications',
    depth: 2,
    children: ['webapp-components-notifications-syncingnotification--notification'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-notifications-syncingnotification--notification': {
    id: 'webapp-components-notifications-syncingnotification--notification',
    kind: 'Webapp components/Notifications/SyncingNotification',
    name: 'notification',
    story: 'notification',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-components-notifications-syncingnotification',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pageheader': {
    name: 'PageHeader',
    id: 'webapp-components-pageheader',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-pageheader--default',
      'webapp-components-pageheader--loading',
      'webapp-components-pageheader--long',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pageheader--default': {
    id: 'webapp-components-pageheader--default',
    kind: 'Webapp components/PageHeader',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pageheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pageheader--loading': {
    id: 'webapp-components-pageheader--loading',
    kind: 'Webapp components/PageHeader',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pageheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pageheader--long': {
    id: 'webapp-components-pageheader--long',
    kind: 'Webapp components/PageHeader',
    name: 'Long',
    story: 'Long',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pageheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pagetitlebar': {
    name: 'PageTitleBar',
    id: 'webapp-components-pagetitlebar',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-pagetitlebar--loading',
      'webapp-components-pagetitlebar--with-actions',
      'webapp-components-pagetitlebar--with-children-and-actions',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pagetitlebar--loading': {
    id: 'webapp-components-pagetitlebar--loading',
    kind: 'Webapp components/PageTitleBar',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pagetitlebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pagetitlebar--with-actions': {
    id: 'webapp-components-pagetitlebar--with-actions',
    kind: 'Webapp components/PageTitleBar',
    name: 'with actions',
    story: 'with actions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pagetitlebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pagetitlebar--with-children-and-actions': {
    id: 'webapp-components-pagetitlebar--with-children-and-actions',
    kind: 'Webapp components/PageTitleBar',
    name: 'with children and actions',
    story: 'with children and actions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pagetitlebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pagination': {
    name: 'Pagination',
    id: 'webapp-components-pagination',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-pagination--back', 'webapp-components-pagination--next'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pagination--back': {
    id: 'webapp-components-pagination--back',
    kind: 'Webapp components/Pagination',
    name: 'back',
    story: 'back',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pagination',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pagination--next': {
    id: 'webapp-components-pagination--next',
    kind: 'Webapp components/Pagination',
    name: 'next',
    story: 'next',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pagination',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectcta': {
    name: 'PaymentCollectCTA',
    id: 'webapp-components-paymentcollectcta',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-paymentcollectcta--account-upgrading'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectcta--account-upgrading': {
    id: 'webapp-components-paymentcollectcta--account-upgrading',
    kind: 'Webapp components/PaymentCollectCTA',
    name: 'account upgrading',
    story: 'account upgrading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectcta',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal': {
    name: 'PaymentCollectModal',
    id: 'webapp-components-paymentcollectmodal',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-paymentcollectmodal--account-upgrading',
      'webapp-components-paymentcollectmodal--pre-subscribed',
      'webapp-components-paymentcollectmodal--exceeded-threshold',
      'webapp-components-paymentcollectmodal--free',
      'webapp-components-paymentcollectmodal--in-trial',
      'webapp-components-paymentcollectmodal--trial-ending',
      'webapp-components-paymentcollectmodal--payment-failed',
      'webapp-components-paymentcollectmodal--payment-required',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--account-upgrading': {
    id: 'webapp-components-paymentcollectmodal--account-upgrading',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'account upgrading',
    story: 'account upgrading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--pre-subscribed': {
    id: 'webapp-components-paymentcollectmodal--pre-subscribed',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'Pre Subscribed',
    story: 'Pre Subscribed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--exceeded-threshold': {
    id: 'webapp-components-paymentcollectmodal--exceeded-threshold',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'Exceeded Threshold',
    story: 'Exceeded Threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--free': {
    id: 'webapp-components-paymentcollectmodal--free',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'Free',
    story: 'Free',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--in-trial': {
    id: 'webapp-components-paymentcollectmodal--in-trial',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'in trial',
    story: 'in trial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--trial-ending': {
    id: 'webapp-components-paymentcollectmodal--trial-ending',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'trial ending',
    story: 'trial ending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--payment-failed': {
    id: 'webapp-components-paymentcollectmodal--payment-failed',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'payment failed',
    story: 'payment failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymentcollectmodal--payment-required': {
    id: 'webapp-components-paymentcollectmodal--payment-required',
    kind: 'Webapp components/PaymentCollectModal',
    name: 'payment required',
    story: 'payment required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymentcollectmodal',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymenteyebrow': {
    name: 'PaymentEyebrow',
    id: 'webapp-components-paymenteyebrow',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-paymenteyebrow--trial-ending',
      'webapp-components-paymenteyebrow--payment-failed',
      'webapp-components-paymenteyebrow--payment-required',
      'webapp-components-paymenteyebrow--exceeded-threshold',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-paymenteyebrow--trial-ending': {
    id: 'webapp-components-paymenteyebrow--trial-ending',
    kind: 'Webapp components/PaymentEyebrow',
    name: 'trial ending',
    story: 'trial ending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymenteyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymenteyebrow--payment-failed': {
    id: 'webapp-components-paymenteyebrow--payment-failed',
    kind: 'Webapp components/PaymentEyebrow',
    name: 'payment failed',
    story: 'payment failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymenteyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymenteyebrow--payment-required': {
    id: 'webapp-components-paymenteyebrow--payment-required',
    kind: 'Webapp components/PaymentEyebrow',
    name: 'payment required',
    story: 'payment required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymenteyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-paymenteyebrow--exceeded-threshold': {
    id: 'webapp-components-paymenteyebrow--exceeded-threshold',
    kind: 'Webapp components/PaymentEyebrow',
    name: 'exceeded threshold',
    story: 'exceeded threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-paymenteyebrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar': {
    name: 'ProgressBar',
    id: 'webapp-components-progressbar',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-progressbar--loading',
      'webapp-components-progressbar--short',
      'webapp-components-progressbar--inprogress-25',
      'webapp-components-progressbar--inprogress-50',
      'webapp-components-progressbar--inprogress-tooltip',
      'webapp-components-progressbar--reviewing-partial',
      'webapp-components-progressbar--reviewing-complete',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-progressbar--loading': {
    id: 'webapp-components-progressbar--loading',
    kind: 'Webapp components/ProgressBar',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--short': {
    id: 'webapp-components-progressbar--short',
    kind: 'Webapp components/ProgressBar',
    name: 'short',
    story: 'short',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--inprogress-25': {
    id: 'webapp-components-progressbar--inprogress-25',
    kind: 'Webapp components/ProgressBar',
    name: 'inprogress 25',
    story: 'inprogress 25',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--inprogress-50': {
    id: 'webapp-components-progressbar--inprogress-50',
    kind: 'Webapp components/ProgressBar',
    name: 'inprogress 50',
    story: 'inprogress 50',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--inprogress-tooltip': {
    id: 'webapp-components-progressbar--inprogress-tooltip',
    kind: 'Webapp components/ProgressBar',
    name: 'inprogress, tooltip',
    story: 'inprogress, tooltip',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--reviewing-partial': {
    id: 'webapp-components-progressbar--reviewing-partial',
    kind: 'Webapp components/ProgressBar',
    name: 'reviewing partial',
    story: 'reviewing partial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-progressbar--reviewing-complete': {
    id: 'webapp-components-progressbar--reviewing-complete',
    kind: 'Webapp components/ProgressBar',
    name: 'reviewing complete',
    story: 'reviewing complete',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-progressbar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem': {
    name: 'ProjectItem',
    id: 'webapp-components-projectitem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-projectitem--all-project-item',
      'webapp-components-projectitem--loading',
      'webapp-components-projectitem--app-screen-loading-see-1196',
      'webapp-components-projectitem--default',
      'webapp-components-projectitem--default-no-account-name',
      'webapp-components-projectitem--default-few-users',
      'webapp-components-projectitem--in-setup',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-projectitem--all-project-item': {
    id: 'webapp-components-projectitem--all-project-item',
    kind: 'Webapp components/ProjectItem',
    name: 'All ProjectItem',
    story: 'All ProjectItem',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--loading': {
    id: 'webapp-components-projectitem--loading',
    kind: 'Webapp components/ProjectItem',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--app-screen-loading-see-1196': {
    id: 'webapp-components-projectitem--app-screen-loading-see-1196',
    kind: 'Webapp components/ProjectItem',
    name: 'app screen loading (see #1196)',
    story: 'app screen loading (see #1196)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--default': {
    id: 'webapp-components-projectitem--default',
    kind: 'Webapp components/ProjectItem',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--default-no-account-name': {
    id: 'webapp-components-projectitem--default-no-account-name',
    kind: 'Webapp components/ProjectItem',
    name: 'default, noAccountName',
    story: 'default, noAccountName',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--default-few-users': {
    id: 'webapp-components-projectitem--default-few-users',
    kind: 'Webapp components/ProjectItem',
    name: 'default few users',
    story: 'default few users',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectitem--in-setup': {
    id: 'webapp-components-projectitem--in-setup',
    kind: 'Webapp components/ProjectItem',
    name: 'in setup',
    story: 'in setup',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectlist': {
    name: 'ProjectList',
    id: 'webapp-components-projectlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-projectlist--loading',
      'webapp-components-projectlist--full',
      'webapp-components-projectlist--full-no-account-name',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-projectlist--loading': {
    id: 'webapp-components-projectlist--loading',
    kind: 'Webapp components/ProjectList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectlist--full': {
    id: 'webapp-components-projectlist--full',
    kind: 'Webapp components/ProjectList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-projectlist--full-no-account-name': {
    id: 'webapp-components-projectlist--full-no-account-name',
    kind: 'Webapp components/ProjectList',
    name: 'full, no account name',
    story: 'full, no account name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-projectlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem': {
    name: 'PullRequestItem',
    id: 'webapp-components-pullrequestitem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-pullrequestitem--all-pull-request-item',
      'webapp-components-pullrequestitem--loading',
      'webapp-components-pullrequestitem--unbuilt',
      'webapp-components-pullrequestitem--building',
      'webapp-components-pullrequestitem--passed',
      'webapp-components-pullrequestitem--pending',
      'webapp-components-pullrequestitem--errored-diffs',
      'webapp-components-pullrequestitem--errored-build-closed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--all-pull-request-item': {
    id: 'webapp-components-pullrequestitem--all-pull-request-item',
    kind: 'Webapp components/PullRequestItem',
    name: 'All PullRequestItem',
    story: 'All PullRequestItem',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--loading': {
    id: 'webapp-components-pullrequestitem--loading',
    kind: 'Webapp components/PullRequestItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--unbuilt': {
    id: 'webapp-components-pullrequestitem--unbuilt',
    kind: 'Webapp components/PullRequestItem',
    name: 'Unbuilt',
    story: 'Unbuilt',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--building': {
    id: 'webapp-components-pullrequestitem--building',
    kind: 'Webapp components/PullRequestItem',
    name: 'Building',
    story: 'Building',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--passed': {
    id: 'webapp-components-pullrequestitem--passed',
    kind: 'Webapp components/PullRequestItem',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--pending': {
    id: 'webapp-components-pullrequestitem--pending',
    kind: 'Webapp components/PullRequestItem',
    name: 'Pending',
    story: 'Pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--errored-diffs': {
    id: 'webapp-components-pullrequestitem--errored-diffs',
    kind: 'Webapp components/PullRequestItem',
    name: 'Errored Diffs',
    story: 'Errored Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestitem--errored-build-closed': {
    id: 'webapp-components-pullrequestitem--errored-build-closed',
    kind: 'Webapp components/PullRequestItem',
    name: 'Errored build, closed',
    story: 'Errored build, closed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist': {
    name: 'PullRequestList',
    id: 'webapp-components-pullrequestlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-pullrequestlist--loading',
      'webapp-components-pullrequestlist--full',
      'webapp-components-pullrequestlist--full-ui-review-disabled',
      'webapp-components-pullrequestlist--empty',
      'webapp-components-pullrequestlist--empty-branch',
      'webapp-components-pullrequestlist--error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--loading': {
    id: 'webapp-components-pullrequestlist--loading',
    kind: 'Webapp components/PullRequestList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--full': {
    id: 'webapp-components-pullrequestlist--full',
    kind: 'Webapp components/PullRequestList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--full-ui-review-disabled': {
    id: 'webapp-components-pullrequestlist--full-ui-review-disabled',
    kind: 'Webapp components/PullRequestList',
    name: 'full, UI review disabled',
    story: 'full, UI review disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--empty': {
    id: 'webapp-components-pullrequestlist--empty',
    kind: 'Webapp components/PullRequestList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--empty-branch': {
    id: 'webapp-components-pullrequestlist--empty-branch',
    kind: 'Webapp components/PullRequestList',
    name: 'empty branch',
    story: 'empty branch',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequestlist--error': {
    id: 'webapp-components-pullrequestlist--error',
    kind: 'Webapp components/PullRequestList',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequestlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight': {
    name: 'PullRequestStatusLight',
    id: 'webapp-components-pullrequeststatuslight',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-pullrequeststatuslight--loading',
      'webapp-components-pullrequeststatuslight--passed',
      'webapp-components-pullrequeststatuslight--no-builds',
      'webapp-components-pullrequeststatuslight--checklist',
      'webapp-components-pullrequeststatuslight--errored-diffs',
      'webapp-components-pullrequeststatuslight--errored-diffs-and-checklist',
      'webapp-components-pullrequeststatuslight--build-in-progress',
      'webapp-components-pullrequeststatuslight--comparison-in-progress',
      'webapp-components-pullrequeststatuslight--build-error',
      'webapp-components-pullrequeststatuslight--comparison-error',
      'webapp-components-pullrequeststatuslight--paused',
      'webapp-components-pullrequeststatuslight--payment-required',
      'webapp-components-pullrequeststatuslight--publish-only',
      'webapp-components-pullrequeststatuslight--publish-only-build-in-progress',
      'webapp-components-pullrequeststatuslight--publish-only-build-error',
      'webapp-components-pullrequeststatuslight--ui-review-disabled',
      'webapp-components-pullrequeststatuslight--ui-review-disabled-build-in-progress',
      'webapp-components-pullrequeststatuslight--ui-review-disabled-build-error',
      'webapp-components-pullrequeststatuslight--ui-review-disabled-publish-only',
      'webapp-components-pullrequeststatuslight--ui-review-disabled-paused',
      'webapp-components-pullrequeststatuslight--tiny',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--loading': {
    id: 'webapp-components-pullrequeststatuslight--loading',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--passed': {
    id: 'webapp-components-pullrequeststatuslight--passed',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--no-builds': {
    id: 'webapp-components-pullrequeststatuslight--no-builds',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'No Builds',
    story: 'No Builds',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--checklist': {
    id: 'webapp-components-pullrequeststatuslight--checklist',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Checklist',
    story: 'Checklist',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--errored-diffs': {
    id: 'webapp-components-pullrequeststatuslight--errored-diffs',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Errored Diffs',
    story: 'Errored Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--errored-diffs-and-checklist': {
    id: 'webapp-components-pullrequeststatuslight--errored-diffs-and-checklist',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Errored Diffs And Checklist',
    story: 'Errored Diffs And Checklist',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--build-in-progress': {
    id: 'webapp-components-pullrequeststatuslight--build-in-progress',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--comparison-in-progress': {
    id: 'webapp-components-pullrequeststatuslight--comparison-in-progress',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Comparison In Progress',
    story: 'Comparison In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--build-error': {
    id: 'webapp-components-pullrequeststatuslight--build-error',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--comparison-error': {
    id: 'webapp-components-pullrequeststatuslight--comparison-error',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Comparison Error',
    story: 'Comparison Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--paused': {
    id: 'webapp-components-pullrequeststatuslight--paused',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--payment-required': {
    id: 'webapp-components-pullrequeststatuslight--payment-required',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Payment Required',
    story: 'Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--publish-only': {
    id: 'webapp-components-pullrequeststatuslight--publish-only',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Publish Only',
    story: 'Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--publish-only-build-in-progress': {
    id: 'webapp-components-pullrequeststatuslight--publish-only-build-in-progress',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Publish Only, Build In Progress',
    story: 'Publish Only, Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--publish-only-build-error': {
    id: 'webapp-components-pullrequeststatuslight--publish-only-build-error',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Publish Only, Build Error',
    story: 'Publish Only, Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--ui-review-disabled': {
    id: 'webapp-components-pullrequeststatuslight--ui-review-disabled',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'UI Review Disabled',
    story: 'UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--ui-review-disabled-build-in-progress': {
    id: 'webapp-components-pullrequeststatuslight--ui-review-disabled-build-in-progress',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'UI Review Disabled, Build In Progress',
    story: 'UI Review Disabled, Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--ui-review-disabled-build-error': {
    id: 'webapp-components-pullrequeststatuslight--ui-review-disabled-build-error',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'UI Review Disabled, Build Error',
    story: 'UI Review Disabled, Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--ui-review-disabled-publish-only': {
    id: 'webapp-components-pullrequeststatuslight--ui-review-disabled-publish-only',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'UI Review Disabled, Publish Only',
    story: 'UI Review Disabled, Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--ui-review-disabled-paused': {
    id: 'webapp-components-pullrequeststatuslight--ui-review-disabled-paused',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'UI Review Disabled, Paused',
    story: 'UI Review Disabled, Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-pullrequeststatuslight--tiny': {
    id: 'webapp-components-pullrequeststatuslight--tiny',
    kind: 'Webapp components/PullRequestStatusLight',
    name: 'Tiny',
    story: 'Tiny',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-pullrequeststatuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-questiontooltip': {
    name: 'QuestionTooltip',
    id: 'webapp-components-questiontooltip',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-questiontooltip--default',
      'webapp-components-questiontooltip--start-open',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-questiontooltip--default': {
    id: 'webapp-components-questiontooltip--default',
    kind: 'Webapp components/QuestionTooltip',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-questiontooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-questiontooltip--start-open': {
    id: 'webapp-components-questiontooltip--start-open',
    kind: 'Webapp components/QuestionTooltip',
    name: 'start open',
    story: 'start open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-questiontooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-radar': {
    name: 'Radar',
    id: 'webapp-components-radar',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-radar--radar'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-radar--radar': {
    id: 'webapp-components-radar--radar',
    kind: 'Webapp components/Radar',
    name: 'Radar',
    story: 'Radar',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-radar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-radio': {
    name: 'Radio',
    id: 'webapp-components-radio',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-radio--all-radios',
      'webapp-components-radio--unchecked',
      'webapp-components-radio--checked',
      'webapp-components-radio--primary',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-radio--all-radios': {
    id: 'webapp-components-radio--all-radios',
    kind: 'Webapp components/Radio',
    name: 'all radios',
    story: 'all radios',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-radio',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-radio--unchecked': {
    id: 'webapp-components-radio--unchecked',
    kind: 'Webapp components/Radio',
    name: 'unchecked',
    story: 'unchecked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-radio',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-radio--checked': {
    id: 'webapp-components-radio--checked',
    kind: 'Webapp components/Radio',
    name: 'checked',
    story: 'checked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-radio',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-radio--primary': {
    id: 'webapp-components-radio--primary',
    kind: 'Webapp components/Radio',
    name: 'primary',
    story: 'primary',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-radio',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-rawspeclist': {
    name: 'RawSpecList',
    id: 'webapp-components-rawspeclist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-rawspeclist--loading',
      'webapp-components-rawspeclist--default',
      'webapp-components-rawspeclist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-rawspeclist--loading': {
    id: 'webapp-components-rawspeclist--loading',
    kind: 'Webapp components/RawSpecList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-rawspeclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-rawspeclist--default': {
    id: 'webapp-components-rawspeclist--default',
    kind: 'Webapp components/RawSpecList',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-rawspeclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-rawspeclist--empty': {
    id: 'webapp-components-rawspeclist--empty',
    kind: 'Webapp components/RawSpecList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-rawspeclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositoryitem': {
    name: 'RepositoryItem',
    id: 'webapp-components-repositoryitem',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-repositoryitem--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-repositoryitem--default': {
    id: 'webapp-components-repositoryitem--default',
    kind: 'Webapp components/RepositoryItem',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositoryitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorylist': {
    name: 'RepositoryList',
    id: 'webapp-components-repositorylist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-repositorylist--personal',
      'webapp-components-repositorylist--personal-bitbucket',
      'webapp-components-repositorylist--empty',
      'webapp-components-repositorylist--empty-bitbucket',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-repositorylist--personal': {
    id: 'webapp-components-repositorylist--personal',
    kind: 'Webapp components/RepositoryList',
    name: 'personal',
    story: 'personal',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorylist--personal-bitbucket': {
    id: 'webapp-components-repositorylist--personal-bitbucket',
    kind: 'Webapp components/RepositoryList',
    name: 'personal, bitbucket',
    story: 'personal, bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorylist--empty': {
    id: 'webapp-components-repositorylist--empty',
    kind: 'Webapp components/RepositoryList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorylist--empty-bitbucket': {
    id: 'webapp-components-repositorylist--empty-bitbucket',
    kind: 'Webapp components/RepositoryList',
    name: 'empty, bitbucket',
    story: 'empty, bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorylist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositoryowneritem': {
    name: 'RepositoryOwnerItem',
    id: 'webapp-components-repositoryowneritem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-repositoryowneritem--user',
      'webapp-components-repositoryowneritem--org',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-repositoryowneritem--user': {
    id: 'webapp-components-repositoryowneritem--user',
    kind: 'Webapp components/RepositoryOwnerItem',
    name: 'user',
    story: 'user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositoryowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositoryowneritem--org': {
    id: 'webapp-components-repositoryowneritem--org',
    kind: 'Webapp components/RepositoryOwnerItem',
    name: 'org',
    story: 'org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositoryowneritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositoryownerlist': {
    name: 'RepositoryOwnerList',
    id: 'webapp-components-repositoryownerlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-repositoryownerlist--user-selected',
      'webapp-components-repositoryownerlist--org-selected',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-repositoryownerlist--user-selected': {
    id: 'webapp-components-repositoryownerlist--user-selected',
    kind: 'Webapp components/RepositoryOwnerList',
    name: 'user selected',
    story: 'user selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositoryownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositoryownerlist--org-selected': {
    id: 'webapp-components-repositoryownerlist--org-selected',
    kind: 'Webapp components/RepositoryOwnerList',
    name: 'org selected',
    story: 'org selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositoryownerlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker': {
    name: 'RepositoryPicker',
    id: 'webapp-components-repositorypicker',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-repositorypicker--loading',
      'webapp-components-repositorypicker--personal',
      'webapp-components-repositorypicker--personal-w-no-apps',
      'webapp-components-repositorypicker--organization',
      'webapp-components-repositorypicker--organization-w-no-apps',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker--loading': {
    id: 'webapp-components-repositorypicker--loading',
    kind: 'Webapp components/RepositoryPicker',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorypicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker--personal': {
    id: 'webapp-components-repositorypicker--personal',
    kind: 'Webapp components/RepositoryPicker',
    name: 'personal',
    story: 'personal',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorypicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker--personal-w-no-apps': {
    id: 'webapp-components-repositorypicker--personal-w-no-apps',
    kind: 'Webapp components/RepositoryPicker',
    name: 'personal w/ no apps',
    story: 'personal w/ no apps',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorypicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker--organization': {
    id: 'webapp-components-repositorypicker--organization',
    kind: 'Webapp components/RepositoryPicker',
    name: 'organization',
    story: 'organization',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorypicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-repositorypicker--organization-w-no-apps': {
    id: 'webapp-components-repositorypicker--organization-w-no-apps',
    kind: 'Webapp components/RepositoryPicker',
    name: 'organization w/ no apps',
    story: 'organization w/ no apps',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-repositorypicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-scrollintoview': {
    name: 'ScrollIntoView',
    id: 'webapp-components-scrollintoview',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-scrollintoview--w-scroll-into-view',
      'webapp-components-scrollintoview--w-out-scroll-into-view',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-scrollintoview--w-scroll-into-view': {
    id: 'webapp-components-scrollintoview--w-scroll-into-view',
    kind: 'Webapp components/ScrollIntoView',
    name: 'w/ scroll into view',
    story: 'w/ scroll into view',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-scrollintoview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-scrollintoview--w-out-scroll-into-view': {
    id: 'webapp-components-scrollintoview--w-out-scroll-into-view',
    kind: 'Webapp components/ScrollIntoView',
    name: 'w/out scroll into view',
    story: 'w/out scroll into view',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-scrollintoview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section': {
    name: 'Section',
    id: 'webapp-components-section',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-section--full',
      'webapp-components-section--with-children',
      'webapp-components-section--with-callout',
      'webapp-components-section--multiple-sections-nochrome',
      'webapp-components-section--blank',
      'webapp-components-section--loading',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-section--full': {
    id: 'webapp-components-section--full',
    kind: 'Webapp components/Section',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section--with-children': {
    id: 'webapp-components-section--with-children',
    kind: 'Webapp components/Section',
    name: 'with children',
    story: 'with children',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section--with-callout': {
    id: 'webapp-components-section--with-callout',
    kind: 'Webapp components/Section',
    name: 'with callout',
    story: 'with callout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section--multiple-sections-nochrome': {
    id: 'webapp-components-section--multiple-sections-nochrome',
    kind: 'Webapp components/Section',
    name: 'multiple sections nochrome',
    story: 'multiple sections nochrome',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section--blank': {
    id: 'webapp-components-section--blank',
    kind: 'Webapp components/Section',
    name: 'blank',
    story: 'blank',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-section--loading': {
    id: 'webapp-components-section--loading',
    kind: 'Webapp components/Section',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-section',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sharetooltipmessage': {
    name: 'ShareTooltipMessage',
    id: 'webapp-components-sharetooltipmessage',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-sharetooltipmessage--unlinked',
      'webapp-components-sharetooltipmessage--linked',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-sharetooltipmessage--unlinked': {
    id: 'webapp-components-sharetooltipmessage--unlinked',
    kind: 'Webapp components/ShareTooltipMessage',
    name: 'Unlinked',
    story: 'Unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sharetooltipmessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sharetooltipmessage--linked': {
    id: 'webapp-components-sharetooltipmessage--linked',
    kind: 'Webapp components/ShareTooltipMessage',
    name: 'Linked',
    story: 'Linked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sharetooltipmessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sidebarnav': {
    name: 'SidebarNav',
    id: 'webapp-components-sidebarnav',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-sidebarnav--loading',
      'webapp-components-sidebarnav--account',
      'webapp-components-sidebarnav--project',
      'webapp-components-sidebarnav--project-setup',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-sidebarnav--loading': {
    id: 'webapp-components-sidebarnav--loading',
    kind: 'Webapp components/SidebarNav',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sidebarnav',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sidebarnav--account': {
    id: 'webapp-components-sidebarnav--account',
    kind: 'Webapp components/SidebarNav',
    name: 'account',
    story: 'account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sidebarnav',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sidebarnav--project': {
    id: 'webapp-components-sidebarnav--project',
    kind: 'Webapp components/SidebarNav',
    name: 'project',
    story: 'project',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sidebarnav',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-sidebarnav--project-setup': {
    id: 'webapp-components-sidebarnav--project-setup',
    kind: 'Webapp components/SidebarNav',
    name: 'project setup',
    story: 'project setup',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-sidebarnav',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterror': {
    name: 'SnapshotError',
    id: 'webapp-components-snapshoterror',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-snapshoterror--default',
      'webapp-components-snapshoterror--with-metadata',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-snapshoterror--default': {
    id: 'webapp-components-snapshoterror--default',
    kind: 'Webapp components/SnapshotError',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterror',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterror--with-metadata': {
    id: 'webapp-components-snapshoterror--with-metadata',
    kind: 'Webapp components/SnapshotError',
    name: 'With Metadata',
    story: 'With Metadata',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterror',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage': {
    name: 'SnapshotErrorMessage',
    id: 'webapp-components-snapshoterrormessage',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-snapshoterrormessage--image-too-large',
      'webapp-components-snapshoterrormessage--navigation-timeout',
      'webapp-components-snapshoterrormessage--no-js',
      'webapp-components-snapshoterrormessage--failed-js',
      'webapp-components-snapshoterrormessage--story-missing',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage--image-too-large': {
    id: 'webapp-components-snapshoterrormessage--image-too-large',
    kind: 'Webapp components/SnapshotErrorMessage',
    name: 'Image Too Large',
    story: 'Image Too Large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterrormessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage--navigation-timeout': {
    id: 'webapp-components-snapshoterrormessage--navigation-timeout',
    kind: 'Webapp components/SnapshotErrorMessage',
    name: 'Navigation Timeout',
    story: 'Navigation Timeout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterrormessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage--no-js': {
    id: 'webapp-components-snapshoterrormessage--no-js',
    kind: 'Webapp components/SnapshotErrorMessage',
    name: 'No JS',
    story: 'No JS',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterrormessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage--failed-js': {
    id: 'webapp-components-snapshoterrormessage--failed-js',
    kind: 'Webapp components/SnapshotErrorMessage',
    name: 'Failed JS',
    story: 'Failed JS',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterrormessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshoterrormessage--story-missing': {
    id: 'webapp-components-snapshoterrormessage--story-missing',
    kind: 'Webapp components/SnapshotErrorMessage',
    name: 'Story Missing',
    story: 'Story Missing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshoterrormessage',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshotsizechanged': {
    name: 'SnapshotSizeChanged',
    id: 'webapp-components-snapshotsizechanged',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-snapshotsizechanged--width-increased',
      'webapp-components-snapshotsizechanged--width-decreased',
      'webapp-components-snapshotsizechanged--height-increased',
      'webapp-components-snapshotsizechanged--height-decreased',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-snapshotsizechanged--width-increased': {
    id: 'webapp-components-snapshotsizechanged--width-increased',
    kind: 'Webapp components/SnapshotSizeChanged',
    name: 'width increased',
    story: 'width increased',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshotsizechanged',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshotsizechanged--width-decreased': {
    id: 'webapp-components-snapshotsizechanged--width-decreased',
    kind: 'Webapp components/SnapshotSizeChanged',
    name: 'width decreased',
    story: 'width decreased',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshotsizechanged',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshotsizechanged--height-increased': {
    id: 'webapp-components-snapshotsizechanged--height-increased',
    kind: 'Webapp components/SnapshotSizeChanged',
    name: 'height increased',
    story: 'height increased',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshotsizechanged',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-snapshotsizechanged--height-decreased': {
    id: 'webapp-components-snapshotsizechanged--height-decreased',
    kind: 'Webapp components/SnapshotSizeChanged',
    name: 'height decreased',
    story: 'height decreased',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-snapshotsizechanged',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem': {
    name: 'SpecItem',
    id: 'webapp-components-specitem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-specitem--all',
      'webapp-components-specitem--loading',
      'webapp-components-specitem--needs-review',
      'webapp-components-specitem--default',
      'webapp-components-specitem--long-name',
      'webapp-components-specitem--selected',
      'webapp-components-specitem--w-ignored-selectors',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-specitem--all': {
    id: 'webapp-components-specitem--all',
    kind: 'Webapp components/SpecItem',
    name: 'All',
    story: 'All',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--loading': {
    id: 'webapp-components-specitem--loading',
    kind: 'Webapp components/SpecItem',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--needs-review': {
    id: 'webapp-components-specitem--needs-review',
    kind: 'Webapp components/SpecItem',
    name: 'needs review',
    story: 'needs review',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--default': {
    id: 'webapp-components-specitem--default',
    kind: 'Webapp components/SpecItem',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--long-name': {
    id: 'webapp-components-specitem--long-name',
    kind: 'Webapp components/SpecItem',
    name: 'long name',
    story: 'long name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--selected': {
    id: 'webapp-components-specitem--selected',
    kind: 'Webapp components/SpecItem',
    name: 'selected',
    story: 'selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specitem--w-ignored-selectors': {
    id: 'webapp-components-specitem--w-ignored-selectors',
    kind: 'Webapp components/SpecItem',
    name: 'w/ignored selectors',
    story: 'w/ignored selectors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-speclist': {
    name: 'SpecList',
    id: 'webapp-components-speclist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-speclist--loading',
      'webapp-components-speclist--full',
      'webapp-components-speclist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-speclist--loading': {
    id: 'webapp-components-speclist--loading',
    kind: 'Webapp components/SpecList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-speclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-speclist--full': {
    id: 'webapp-components-speclist--full',
    kind: 'Webapp components/SpecList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-speclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-speclist--empty': {
    id: 'webapp-components-speclist--empty',
    kind: 'Webapp components/SpecList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-speclist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specname': {
    name: 'SpecName',
    id: 'webapp-components-specname',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-specname--basic',
      'webapp-components-specname--basic-is-link',
      'webapp-components-specname--unnamed',
      'webapp-components-specname--with-build-number',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-specname--basic': {
    id: 'webapp-components-specname--basic',
    kind: 'Webapp components/SpecName',
    name: 'basic',
    story: 'basic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specname',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specname--basic-is-link': {
    id: 'webapp-components-specname--basic-is-link',
    kind: 'Webapp components/SpecName',
    name: 'basic isLink',
    story: 'basic isLink',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specname',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specname--unnamed': {
    id: 'webapp-components-specname--unnamed',
    kind: 'Webapp components/SpecName',
    name: 'unnamed',
    story: 'unnamed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specname',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-specname--with-build-number': {
    id: 'webapp-components-specname--with-build-number',
    kind: 'Webapp components/SpecName',
    name: 'with build number',
    story: 'with build number',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-specname',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-startchat': {
    name: 'StartChat',
    id: 'webapp-components-startchat',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-startchat--base', 'webapp-components-startchat--custom'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-startchat--base': {
    id: 'webapp-components-startchat--base',
    kind: 'Webapp components/StartChat',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-startchat',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-startchat--custom': {
    id: 'webapp-components-startchat--custom',
    kind: 'Webapp components/StartChat',
    name: 'Custom',
    story: 'Custom',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-startchat',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight': {
    name: 'StatusLight',
    id: 'webapp-components-statuslight',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-statuslight--all-statuslights',
      'webapp-components-statuslight--positive',
      'webapp-components-statuslight--negative',
      'webapp-components-statuslight--warning',
      'webapp-components-statuslight--loading',
      'webapp-components-statuslight--disabled',
      'webapp-components-statuslight--progress',
      'webapp-components-statuslight--error',
      'webapp-components-statuslight--tiny',
      'webapp-components-statuslight--small',
      'webapp-components-statuslight--medium',
      'webapp-components-statuslight--large',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-statuslight--all-statuslights': {
    id: 'webapp-components-statuslight--all-statuslights',
    kind: 'Webapp components/StatusLight',
    name: 'all statuslights',
    story: 'all statuslights',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--positive': {
    id: 'webapp-components-statuslight--positive',
    kind: 'Webapp components/StatusLight',
    name: 'positive',
    story: 'positive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--negative': {
    id: 'webapp-components-statuslight--negative',
    kind: 'Webapp components/StatusLight',
    name: 'negative',
    story: 'negative',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--warning': {
    id: 'webapp-components-statuslight--warning',
    kind: 'Webapp components/StatusLight',
    name: 'warning',
    story: 'warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--loading': {
    id: 'webapp-components-statuslight--loading',
    kind: 'Webapp components/StatusLight',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--disabled': {
    id: 'webapp-components-statuslight--disabled',
    kind: 'Webapp components/StatusLight',
    name: 'disabled',
    story: 'disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--progress': {
    id: 'webapp-components-statuslight--progress',
    kind: 'Webapp components/StatusLight',
    name: 'progress',
    story: 'progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--error': {
    id: 'webapp-components-statuslight--error',
    kind: 'Webapp components/StatusLight',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--tiny': {
    id: 'webapp-components-statuslight--tiny',
    kind: 'Webapp components/StatusLight',
    name: 'tiny',
    story: 'tiny',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--small': {
    id: 'webapp-components-statuslight--small',
    kind: 'Webapp components/StatusLight',
    name: 'small',
    story: 'small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--medium': {
    id: 'webapp-components-statuslight--medium',
    kind: 'Webapp components/StatusLight',
    name: 'medium',
    story: 'medium',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statuslight--large': {
    id: 'webapp-components-statuslight--large',
    kind: 'Webapp components/StatusLight',
    name: 'large',
    story: 'large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statuslight',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statustooltip': {
    name: 'StatusTooltip',
    id: 'webapp-components-statustooltip',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-statustooltip--base',
      'webapp-components-statustooltip--with-message',
      'webapp-components-statustooltip--single-link',
      'webapp-components-statustooltip--multiple-links',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-statustooltip--base': {
    id: 'webapp-components-statustooltip--base',
    kind: 'Webapp components/StatusTooltip',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statustooltip--with-message': {
    id: 'webapp-components-statustooltip--with-message',
    kind: 'Webapp components/StatusTooltip',
    name: 'With Message',
    story: 'With Message',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statustooltip--single-link': {
    id: 'webapp-components-statustooltip--single-link',
    kind: 'Webapp components/StatusTooltip',
    name: 'Single Link',
    story: 'Single Link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-statustooltip--multiple-links': {
    id: 'webapp-components-statustooltip--multiple-links',
    kind: 'Webapp components/StatusTooltip',
    name: 'Multiple Links',
    story: 'Multiple Links',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-statustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-subheader': {
    name: 'Subheader',
    id: 'webapp-components-subheader',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-subheader--all',
      'webapp-components-subheader--loading',
      'webapp-components-subheader--full',
      'webapp-components-subheader--left',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-subheader--all': {
    id: 'webapp-components-subheader--all',
    kind: 'Webapp components/Subheader',
    name: 'all',
    story: 'all',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-subheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-subheader--loading': {
    id: 'webapp-components-subheader--loading',
    kind: 'Webapp components/Subheader',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-subheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-subheader--full': {
    id: 'webapp-components-subheader--full',
    kind: 'Webapp components/Subheader',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-subheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-subheader--left': {
    id: 'webapp-components-subheader--left',
    kind: 'Webapp components/Subheader',
    name: 'left',
    story: 'left',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-subheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table': {
    name: 'Table',
    id: 'webapp-components-table',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-table--all-tables',
      'webapp-components-table--loading',
      'webapp-components-table--empty',
      'webapp-components-table--full',
      'webapp-components-table--with-drawers',
      'webapp-components-table--without-headings',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-table--all-tables': {
    id: 'webapp-components-table--all-tables',
    kind: 'Webapp components/Table',
    name: 'All tables',
    story: 'All tables',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table--loading': {
    id: 'webapp-components-table--loading',
    kind: 'Webapp components/Table',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table--empty': {
    id: 'webapp-components-table--empty',
    kind: 'Webapp components/Table',
    name: 'Empty',
    story: 'Empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table--full': {
    id: 'webapp-components-table--full',
    kind: 'Webapp components/Table',
    name: 'Full',
    story: 'Full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table--with-drawers': {
    id: 'webapp-components-table--with-drawers',
    kind: 'Webapp components/Table',
    name: 'With drawers',
    story: 'With drawers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-table--without-headings': {
    id: 'webapp-components-table--without-headings',
    kind: 'Webapp components/Table',
    name: 'Without headings',
    story: 'Without headings',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-table',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-tabledrawer': {
    name: 'TableDrawer',
    id: 'webapp-components-tabledrawer',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-tabledrawer--open'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-tabledrawer--open': {
    id: 'webapp-components-tabledrawer--open',
    kind: 'Webapp components/TableDrawer',
    name: 'open',
    story: 'open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-tabledrawer',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-tooltipignore': {
    name: 'TooltipIgnore',
    id: 'webapp-components-tooltipignore',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-tooltipignore--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-tooltipignore--default': {
    id: 'webapp-components-tooltipignore--default',
    kind: 'Webapp components/TooltipIgnore',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-tooltipignore',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-useritem': {
    name: 'UserItem',
    id: 'webapp-components-useritem',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-useritem--all-user-items',
      'webapp-components-useritem--loading',
      'webapp-components-useritem--no-link',
      'webapp-components-useritem--link',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-useritem--all-user-items': {
    id: 'webapp-components-useritem--all-user-items',
    kind: 'Webapp components/UserItem',
    name: 'All UserItems',
    story: 'All UserItems',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-useritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-useritem--loading': {
    id: 'webapp-components-useritem--loading',
    kind: 'Webapp components/UserItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-useritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-useritem--no-link': {
    id: 'webapp-components-useritem--no-link',
    kind: 'Webapp components/UserItem',
    name: 'No link',
    story: 'No link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-useritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-useritem--link': {
    id: 'webapp-components-useritem--link',
    kind: 'Webapp components/UserItem',
    name: 'Link',
    story: 'Link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-useritem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist': {
    name: 'UserList',
    id: 'webapp-components-userlist',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-userlist--all-user-lists',
      'webapp-components-userlist--loading',
      'webapp-components-userlist--full-w-links',
      'webapp-components-userlist--full-no-links',
      'webapp-components-userlist--paginated-no-links',
      'webapp-components-userlist--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-userlist--all-user-lists': {
    id: 'webapp-components-userlist--all-user-lists',
    kind: 'Webapp components/UserList',
    name: 'All UserLists',
    story: 'All UserLists',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist--loading': {
    id: 'webapp-components-userlist--loading',
    kind: 'Webapp components/UserList',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist--full-w-links': {
    id: 'webapp-components-userlist--full-w-links',
    kind: 'Webapp components/UserList',
    name: 'full w/links',
    story: 'full w/links',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist--full-no-links': {
    id: 'webapp-components-userlist--full-no-links',
    kind: 'Webapp components/UserList',
    name: 'full no links',
    story: 'full no links',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist--paginated-no-links': {
    id: 'webapp-components-userlist--paginated-no-links',
    kind: 'Webapp components/UserList',
    name: 'paginated no links',
    story: 'paginated no links',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-userlist--empty': {
    id: 'webapp-components-userlist--empty',
    kind: 'Webapp components/UserList',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-userlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-video': {
    name: 'Video',
    id: 'webapp-components-video',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-video--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-video--default': {
    id: 'webapp-components-video--default',
    kind: 'Webapp components/Video',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-video',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning': {
    name: 'Warning',
    id: 'webapp-components-warning',
    parent: 'webapp-components',
    depth: 1,
    children: [
      'webapp-components-warning--base',
      'webapp-components-warning--with-icon',
      'webapp-components-warning--with-action',
      'webapp-components-warning--with-icon-action',
      'webapp-components-warning--stacked-multiple-items',
      'webapp-components-warning--stacked-single-item',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-warning--base': {
    id: 'webapp-components-warning--base',
    kind: 'Webapp components/Warning',
    name: 'base',
    story: 'base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning--with-icon': {
    id: 'webapp-components-warning--with-icon',
    kind: 'Webapp components/Warning',
    name: 'with icon',
    story: 'with icon',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning--with-action': {
    id: 'webapp-components-warning--with-action',
    kind: 'Webapp components/Warning',
    name: 'with action',
    story: 'with action',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning--with-icon-action': {
    id: 'webapp-components-warning--with-icon-action',
    kind: 'Webapp components/Warning',
    name: 'with icon, action',
    story: 'with icon, action',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning--stacked-multiple-items': {
    id: 'webapp-components-warning--stacked-multiple-items',
    kind: 'Webapp components/Warning',
    name: 'stacked, multiple items',
    story: 'stacked, multiple items',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-warning--stacked-single-item': {
    id: 'webapp-components-warning--stacked-single-item',
    kind: 'Webapp components/Warning',
    name: 'stacked, single item',
    story: 'stacked, single item',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-warning',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-components-wobbler': {
    name: 'Wobbler',
    id: 'webapp-components-wobbler',
    parent: 'webapp-components',
    depth: 1,
    children: ['webapp-components-wobbler--simple'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-components-wobbler--simple': {
    id: 'webapp-components-wobbler--simple',
    kind: 'Webapp components/Wobbler',
    name: 'simple',
    story: 'simple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-components-wobbler',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers': {
    name: 'Webapp containers',
    id: 'webapp-containers',
    depth: 0,
    children: ['webapp-containers-appbuildspaginated', 'webapp-containers-componentbuildspicker'],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'webapp-containers-appbuildspaginated': {
    name: 'AppBuildsPaginated',
    id: 'webapp-containers-appbuildspaginated',
    parent: 'webapp-containers',
    depth: 1,
    children: [
      'webapp-containers-appbuildspaginated--loading',
      'webapp-containers-appbuildspaginated--has-next-page',
      'webapp-containers-appbuildspaginated--error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-containers-appbuildspaginated--loading': {
    id: 'webapp-containers-appbuildspaginated--loading',
    kind: 'Webapp containers/AppBuildsPaginated',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-appbuildspaginated',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers-appbuildspaginated--has-next-page': {
    id: 'webapp-containers-appbuildspaginated--has-next-page',
    kind: 'Webapp containers/AppBuildsPaginated',
    name: 'has next page',
    story: 'has next page',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-appbuildspaginated',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers-appbuildspaginated--error': {
    id: 'webapp-containers-appbuildspaginated--error',
    kind: 'Webapp containers/AppBuildsPaginated',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-appbuildspaginated',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers-componentbuildspicker': {
    name: 'ComponentBuildsPicker',
    id: 'webapp-containers-componentbuildspicker',
    parent: 'webapp-containers',
    depth: 1,
    children: [
      'webapp-containers-componentbuildspicker--loading',
      'webapp-containers-componentbuildspicker--app',
      'webapp-containers-componentbuildspicker--component',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-containers-componentbuildspicker--loading': {
    id: 'webapp-containers-componentbuildspicker--loading',
    kind: 'Webapp containers/ComponentBuildsPicker',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers-componentbuildspicker--app': {
    id: 'webapp-containers-componentbuildspicker--app',
    kind: 'Webapp containers/ComponentBuildsPicker',
    name: 'app',
    story: 'app',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-containers-componentbuildspicker--component': {
    id: 'webapp-containers-componentbuildspicker--component',
    kind: 'Webapp containers/ComponentBuildsPicker',
    name: 'component',
    story: 'component',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-containers-componentbuildspicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts': {
    name: 'Webapp layouts',
    id: 'webapp-layouts',
    depth: 0,
    children: [
      'webapp-layouts-account',
      'webapp-layouts-app',
      'webapp-layouts-interstitial',
      'webapp-layouts-marketing',
      'webapp-layouts-onboarding',
      'webapp-layouts-page',
      'webapp-layouts-setup',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'webapp-layouts-account': {
    name: 'Account',
    id: 'webapp-layouts-account',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-account--loading',
      'webapp-layouts-account--projects',
      'webapp-layouts-account--projects-personal-account',
      'webapp-layouts-account--projects-personal-account-saml',
      'webapp-layouts-account--projects-shared-with-you',
      'webapp-layouts-account--projects-saml-account-owner',
      'webapp-layouts-account--projects-saml-account-not-owner',
      'webapp-layouts-account--billing',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-account--loading': {
    id: 'webapp-layouts-account--loading',
    kind: 'Webapp layouts/Account',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects': {
    id: 'webapp-layouts-account--projects',
    kind: 'Webapp layouts/Account',
    name: 'projects',
    story: 'projects',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects-personal-account': {
    id: 'webapp-layouts-account--projects-personal-account',
    kind: 'Webapp layouts/Account',
    name: 'projects, personal account',
    story: 'projects, personal account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects-personal-account-saml': {
    id: 'webapp-layouts-account--projects-personal-account-saml',
    kind: 'Webapp layouts/Account',
    name: 'projects, personal account, saml',
    story: 'projects, personal account, saml',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects-shared-with-you': {
    id: 'webapp-layouts-account--projects-shared-with-you',
    kind: 'Webapp layouts/Account',
    name: 'projects, shared with you',
    story: 'projects, shared with you',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects-saml-account-owner': {
    id: 'webapp-layouts-account--projects-saml-account-owner',
    kind: 'Webapp layouts/Account',
    name: 'projects, saml account, owner',
    story: 'projects, saml account, owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--projects-saml-account-not-owner': {
    id: 'webapp-layouts-account--projects-saml-account-not-owner',
    kind: 'Webapp layouts/Account',
    name: 'projects, saml account, not owner',
    story: 'projects, saml account, not owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-account--billing': {
    id: 'webapp-layouts-account--billing',
    kind: 'Webapp layouts/Account',
    name: 'billing',
    story: 'billing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-account',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app': {
    name: 'App',
    id: 'webapp-layouts-app',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-app--loading',
      'webapp-layouts-app--builds',
      'webapp-layouts-app--builds-shared-with-you',
      'webapp-layouts-app--setup',
      'webapp-layouts-app--builds-with-branch',
      'webapp-layouts-app--components',
      'webapp-layouts-app--no-ci',
      'webapp-layouts-app--no-ci-100-builds',
      'webapp-layouts-app--not-logged-in',
      'webapp-layouts-app--admin',
      'webapp-layouts-app--gerrit',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-app--loading': {
    id: 'webapp-layouts-app--loading',
    kind: 'Webapp layouts/App',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--builds': {
    id: 'webapp-layouts-app--builds',
    kind: 'Webapp layouts/App',
    name: 'builds',
    story: 'builds',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--builds-shared-with-you': {
    id: 'webapp-layouts-app--builds-shared-with-you',
    kind: 'Webapp layouts/App',
    name: 'builds, sharedWithYou',
    story: 'builds, sharedWithYou',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--setup': {
    id: 'webapp-layouts-app--setup',
    kind: 'Webapp layouts/App',
    name: 'setup',
    story: 'setup',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--builds-with-branch': {
    id: 'webapp-layouts-app--builds-with-branch',
    kind: 'Webapp layouts/App',
    name: 'builds with branch',
    story: 'builds with branch',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--components': {
    id: 'webapp-layouts-app--components',
    kind: 'Webapp layouts/App',
    name: 'components',
    story: 'components',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--no-ci': {
    id: 'webapp-layouts-app--no-ci',
    kind: 'Webapp layouts/App',
    name: 'no CI',
    story: 'no CI',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--no-ci-100-builds': {
    id: 'webapp-layouts-app--no-ci-100-builds',
    kind: 'Webapp layouts/App',
    name: 'no CI, 100 builds',
    story: 'no CI, 100 builds',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--not-logged-in': {
    id: 'webapp-layouts-app--not-logged-in',
    kind: 'Webapp layouts/App',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--admin': {
    id: 'webapp-layouts-app--admin',
    kind: 'Webapp layouts/App',
    name: 'admin',
    story: 'admin',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-app--gerrit': {
    id: 'webapp-layouts-app--gerrit',
    kind: 'Webapp layouts/App',
    name: 'Gerrit',
    story: 'Gerrit',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-app',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-interstitial': {
    name: 'Interstitial',
    id: 'webapp-layouts-interstitial',
    parent: 'webapp-layouts',
    depth: 1,
    children: ['webapp-layouts-interstitial--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-interstitial--default': {
    id: 'webapp-layouts-interstitial--default',
    kind: 'Webapp layouts/Interstitial',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-interstitial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-marketing': {
    name: 'Marketing',
    id: 'webapp-layouts-marketing',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-marketing--not-logged-in',
      'webapp-layouts-marketing--logged-in',
      'webapp-layouts-marketing--maintenance-mode',
      'webapp-layouts-marketing--dark-hero',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-marketing--not-logged-in': {
    id: 'webapp-layouts-marketing--not-logged-in',
    kind: 'Webapp layouts/Marketing',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-marketing',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-marketing--logged-in': {
    id: 'webapp-layouts-marketing--logged-in',
    kind: 'Webapp layouts/Marketing',
    name: 'logged in',
    story: 'logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-marketing',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-marketing--maintenance-mode': {
    id: 'webapp-layouts-marketing--maintenance-mode',
    kind: 'Webapp layouts/Marketing',
    name: 'maintenanceMode',
    story: 'maintenanceMode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-marketing',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-marketing--dark-hero': {
    id: 'webapp-layouts-marketing--dark-hero',
    kind: 'Webapp layouts/Marketing',
    name: 'darkHero',
    story: 'darkHero',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-marketing',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-onboarding': {
    name: 'Onboarding',
    id: 'webapp-layouts-onboarding',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-onboarding--loading',
      'webapp-layouts-onboarding--logged-out',
      'webapp-layouts-onboarding--logged-in',
      'webapp-layouts-onboarding--logged-in-with-app',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-onboarding--loading': {
    id: 'webapp-layouts-onboarding--loading',
    kind: 'Webapp layouts/Onboarding',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-onboarding',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-onboarding--logged-out': {
    id: 'webapp-layouts-onboarding--logged-out',
    kind: 'Webapp layouts/Onboarding',
    name: 'loggedOut',
    story: 'loggedOut',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-onboarding',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-onboarding--logged-in': {
    id: 'webapp-layouts-onboarding--logged-in',
    kind: 'Webapp layouts/Onboarding',
    name: 'loggedIn',
    story: 'loggedIn',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-onboarding',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-onboarding--logged-in-with-app': {
    id: 'webapp-layouts-onboarding--logged-in-with-app',
    kind: 'Webapp layouts/Onboarding',
    name: 'loggedIn with app',
    story: 'loggedIn with app',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-onboarding',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page': {
    name: 'Page',
    id: 'webapp-layouts-page',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-page--loading',
      'webapp-layouts-page--logged-in-has-app-owner',
      'webapp-layouts-page--logged-in-has-app-owner-personal',
      'webapp-layouts-page--logged-in-has-exceeded-threshold',
      'webapp-layouts-page--logged-in-has-app',
      'webapp-layouts-page--logged-in-has-app-shared-with-you',
      'webapp-layouts-page--not-logged-in',
      'webapp-layouts-page--with-eyebrow',
      'webapp-layouts-page--tall-eyebrow',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-page--loading': {
    id: 'webapp-layouts-page--loading',
    kind: 'Webapp layouts/Page',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--logged-in-has-app-owner': {
    id: 'webapp-layouts-page--logged-in-has-app-owner',
    kind: 'Webapp layouts/Page',
    name: 'loggedIn has appOwner',
    story: 'loggedIn has appOwner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--logged-in-has-app-owner-personal': {
    id: 'webapp-layouts-page--logged-in-has-app-owner-personal',
    kind: 'Webapp layouts/Page',
    name: 'loggedIn has appOwner, personal',
    story: 'loggedIn has appOwner, personal',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--logged-in-has-exceeded-threshold': {
    id: 'webapp-layouts-page--logged-in-has-exceeded-threshold',
    kind: 'Webapp layouts/Page',
    name: 'loggedIn, exceeded threshold',
    story: 'loggedIn, exceeded threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--logged-in-has-app': {
    id: 'webapp-layouts-page--logged-in-has-app',
    kind: 'Webapp layouts/Page',
    name: 'loggedIn has app',
    story: 'loggedIn has app',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--logged-in-has-app-shared-with-you': {
    id: 'webapp-layouts-page--logged-in-has-app-shared-with-you',
    kind: 'Webapp layouts/Page',
    name: 'loggedIn has app, shared with you',
    story: 'loggedIn has app, shared with you',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--not-logged-in': {
    id: 'webapp-layouts-page--not-logged-in',
    kind: 'Webapp layouts/Page',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--with-eyebrow': {
    id: 'webapp-layouts-page--with-eyebrow',
    kind: 'Webapp layouts/Page',
    name: 'eyebrow',
    story: 'eyebrow',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-page--tall-eyebrow': {
    id: 'webapp-layouts-page--tall-eyebrow',
    kind: 'Webapp layouts/Page',
    name: 'tall eyebrow',
    story: 'tall eyebrow',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-page',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup': {
    name: 'Setup',
    id: 'webapp-layouts-setup',
    parent: 'webapp-layouts',
    depth: 1,
    children: [
      'webapp-layouts-setup--loading',
      'webapp-layouts-setup--loading-onboarding',
      'webapp-layouts-setup--basic',
      'webapp-layouts-setup--basic-onboarding',
      'webapp-layouts-setup--basic-read-only',
      'webapp-layouts-setup--basic-admin',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-layouts-setup--loading': {
    id: 'webapp-layouts-setup--loading',
    kind: 'Webapp layouts/Setup',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup--loading-onboarding': {
    id: 'webapp-layouts-setup--loading-onboarding',
    kind: 'Webapp layouts/Setup',
    name: 'Loading Onboarding',
    story: 'Loading Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup--basic': {
    id: 'webapp-layouts-setup--basic',
    kind: 'Webapp layouts/Setup',
    name: 'Basic',
    story: 'Basic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup--basic-onboarding': {
    id: 'webapp-layouts-setup--basic-onboarding',
    kind: 'Webapp layouts/Setup',
    name: 'Basic Onboarding',
    story: 'Basic Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup--basic-read-only': {
    id: 'webapp-layouts-setup--basic-read-only',
    kind: 'Webapp layouts/Setup',
    name: 'Basic Read Only',
    story: 'Basic Read Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-layouts-setup--basic-admin': {
    id: 'webapp-layouts-setup--basic-admin',
    kind: 'Webapp layouts/Setup',
    name: 'Basic Admin',
    story: 'Basic Admin',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-layouts-setup',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens': {
    name: 'Webapp screens',
    id: 'webapp-screens',
    depth: 0,
    children: [
      'webapp-screens-appsscreen',
      'webapp-screens-billingscreen',
      'webapp-screens-build',
      'webapp-screens-buildsscreen',
      'webapp-screens-component',
      'webapp-screens-componentsscreen',
      'webapp-screens-error',
      'webapp-screens-installgithubappsuccessscreen',
      'webapp-screens-installwebhookscreen',
      'webapp-screens-joinbetascreen',
      'webapp-screens-loadingscreen',
      'webapp-screens-loginscreen',
      'webapp-screens-managescreen',
      'webapp-screens-marketing',
      'webapp-screens-notificationsscreen',
      'webapp-screens-onboarding',
      'webapp-screens-preferencesupdatedscreen',
      'webapp-screens-pullrequest',
      'webapp-screens-pullrequestsscreen',
      'webapp-screens-settingsscreen',
      'webapp-screens-setup',
      'webapp-screens-snapshot',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: true,
  },
  'webapp-screens-appsscreen': {
    name: 'AppsScreen',
    id: 'webapp-screens-appsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-appsscreen--loading',
      'webapp-screens-appsscreen--personal',
      'webapp-screens-appsscreen--personal-modal-open',
      'webapp-screens-appsscreen--personal-saml-user',
      'webapp-screens-appsscreen--personal-saml-user-modal-open',
      'webapp-screens-appsscreen--organization',
      'webapp-screens-appsscreen--organization-modal-open',
      'webapp-screens-appsscreen--saml-account',
      'webapp-screens-appsscreen--saml-account-modal-open',
      'webapp-screens-appsscreen--shared-with-you',
      'webapp-screens-appsscreen--no-projects-personal-account',
      'webapp-screens-appsscreen--personal-account-creating-first-app',
      'webapp-screens-appsscreen--no-projects-shared-with-you-app-owner',
      'webapp-screens-appsscreen--no-projects-linked-account',
      'webapp-screens-appsscreen--no-projects-saml-account',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--loading': {
    id: 'webapp-screens-appsscreen--loading',
    kind: 'Webapp screens/AppsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--personal': {
    id: 'webapp-screens-appsscreen--personal',
    kind: 'Webapp screens/AppsScreen',
    name: 'personal',
    story: 'personal',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--personal-modal-open': {
    id: 'webapp-screens-appsscreen--personal-modal-open',
    kind: 'Webapp screens/AppsScreen',
    name: 'personal, modal open',
    story: 'personal, modal open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--personal-saml-user': {
    id: 'webapp-screens-appsscreen--personal-saml-user',
    kind: 'Webapp screens/AppsScreen',
    name: 'personal, samlUser',
    story: 'personal, samlUser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--personal-saml-user-modal-open': {
    id: 'webapp-screens-appsscreen--personal-saml-user-modal-open',
    kind: 'Webapp screens/AppsScreen',
    name: 'personal, samlUser, modal open',
    story: 'personal, samlUser, modal open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--organization': {
    id: 'webapp-screens-appsscreen--organization',
    kind: 'Webapp screens/AppsScreen',
    name: 'organization',
    story: 'organization',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--organization-modal-open': {
    id: 'webapp-screens-appsscreen--organization-modal-open',
    kind: 'Webapp screens/AppsScreen',
    name: 'organization, modal open',
    story: 'organization, modal open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--saml-account': {
    id: 'webapp-screens-appsscreen--saml-account',
    kind: 'Webapp screens/AppsScreen',
    name: 'saml account',
    story: 'saml account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--saml-account-modal-open': {
    id: 'webapp-screens-appsscreen--saml-account-modal-open',
    kind: 'Webapp screens/AppsScreen',
    name: 'saml account, modal open',
    story: 'saml account, modal open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--shared-with-you': {
    id: 'webapp-screens-appsscreen--shared-with-you',
    kind: 'Webapp screens/AppsScreen',
    name: 'sharedWithYou',
    story: 'sharedWithYou',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--no-projects-personal-account': {
    id: 'webapp-screens-appsscreen--no-projects-personal-account',
    kind: 'Webapp screens/AppsScreen',
    name: 'no projects, personal account',
    story: 'no projects, personal account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--personal-account-creating-first-app': {
    id: 'webapp-screens-appsscreen--personal-account-creating-first-app',
    kind: 'Webapp screens/AppsScreen',
    name: 'personal account, creatingFirstApp',
    story: 'personal account, creatingFirstApp',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--no-projects-shared-with-you-app-owner': {
    id: 'webapp-screens-appsscreen--no-projects-shared-with-you-app-owner',
    kind: 'Webapp screens/AppsScreen',
    name: 'no projects, sharedWithYou app owner',
    story: 'no projects, sharedWithYou app owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--no-projects-linked-account': {
    id: 'webapp-screens-appsscreen--no-projects-linked-account',
    kind: 'Webapp screens/AppsScreen',
    name: 'no projects, linked account',
    story: 'no projects, linked account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-appsscreen--no-projects-saml-account': {
    id: 'webapp-screens-appsscreen--no-projects-saml-account',
    kind: 'Webapp screens/AppsScreen',
    name: 'no projects, saml account',
    story: 'no projects, saml account',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-appsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen': {
    name: 'BillingScreen',
    id: 'webapp-screens-billingscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-billingscreen--loading',
      'webapp-screens-billingscreen--pre-subscribed',
      'webapp-screens-billingscreen--free',
      'webapp-screens-billingscreen--free-with-bonus',
      'webapp-screens-billingscreen--free-with-bonus-in-past',
      'webapp-screens-billingscreen--free-over-limit',
      'webapp-screens-billingscreen--paid-plan-over-limit',
      'webapp-screens-billingscreen--trial',
      'webapp-screens-billingscreen--trial-ending',
      'webapp-screens-billingscreen--subscribed',
      'webapp-screens-billingscreen--subscribed-still-in-trial',
      'webapp-screens-billingscreen--subscribed-still-in-trial-over-limit',
      'webapp-screens-billingscreen--subscribed-custom-plan',
      'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits',
      'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits-exceeded-threshold',
      'webapp-screens-billingscreen--subscribed-open-source-plan-free',
      'webapp-screens-billingscreen--subscribed-open-source-plan-free-exceeded-threshold',
      'webapp-screens-billingscreen--subscribed-open-source-plan-paid',
      'webapp-screens-billingscreen--subscribed-invoice-failed',
      'webapp-screens-billingscreen--subscribed-payment-required',
      'webapp-screens-billingscreen--subscribed-slow-builds-no-parallelization-saving',
      'webapp-screens-billingscreen--pure-subscribed-change-plan-drawer-open',
      'webapp-screens-billingscreen--pure-subscribed-email-drawer-open',
      'webapp-screens-billingscreen-billingemailform',
      'webapp-screens-billingscreen-invoicelist',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--loading': {
    id: 'webapp-screens-billingscreen--loading',
    kind: 'Webapp screens/BillingScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--pre-subscribed': {
    id: 'webapp-screens-billingscreen--pre-subscribed',
    kind: 'Webapp screens/BillingScreen',
    name: 'pre subscribed',
    story: 'pre subscribed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--free': {
    id: 'webapp-screens-billingscreen--free',
    kind: 'Webapp screens/BillingScreen',
    name: 'Free',
    story: 'Free',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--free-with-bonus': {
    id: 'webapp-screens-billingscreen--free-with-bonus',
    kind: 'Webapp screens/BillingScreen',
    name: 'Free With Bonus',
    story: 'Free With Bonus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--free-with-bonus-in-past': {
    id: 'webapp-screens-billingscreen--free-with-bonus-in-past',
    kind: 'Webapp screens/BillingScreen',
    name: 'Free With Bonus In Past',
    story: 'Free With Bonus In Past',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--free-over-limit': {
    id: 'webapp-screens-billingscreen--free-over-limit',
    kind: 'Webapp screens/BillingScreen',
    name: 'Free Over Limit',
    story: 'Free Over Limit',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--paid-plan-over-limit': {
    id: 'webapp-screens-billingscreen--paid-plan-over-limit',
    kind: 'Webapp screens/BillingScreen',
    name: 'Paid Plan Over Limit',
    story: 'Paid Plan Over Limit',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--trial': {
    id: 'webapp-screens-billingscreen--trial',
    kind: 'Webapp screens/BillingScreen',
    name: 'trial',
    story: 'trial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--trial-ending': {
    id: 'webapp-screens-billingscreen--trial-ending',
    kind: 'Webapp screens/BillingScreen',
    name: 'trial ending',
    story: 'trial ending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed': {
    id: 'webapp-screens-billingscreen--subscribed',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed',
    story: 'subscribed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-still-in-trial': {
    id: 'webapp-screens-billingscreen--subscribed-still-in-trial',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, still in trial',
    story: 'subscribed, still in trial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-still-in-trial-over-limit': {
    id: 'webapp-screens-billingscreen--subscribed-still-in-trial-over-limit',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, still in trial, over limit',
    story: 'subscribed, still in trial, over limit',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-custom-plan': {
    id: 'webapp-screens-billingscreen--subscribed-custom-plan',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, custom plan',
    story: 'subscribed, custom plan',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits': {
    id: 'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, custom plan, usage limits',
    story: 'subscribed, custom plan, usage limits',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits-exceeded-threshold': {
    id: 'webapp-screens-billingscreen--subscribed-custom-plan-usage-limits-exceeded-threshold',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, custom plan, usage limits, exceeded threshold',
    story: 'subscribed, custom plan, usage limits, exceeded threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-open-source-plan-free': {
    id: 'webapp-screens-billingscreen--subscribed-open-source-plan-free',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, open source plan, free',
    story: 'subscribed, open source plan, free',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-open-source-plan-free-exceeded-threshold': {
    id: 'webapp-screens-billingscreen--subscribed-open-source-plan-free-exceeded-threshold',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, open source plan, free, exceeded threshold',
    story: 'subscribed, open source plan, free, exceeded threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-open-source-plan-paid': {
    id: 'webapp-screens-billingscreen--subscribed-open-source-plan-paid',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, open source plan, paid',
    story: 'subscribed, open source plan, paid',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-invoice-failed': {
    id: 'webapp-screens-billingscreen--subscribed-invoice-failed',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, invoice failed',
    story: 'subscribed, invoice failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-payment-required': {
    id: 'webapp-screens-billingscreen--subscribed-payment-required',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, payment required',
    story: 'subscribed, payment required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--subscribed-slow-builds-no-parallelization-saving': {
    id: 'webapp-screens-billingscreen--subscribed-slow-builds-no-parallelization-saving',
    kind: 'Webapp screens/BillingScreen',
    name: 'subscribed, slow builds (no parallelization saving)',
    story: 'subscribed, slow builds (no parallelization saving)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--pure-subscribed-change-plan-drawer-open': {
    id: 'webapp-screens-billingscreen--pure-subscribed-change-plan-drawer-open',
    kind: 'Webapp screens/BillingScreen',
    name: 'pure, subscribed, change plan drawer open',
    story: 'pure, subscribed, change plan drawer open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen--pure-subscribed-email-drawer-open': {
    id: 'webapp-screens-billingscreen--pure-subscribed-email-drawer-open',
    kind: 'Webapp screens/BillingScreen',
    name: 'pure, subscribed, email drawer open',
    story: 'pure, subscribed, email drawer open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-billingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-billingemailform': {
    name: 'BillingEmailForm',
    id: 'webapp-screens-billingscreen-billingemailform',
    parent: 'webapp-screens-billingscreen',
    depth: 2,
    children: [
      'webapp-screens-billingscreen-billingemailform--default',
      'webapp-screens-billingscreen-billingemailform--pure-default',
      'webapp-screens-billingscreen-billingemailform--submitting',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-billingemailform--default': {
    id: 'webapp-screens-billingscreen-billingemailform--default',
    kind: 'Webapp screens/BillingScreen/BillingEmailForm',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-billingemailform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-billingemailform--pure-default': {
    id: 'webapp-screens-billingscreen-billingemailform--pure-default',
    kind: 'Webapp screens/BillingScreen/BillingEmailForm',
    name: 'pure default',
    story: 'pure default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-billingemailform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-billingemailform--submitting': {
    id: 'webapp-screens-billingscreen-billingemailform--submitting',
    kind: 'Webapp screens/BillingScreen/BillingEmailForm',
    name: 'submitting',
    story: 'submitting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-billingemailform',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist': {
    name: 'InvoiceList',
    id: 'webapp-screens-billingscreen-invoicelist',
    parent: 'webapp-screens-billingscreen',
    depth: 2,
    children: [
      'webapp-screens-billingscreen-invoicelist--full',
      'webapp-screens-billingscreen-invoicelist--full-first-invoice-not-finalized',
      'webapp-screens-billingscreen-invoicelist--full-payment-failed',
      'webapp-screens-billingscreen-invoicelist--trial',
      'webapp-screens-billingscreen-invoicelist--free',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist--full': {
    id: 'webapp-screens-billingscreen-invoicelist--full',
    kind: 'Webapp screens/BillingScreen/InvoiceList',
    name: 'full',
    story: 'full',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-invoicelist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist--full-first-invoice-not-finalized': {
    id: 'webapp-screens-billingscreen-invoicelist--full-first-invoice-not-finalized',
    kind: 'Webapp screens/BillingScreen/InvoiceList',
    name: 'full, first invoice not finalized',
    story: 'full, first invoice not finalized',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-invoicelist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist--full-payment-failed': {
    id: 'webapp-screens-billingscreen-invoicelist--full-payment-failed',
    kind: 'Webapp screens/BillingScreen/InvoiceList',
    name: 'full, payment failed',
    story: 'full, payment failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-invoicelist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist--trial': {
    id: 'webapp-screens-billingscreen-invoicelist--trial',
    kind: 'Webapp screens/BillingScreen/InvoiceList',
    name: 'trial',
    story: 'trial',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-invoicelist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-billingscreen-invoicelist--free': {
    id: 'webapp-screens-billingscreen-invoicelist--free',
    kind: 'Webapp screens/BillingScreen/InvoiceList',
    name: 'Free',
    story: 'Free',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-billingscreen-invoicelist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build': {
    name: 'Build',
    id: 'webapp-screens-build',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-build-buildcomponents',
      'webapp-screens-build-buildheader',
      'webapp-screens-build-buildscreen',
      'webapp-screens-build-buildsummary',
      'webapp-screens-build-componentrow',
      'webapp-screens-build-rowexpander',
      'webapp-screens-build-snapshotrow',
      'webapp-screens-build-snapshotstable',
      'webapp-screens-build-specrow',
      'webapp-screens-build-testsummary',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents': {
    name: 'BuildComponents',
    id: 'webapp-screens-build-buildcomponents',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-buildcomponents--loading',
      'webapp-screens-build-buildcomponents--simple',
      'webapp-screens-build-buildcomponents--passed',
      'webapp-screens-build-buildcomponents--failed',
      'webapp-screens-build-buildcomponents--in-progress',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents--loading': {
    id: 'webapp-screens-build-buildcomponents--loading',
    kind: 'Webapp screens/Build/BuildComponents',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents--simple': {
    id: 'webapp-screens-build-buildcomponents--simple',
    kind: 'Webapp screens/Build/BuildComponents',
    name: 'simple',
    story: 'simple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents--passed': {
    id: 'webapp-screens-build-buildcomponents--passed',
    kind: 'Webapp screens/Build/BuildComponents',
    name: 'passed',
    story: 'passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents--failed': {
    id: 'webapp-screens-build-buildcomponents--failed',
    kind: 'Webapp screens/Build/BuildComponents',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildcomponents--in-progress': {
    id: 'webapp-screens-build-buildcomponents--in-progress',
    kind: 'Webapp screens/Build/BuildComponents',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader': {
    name: 'BuildHeader',
    id: 'webapp-screens-build-buildheader',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-buildheader--loading',
      'webapp-screens-build-buildheader--automatic',
      'webapp-screens-build-buildheader--passed',
      'webapp-screens-build-buildheader--denied',
      'webapp-screens-build-buildheader--failed',
      'webapp-screens-build-buildheader--errored',
      'webapp-screens-build-buildheader--timed-out',
      'webapp-screens-build-buildheader--in-progress',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--loading': {
    id: 'webapp-screens-build-buildheader--loading',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--automatic': {
    id: 'webapp-screens-build-buildheader--automatic',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Automatic',
    story: 'Automatic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--passed': {
    id: 'webapp-screens-build-buildheader--passed',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--denied': {
    id: 'webapp-screens-build-buildheader--denied',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Denied',
    story: 'Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--failed': {
    id: 'webapp-screens-build-buildheader--failed',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Failed',
    story: 'Failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--errored': {
    id: 'webapp-screens-build-buildheader--errored',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Errored',
    story: 'Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--timed-out': {
    id: 'webapp-screens-build-buildheader--timed-out',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'Timed Out',
    story: 'Timed Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildheader--in-progress': {
    id: 'webapp-screens-build-buildheader--in-progress',
    kind: 'Webapp screens/Build/BuildHeader',
    name: 'In Progress',
    story: 'In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen': {
    name: 'BuildScreen',
    id: 'webapp-screens-build-buildscreen',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-buildscreen--loading',
      'webapp-screens-build-buildscreen--unreviewed',
      'webapp-screens-build-buildscreen--passed',
      'webapp-screens-build-buildscreen--paused',
      'webapp-screens-build-buildscreen--disabled',
      'webapp-screens-build-buildscreen--denied',
      'webapp-screens-build-buildscreen--component-errors',
      'webapp-screens-build-buildscreen--build-error',
      'webapp-screens-build-buildscreen--build-timeout',
      'webapp-screens-build-buildscreen--build-in-progress',
      'webapp-screens-build-buildscreen--tunnelled-build',
      'webapp-screens-build-buildscreen--newer-build',
      'webapp-screens-build-buildscreen--upgrade-build-with-newer-build',
      'webapp-screens-build-buildscreen--upgrade-build-no-newer-build',
      'webapp-screens-build-buildscreen--no-ancestor',
      'webapp-screens-build-buildscreen--no-ancestor-newer-build',
      'webapp-screens-build-buildscreen--multiple-ancestors',
      'webapp-screens-build-buildscreen--onboarding',
      'webapp-screens-build-buildscreen--onboarding-no-tests',
      'webapp-screens-build-buildscreen--no-snapshots-remaining',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--loading': {
    id: 'webapp-screens-build-buildscreen--loading',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--unreviewed': {
    id: 'webapp-screens-build-buildscreen--unreviewed',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Unreviewed',
    story: 'Unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--passed': {
    id: 'webapp-screens-build-buildscreen--passed',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--paused': {
    id: 'webapp-screens-build-buildscreen--paused',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--disabled': {
    id: 'webapp-screens-build-buildscreen--disabled',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Disabled',
    story: 'Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--denied': {
    id: 'webapp-screens-build-buildscreen--denied',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Denied',
    story: 'Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--component-errors': {
    id: 'webapp-screens-build-buildscreen--component-errors',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Component Errors',
    story: 'Component Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--build-error': {
    id: 'webapp-screens-build-buildscreen--build-error',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--build-timeout': {
    id: 'webapp-screens-build-buildscreen--build-timeout',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Build Timeout',
    story: 'Build Timeout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--build-in-progress': {
    id: 'webapp-screens-build-buildscreen--build-in-progress',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--tunnelled-build': {
    id: 'webapp-screens-build-buildscreen--tunnelled-build',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Tunnelled Build',
    story: 'Tunnelled Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--newer-build': {
    id: 'webapp-screens-build-buildscreen--newer-build',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Newer Build',
    story: 'Newer Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--upgrade-build-with-newer-build': {
    id: 'webapp-screens-build-buildscreen--upgrade-build-with-newer-build',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Upgrade Build With Newer Build',
    story: 'Upgrade Build With Newer Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--upgrade-build-no-newer-build': {
    id: 'webapp-screens-build-buildscreen--upgrade-build-no-newer-build',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Upgrade Build No Newer Build',
    story: 'Upgrade Build No Newer Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--no-ancestor': {
    id: 'webapp-screens-build-buildscreen--no-ancestor',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'No Ancestor',
    story: 'No Ancestor',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--no-ancestor-newer-build': {
    id: 'webapp-screens-build-buildscreen--no-ancestor-newer-build',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'No Ancestor Newer Build',
    story: 'No Ancestor Newer Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--multiple-ancestors': {
    id: 'webapp-screens-build-buildscreen--multiple-ancestors',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Multiple Ancestors',
    story: 'Multiple Ancestors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--onboarding': {
    id: 'webapp-screens-build-buildscreen--onboarding',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Onboarding',
    story: 'Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--onboarding-no-tests': {
    id: 'webapp-screens-build-buildscreen--onboarding-no-tests',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'Onboarding No Tests',
    story: 'Onboarding No Tests',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildscreen--no-snapshots-remaining': {
    id: 'webapp-screens-build-buildscreen--no-snapshots-remaining',
    kind: 'Webapp screens/Build/BuildScreen',
    name: 'No Snapshots Remaining',
    story: 'No Snapshots Remaining',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary': {
    name: 'BuildSummary',
    id: 'webapp-screens-build-buildsummary',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-buildsummary--loading',
      'webapp-screens-build-buildsummary--default',
      'webapp-screens-build-buildsummary--tests-paused',
      'webapp-screens-build-buildsummary--tests-disabled',
      'webapp-screens-build-buildsummary--single-pull-request',
      'webapp-screens-build-buildsummary--multiple-pull-requests',
      'webapp-screens-build-buildsummary--build-error',
      'webapp-screens-build-buildsummary--build-timeout',
      'webapp-screens-build-buildsummary-ancestors',
      'webapp-screens-build-buildsummary-commit',
      'webapp-screens-build-buildsummary-pullrequests',
      'webapp-screens-build-buildsummary-tests',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--loading': {
    id: 'webapp-screens-build-buildsummary--loading',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--default': {
    id: 'webapp-screens-build-buildsummary--default',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--tests-paused': {
    id: 'webapp-screens-build-buildsummary--tests-paused',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Tests Paused',
    story: 'Tests Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--tests-disabled': {
    id: 'webapp-screens-build-buildsummary--tests-disabled',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Tests Disabled',
    story: 'Tests Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--single-pull-request': {
    id: 'webapp-screens-build-buildsummary--single-pull-request',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Single Pull Request',
    story: 'Single Pull Request',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--multiple-pull-requests': {
    id: 'webapp-screens-build-buildsummary--multiple-pull-requests',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Multiple Pull Requests',
    story: 'Multiple Pull Requests',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--build-error': {
    id: 'webapp-screens-build-buildsummary--build-error',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary--build-timeout': {
    id: 'webapp-screens-build-buildsummary--build-timeout',
    kind: 'Webapp screens/Build/BuildSummary',
    name: 'Build Timeout',
    story: 'Build Timeout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-buildsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-ancestors': {
    name: 'Ancestors',
    id: 'webapp-screens-build-buildsummary-ancestors',
    parent: 'webapp-screens-build-buildsummary',
    depth: 3,
    children: [
      'webapp-screens-build-buildsummary-ancestors--loading',
      'webapp-screens-build-buildsummary-ancestors--none',
      'webapp-screens-build-buildsummary-ancestors--one',
      'webapp-screens-build-buildsummary-ancestors--multiple',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-ancestors--loading': {
    id: 'webapp-screens-build-buildsummary-ancestors--loading',
    kind: 'Webapp screens/Build/BuildSummary/Ancestors',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-ancestors',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-ancestors--none': {
    id: 'webapp-screens-build-buildsummary-ancestors--none',
    kind: 'Webapp screens/Build/BuildSummary/Ancestors',
    name: 'None',
    story: 'None',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-ancestors',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-ancestors--one': {
    id: 'webapp-screens-build-buildsummary-ancestors--one',
    kind: 'Webapp screens/Build/BuildSummary/Ancestors',
    name: 'One',
    story: 'One',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-ancestors',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-ancestors--multiple': {
    id: 'webapp-screens-build-buildsummary-ancestors--multiple',
    kind: 'Webapp screens/Build/BuildSummary/Ancestors',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-ancestors',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-commit': {
    name: 'Commit',
    id: 'webapp-screens-build-buildsummary-commit',
    parent: 'webapp-screens-build-buildsummary',
    depth: 3,
    children: [
      'webapp-screens-build-buildsummary-commit--loading',
      'webapp-screens-build-buildsummary-commit--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-commit--loading': {
    id: 'webapp-screens-build-buildsummary-commit--loading',
    kind: 'Webapp screens/Build/BuildSummary/Commit',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-commit',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-commit--default': {
    id: 'webapp-screens-build-buildsummary-commit--default',
    kind: 'Webapp screens/Build/BuildSummary/Commit',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-commit',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests': {
    name: 'PullRequests',
    id: 'webapp-screens-build-buildsummary-pullrequests',
    parent: 'webapp-screens-build-buildsummary',
    depth: 3,
    children: [
      'webapp-screens-build-buildsummary-pullrequests--loading',
      'webapp-screens-build-buildsummary-pullrequests--none',
      'webapp-screens-build-buildsummary-pullrequests--one',
      'webapp-screens-build-buildsummary-pullrequests--multiple',
      'webapp-screens-build-buildsummary-pullrequests--gitlab',
      'webapp-screens-build-buildsummary-pullrequests--missing-app-installation',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--loading': {
    id: 'webapp-screens-build-buildsummary-pullrequests--loading',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--none': {
    id: 'webapp-screens-build-buildsummary-pullrequests--none',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'None',
    story: 'None',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--one': {
    id: 'webapp-screens-build-buildsummary-pullrequests--one',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'One',
    story: 'One',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--multiple': {
    id: 'webapp-screens-build-buildsummary-pullrequests--multiple',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--gitlab': {
    id: 'webapp-screens-build-buildsummary-pullrequests--gitlab',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'Gitlab',
    story: 'Gitlab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-pullrequests--missing-app-installation': {
    id: 'webapp-screens-build-buildsummary-pullrequests--missing-app-installation',
    kind: 'Webapp screens/Build/BuildSummary/PullRequests',
    name: 'Missing App Installation',
    story: 'Missing App Installation',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-pullrequests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests': {
    name: 'Tests',
    id: 'webapp-screens-build-buildsummary-tests',
    parent: 'webapp-screens-build-buildsummary',
    depth: 3,
    children: [
      'webapp-screens-build-buildsummary-tests--loading',
      'webapp-screens-build-buildsummary-tests--default',
      'webapp-screens-build-buildsummary-tests--currently-paused',
      'webapp-screens-build-buildsummary-tests--currently-paused-payment-required',
      'webapp-screens-build-buildsummary-tests--currently-paused-no-subscription',
      'webapp-screens-build-buildsummary-tests--currently-paused-org',
      'webapp-screens-build-buildsummary-tests--paused-in-the-past',
      'webapp-screens-build-buildsummary-tests--currently-disabled',
      'webapp-screens-build-buildsummary-tests--currently-disabled-no-savings',
      'webapp-screens-build-buildsummary-tests--currently-disabled-read-only',
      'webapp-screens-build-buildsummary-tests--disabled-in-the-past',
      'webapp-screens-build-buildsummary-tests--one-browser',
      'webapp-screens-build-buildsummary-tests--two-browsers',
      'webapp-screens-build-buildsummary-tests--all-browsers',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--loading': {
    id: 'webapp-screens-build-buildsummary-tests--loading',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--default': {
    id: 'webapp-screens-build-buildsummary-tests--default',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-paused': {
    id: 'webapp-screens-build-buildsummary-tests--currently-paused',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Paused',
    story: 'Currently Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-paused-payment-required': {
    id: 'webapp-screens-build-buildsummary-tests--currently-paused-payment-required',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Paused, Payment Required',
    story: 'Currently Paused, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-paused-no-subscription': {
    id: 'webapp-screens-build-buildsummary-tests--currently-paused-no-subscription',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Paused, No Subscription',
    story: 'Currently Paused, No Subscription',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-paused-org': {
    id: 'webapp-screens-build-buildsummary-tests--currently-paused-org',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Paused, Org',
    story: 'Currently Paused, Org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--paused-in-the-past': {
    id: 'webapp-screens-build-buildsummary-tests--paused-in-the-past',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Paused In The Past',
    story: 'Paused In The Past',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-disabled': {
    id: 'webapp-screens-build-buildsummary-tests--currently-disabled',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Disabled',
    story: 'Currently Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-disabled-no-savings': {
    id: 'webapp-screens-build-buildsummary-tests--currently-disabled-no-savings',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Disabled, No Savings',
    story: 'Currently Disabled, No Savings',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--currently-disabled-read-only': {
    id: 'webapp-screens-build-buildsummary-tests--currently-disabled-read-only',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Currently Disabled, Read Only',
    story: 'Currently Disabled, Read Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--disabled-in-the-past': {
    id: 'webapp-screens-build-buildsummary-tests--disabled-in-the-past',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Disabled In The Past',
    story: 'Disabled In The Past',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--one-browser': {
    id: 'webapp-screens-build-buildsummary-tests--one-browser',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'One Browser',
    story: 'One Browser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--two-browsers': {
    id: 'webapp-screens-build-buildsummary-tests--two-browsers',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'Two Browsers',
    story: 'Two Browsers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-buildsummary-tests--all-browsers': {
    id: 'webapp-screens-build-buildsummary-tests--all-browsers',
    kind: 'Webapp screens/Build/BuildSummary/Tests',
    name: 'All Browsers',
    story: 'All Browsers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-build-buildsummary-tests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow': {
    name: 'ComponentRow',
    id: 'webapp-screens-build-componentrow',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-componentrow--pending',
      'webapp-screens-build-componentrow--pending-single-spec',
      'webapp-screens-build-componentrow--pending-multiple-stories-per-spec',
      'webapp-screens-build-componentrow--pending-mixed',
      'webapp-screens-build-componentrow--pending-unreviewable',
      'webapp-screens-build-componentrow--pending-reviewing-build',
      'webapp-screens-build-componentrow--pending-reviewing-component',
      'webapp-screens-build-componentrow--pending-reviewing-spec',
      'webapp-screens-build-componentrow--pending-reviewing-snapshot',
      'webapp-screens-build-componentrow--pure-pending-expanded',
      'webapp-screens-build-componentrow--pure-pending-unexpanded',
      'webapp-screens-build-componentrow--accepted',
      'webapp-screens-build-componentrow--denied',
      'webapp-screens-build-componentrow--reviewed-many-reviewers',
      'webapp-screens-build-componentrow--pure-unexpanded-reviewed-many-reviewers',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending': {
    id: 'webapp-screens-build-componentrow--pending',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending',
    story: 'pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-single-spec': {
    id: 'webapp-screens-build-componentrow--pending-single-spec',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, single spec',
    story: 'pending, single spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-multiple-stories-per-spec': {
    id: 'webapp-screens-build-componentrow--pending-multiple-stories-per-spec',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, multiple stories per spec',
    story: 'pending, multiple stories per spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-mixed': {
    id: 'webapp-screens-build-componentrow--pending-mixed',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, mixed',
    story: 'pending, mixed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-unreviewable': {
    id: 'webapp-screens-build-componentrow--pending-unreviewable',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, unreviewable',
    story: 'pending, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-reviewing-build': {
    id: 'webapp-screens-build-componentrow--pending-reviewing-build',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, reviewing build',
    story: 'pending, reviewing build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-reviewing-component': {
    id: 'webapp-screens-build-componentrow--pending-reviewing-component',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, reviewing component',
    story: 'pending, reviewing component',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-reviewing-spec': {
    id: 'webapp-screens-build-componentrow--pending-reviewing-spec',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, reviewing spec',
    story: 'pending, reviewing spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pending-reviewing-snapshot': {
    id: 'webapp-screens-build-componentrow--pending-reviewing-snapshot',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pending, reviewing snapshot',
    story: 'pending, reviewing snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pure-pending-expanded': {
    id: 'webapp-screens-build-componentrow--pure-pending-expanded',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pure, pending, expanded',
    story: 'pure, pending, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pure-pending-unexpanded': {
    id: 'webapp-screens-build-componentrow--pure-pending-unexpanded',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pure, pending, unexpanded',
    story: 'pure, pending, unexpanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--accepted': {
    id: 'webapp-screens-build-componentrow--accepted',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'accepted',
    story: 'accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--denied': {
    id: 'webapp-screens-build-componentrow--denied',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'denied',
    story: 'denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--reviewed-many-reviewers': {
    id: 'webapp-screens-build-componentrow--reviewed-many-reviewers',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'reviewed, many reviewers',
    story: 'reviewed, many reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-componentrow--pure-unexpanded-reviewed-many-reviewers': {
    id: 'webapp-screens-build-componentrow--pure-unexpanded-reviewed-many-reviewers',
    kind: 'Webapp screens/Build/ComponentRow',
    name: 'pure, unexpanded, reviewed, many reviewers',
    story: 'pure, unexpanded, reviewed, many reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-componentrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-rowexpander': {
    name: 'RowExpander',
    id: 'webapp-screens-build-rowexpander',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-rowexpander--expanded',
      'webapp-screens-build-rowexpander--collapsed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-rowexpander--expanded': {
    id: 'webapp-screens-build-rowexpander--expanded',
    kind: 'Webapp screens/Build/RowExpander',
    name: 'expanded',
    story: 'expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-rowexpander',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-rowexpander--collapsed': {
    id: 'webapp-screens-build-rowexpander--collapsed',
    kind: 'Webapp screens/Build/RowExpander',
    name: 'collapsed',
    story: 'collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-rowexpander',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow': {
    name: 'SnapshotRow',
    id: 'webapp-screens-build-snapshotrow',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-snapshotrow--pending',
      'webapp-screens-build-snapshotrow--pending-unreviewable',
      'webapp-screens-build-snapshotrow--pending-accepting',
      'webapp-screens-build-snapshotrow--pending-denying',
      'webapp-screens-build-snapshotrow--pending-spec-reviewing',
      'webapp-screens-build-snapshotrow--accepted',
      'webapp-screens-build-snapshotrow--accepted-undoing',
      'webapp-screens-build-snapshotrow--denied',
      'webapp-screens-build-snapshotrow--denied-undoing',
      'webapp-screens-build-snapshotrow--new',
      'webapp-screens-build-snapshotrow--failed',
      'webapp-screens-build-snapshotrow--in-progress',
      'webapp-screens-build-snapshotrow--pending-indented-1',
      'webapp-screens-build-snapshotrow--pending-indented-1-for-snapshot',
      'webapp-screens-build-snapshotrow--pending-indented-2',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending': {
    id: 'webapp-screens-build-snapshotrow--pending',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending',
    story: 'pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-unreviewable': {
    id: 'webapp-screens-build-snapshotrow--pending-unreviewable',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, unreviewable',
    story: 'pending, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-accepting': {
    id: 'webapp-screens-build-snapshotrow--pending-accepting',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, accepting',
    story: 'pending, accepting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-denying': {
    id: 'webapp-screens-build-snapshotrow--pending-denying',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, denying',
    story: 'pending, denying',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-spec-reviewing': {
    id: 'webapp-screens-build-snapshotrow--pending-spec-reviewing',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, spec reviewing',
    story: 'pending, spec reviewing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--accepted': {
    id: 'webapp-screens-build-snapshotrow--accepted',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'accepted',
    story: 'accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--accepted-undoing': {
    id: 'webapp-screens-build-snapshotrow--accepted-undoing',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'accepted, undoing',
    story: 'accepted, undoing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--denied': {
    id: 'webapp-screens-build-snapshotrow--denied',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'denied',
    story: 'denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--denied-undoing': {
    id: 'webapp-screens-build-snapshotrow--denied-undoing',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'denied, undoing',
    story: 'denied, undoing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--new': {
    id: 'webapp-screens-build-snapshotrow--new',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'new',
    story: 'new',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--failed': {
    id: 'webapp-screens-build-snapshotrow--failed',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--in-progress': {
    id: 'webapp-screens-build-snapshotrow--in-progress',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-indented-1': {
    id: 'webapp-screens-build-snapshotrow--pending-indented-1',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, indented 1',
    story: 'pending, indented 1',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-indented-1-for-snapshot': {
    id: 'webapp-screens-build-snapshotrow--pending-indented-1-for-snapshot',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, indented 1, for snapshot',
    story: 'pending, indented 1, for snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotrow--pending-indented-2': {
    id: 'webapp-screens-build-snapshotrow--pending-indented-2',
    kind: 'Webapp screens/Build/SnapshotRow',
    name: 'pending, indented 2',
    story: 'pending, indented 2',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable': {
    name: 'SnapshotsTable',
    id: 'webapp-screens-build-snapshotstable',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-snapshotstable--changes',
      'webapp-screens-build-snapshotstable--changes-single-snaphot-only',
      'webapp-screens-build-snapshotstable--changes-multiple-components',
      'webapp-screens-build-snapshotstable--changes-multiple-snapshots-per-spec',
      'webapp-screens-build-snapshotstable--changes-mixed',
      'webapp-screens-build-snapshotstable--changes-unreviewable',
      'webapp-screens-build-snapshotstable--changes-review-failed',
      'webapp-screens-build-snapshotstable--changes-review-passed',
      'webapp-screens-build-snapshotstable--new-stories',
      'webapp-screens-build-snapshotstable--new-stories-in-progress',
      'webapp-screens-build-snapshotstable--errors',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes': {
    id: 'webapp-screens-build-snapshotstable--changes',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes',
    story: 'changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-single-snaphot-only': {
    id: 'webapp-screens-build-snapshotstable--changes-single-snaphot-only',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, single snaphot only',
    story: 'changes, single snaphot only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-multiple-components': {
    id: 'webapp-screens-build-snapshotstable--changes-multiple-components',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, multiple components',
    story: 'changes, multiple components',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-multiple-snapshots-per-spec': {
    id: 'webapp-screens-build-snapshotstable--changes-multiple-snapshots-per-spec',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, multiple snapshots per spec',
    story: 'changes, multiple snapshots per spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-mixed': {
    id: 'webapp-screens-build-snapshotstable--changes-mixed',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, mixed',
    story: 'changes, mixed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-unreviewable': {
    id: 'webapp-screens-build-snapshotstable--changes-unreviewable',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, unreviewable',
    story: 'changes, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-review-failed': {
    id: 'webapp-screens-build-snapshotstable--changes-review-failed',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, review failed',
    story: 'changes, review failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--changes-review-passed': {
    id: 'webapp-screens-build-snapshotstable--changes-review-passed',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'changes, review passed',
    story: 'changes, review passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--new-stories': {
    id: 'webapp-screens-build-snapshotstable--new-stories',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'new stories',
    story: 'new stories',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--new-stories-in-progress': {
    id: 'webapp-screens-build-snapshotstable--new-stories-in-progress',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'new stories, in progress',
    story: 'new stories, in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-snapshotstable--errors': {
    id: 'webapp-screens-build-snapshotstable--errors',
    kind: 'Webapp screens/Build/SnapshotsTable',
    name: 'errors',
    story: 'errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-snapshotstable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow': {
    name: 'SpecRow',
    id: 'webapp-screens-build-specrow',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-specrow--pending',
      'webapp-screens-build-specrow--pending-reviewing-component',
      'webapp-screens-build-specrow--pending-reviewing-spec',
      'webapp-screens-build-specrow--pending-reviewing-snapshot',
      'webapp-screens-build-specrow--pending-single-snapshot',
      'webapp-screens-build-specrow--pending-unreviewable',
      'webapp-screens-build-specrow--pure-pending-expanded',
      'webapp-screens-build-specrow--pure-pending-unexpanded',
      'webapp-screens-build-specrow--accepted',
      'webapp-screens-build-specrow--denied',
      'webapp-screens-build-specrow--reviewed-many-reviewers',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending': {
    id: 'webapp-screens-build-specrow--pending',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending',
    story: 'pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending-reviewing-component': {
    id: 'webapp-screens-build-specrow--pending-reviewing-component',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending, reviewing component',
    story: 'pending, reviewing component',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending-reviewing-spec': {
    id: 'webapp-screens-build-specrow--pending-reviewing-spec',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending, reviewing spec',
    story: 'pending, reviewing spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending-reviewing-snapshot': {
    id: 'webapp-screens-build-specrow--pending-reviewing-snapshot',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending, reviewing snapshot',
    story: 'pending, reviewing snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending-single-snapshot': {
    id: 'webapp-screens-build-specrow--pending-single-snapshot',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending, single snapshot',
    story: 'pending, single snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pending-unreviewable': {
    id: 'webapp-screens-build-specrow--pending-unreviewable',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pending, unreviewable',
    story: 'pending, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pure-pending-expanded': {
    id: 'webapp-screens-build-specrow--pure-pending-expanded',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pure, pending, expanded',
    story: 'pure, pending, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--pure-pending-unexpanded': {
    id: 'webapp-screens-build-specrow--pure-pending-unexpanded',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'pure, pending, unexpanded',
    story: 'pure, pending, unexpanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--accepted': {
    id: 'webapp-screens-build-specrow--accepted',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'accepted',
    story: 'accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--denied': {
    id: 'webapp-screens-build-specrow--denied',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'denied',
    story: 'denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-specrow--reviewed-many-reviewers': {
    id: 'webapp-screens-build-specrow--reviewed-many-reviewers',
    kind: 'Webapp screens/Build/SpecRow',
    name: 'reviewed, many reviewers',
    story: 'reviewed, many reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-specrow',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary': {
    name: 'TestSummary',
    id: 'webapp-screens-build-testsummary',
    parent: 'webapp-screens-build',
    depth: 2,
    children: [
      'webapp-screens-build-testsummary--loading',
      'webapp-screens-build-testsummary--no-changes',
      'webapp-screens-build-testsummary--all-accepted',
      'webapp-screens-build-testsummary--some-denied',
      'webapp-screens-build-testsummary--reviewing',
      'webapp-screens-build-testsummary--reviewing-multiple-baselines',
      'webapp-screens-build-testsummary--reviewing-paginated',
      'webapp-screens-build-testsummary--reviewing-new-stories',
      'webapp-screens-build-testsummary--reviewing-readonly',
      'webapp-screens-build-testsummary--not-reviewable',
      'webapp-screens-build-testsummary--first-build',
      'webapp-screens-build-testsummary--first-cross-browser-build',
      'webapp-screens-build-testsummary--upgrade-build',
      'webapp-screens-build-testsummary--upgraded-build',
      'webapp-screens-build-testsummary--single-component-error',
      'webapp-screens-build-testsummary--multiple-component-errors',
      'webapp-screens-build-testsummary--only-component-errors',
      'webapp-screens-build-testsummary--build-in-progress',
      'webapp-screens-build-testsummary--build-timeout',
      'webapp-screens-build-testsummary--build-error',
      'webapp-screens-build-testsummary--pure-reviewing-build',
      'webapp-screens-build-testsummary--pure-reviewing-component',
      'webapp-screens-build-testsummary--pure-paginating',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--loading': {
    id: 'webapp-screens-build-testsummary--loading',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--no-changes': {
    id: 'webapp-screens-build-testsummary--no-changes',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'No Changes',
    story: 'No Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--all-accepted': {
    id: 'webapp-screens-build-testsummary--all-accepted',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'All Accepted',
    story: 'All Accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--some-denied': {
    id: 'webapp-screens-build-testsummary--some-denied',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Some Denied',
    story: 'Some Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--reviewing': {
    id: 'webapp-screens-build-testsummary--reviewing',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Reviewing',
    story: 'Reviewing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--reviewing-multiple-baselines': {
    id: 'webapp-screens-build-testsummary--reviewing-multiple-baselines',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Reviewing Multiple Baselines',
    story: 'Reviewing Multiple Baselines',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--reviewing-paginated': {
    id: 'webapp-screens-build-testsummary--reviewing-paginated',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Reviewing Paginated',
    story: 'Reviewing Paginated',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--reviewing-new-stories': {
    id: 'webapp-screens-build-testsummary--reviewing-new-stories',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Reviewing New Stories',
    story: 'Reviewing New Stories',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--reviewing-readonly': {
    id: 'webapp-screens-build-testsummary--reviewing-readonly',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Reviewing Readonly',
    story: 'Reviewing Readonly',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--not-reviewable': {
    id: 'webapp-screens-build-testsummary--not-reviewable',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Not Reviewable',
    story: 'Not Reviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--first-build': {
    id: 'webapp-screens-build-testsummary--first-build',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'First Build',
    story: 'First Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--first-cross-browser-build': {
    id: 'webapp-screens-build-testsummary--first-cross-browser-build',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'First Cross Browser Build',
    story: 'First Cross Browser Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--upgrade-build': {
    id: 'webapp-screens-build-testsummary--upgrade-build',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Upgrade Build',
    story: 'Upgrade Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--upgraded-build': {
    id: 'webapp-screens-build-testsummary--upgraded-build',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Upgraded Build',
    story: 'Upgraded Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--single-component-error': {
    id: 'webapp-screens-build-testsummary--single-component-error',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Single Component Error',
    story: 'Single Component Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--multiple-component-errors': {
    id: 'webapp-screens-build-testsummary--multiple-component-errors',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Multiple Component Errors',
    story: 'Multiple Component Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--only-component-errors': {
    id: 'webapp-screens-build-testsummary--only-component-errors',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Only Component Errors',
    story: 'Only Component Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--build-in-progress': {
    id: 'webapp-screens-build-testsummary--build-in-progress',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--build-timeout': {
    id: 'webapp-screens-build-testsummary--build-timeout',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Build Timeout',
    story: 'Build Timeout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--build-error': {
    id: 'webapp-screens-build-testsummary--build-error',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--pure-reviewing-build': {
    id: 'webapp-screens-build-testsummary--pure-reviewing-build',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Pure Reviewing Build',
    story: 'Pure Reviewing Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--pure-reviewing-component': {
    id: 'webapp-screens-build-testsummary--pure-reviewing-component',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Pure Reviewing Component',
    story: 'Pure Reviewing Component',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-build-testsummary--pure-paginating': {
    id: 'webapp-screens-build-testsummary--pure-paginating',
    kind: 'Webapp screens/Build/TestSummary',
    name: 'Pure Paginating',
    story: 'Pure Paginating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-build-testsummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen': {
    name: 'BuildsScreen',
    id: 'webapp-screens-buildsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-buildsscreen--loading',
      'webapp-screens-buildsscreen--simple',
      'webapp-screens-buildsscreen--simple-shared-with-you',
      'webapp-screens-buildsscreen--simple-ci-explainer',
      'webapp-screens-buildsscreen--simple-branch-selected',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen--loading': {
    id: 'webapp-screens-buildsscreen--loading',
    kind: 'Webapp screens/BuildsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-buildsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen--simple': {
    id: 'webapp-screens-buildsscreen--simple',
    kind: 'Webapp screens/BuildsScreen',
    name: 'simple',
    story: 'simple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-buildsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen--simple-shared-with-you': {
    id: 'webapp-screens-buildsscreen--simple-shared-with-you',
    kind: 'Webapp screens/BuildsScreen',
    name: 'simple, shared with you',
    story: 'simple, shared with you',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-buildsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen--simple-ci-explainer': {
    id: 'webapp-screens-buildsscreen--simple-ci-explainer',
    kind: 'Webapp screens/BuildsScreen',
    name: 'simple, ci explainer',
    story: 'simple, ci explainer',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-buildsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-buildsscreen--simple-branch-selected': {
    id: 'webapp-screens-buildsscreen--simple-branch-selected',
    kind: 'Webapp screens/BuildsScreen',
    name: 'simple, branch selected',
    story: 'simple, branch selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-buildsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component': {
    name: 'Component',
    id: 'webapp-screens-component',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-component-componentcanvas',
      'webapp-screens-component-componentcomments',
      'webapp-screens-component-componentcommentthread',
      'webapp-screens-component-componentheader',
      'webapp-screens-component-componentscreen',
      'webapp-screens-component-componentsidebar',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas': {
    name: 'ComponentCanvas',
    id: 'webapp-screens-component-componentcanvas',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentcanvas--loading',
      'webapp-screens-component-componentcanvas--empty',
      'webapp-screens-component-componentcanvas--in-progress',
      'webapp-screens-component-componentcanvas--in-progress-interactive',
      'webapp-screens-component-componentcanvas--snapshot-error',
      'webapp-screens-component-componentcanvas--snapshot-error-interactive',
      'webapp-screens-component-componentcanvas--snapshot-failed',
      'webapp-screens-component-componentcanvas--snapshot-did-not-capture',
      'webapp-screens-component-componentcanvas--pending-non-interactive',
      'webapp-screens-component-componentcanvas--pending-non-interactive-ignored-regions',
      'webapp-screens-component-componentcanvas--pending-interactive',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--loading': {
    id: 'webapp-screens-component-componentcanvas--loading',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--empty': {
    id: 'webapp-screens-component-componentcanvas--empty',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--in-progress': {
    id: 'webapp-screens-component-componentcanvas--in-progress',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--in-progress-interactive': {
    id: 'webapp-screens-component-componentcanvas--in-progress-interactive',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'in progress, interactive',
    story: 'in progress, interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--snapshot-error': {
    id: 'webapp-screens-component-componentcanvas--snapshot-error',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'snapshot error',
    story: 'snapshot error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--snapshot-error-interactive': {
    id: 'webapp-screens-component-componentcanvas--snapshot-error-interactive',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'snapshot error, interactive',
    story: 'snapshot error, interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--snapshot-failed': {
    id: 'webapp-screens-component-componentcanvas--snapshot-failed',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'snapshot failed',
    story: 'snapshot failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--snapshot-did-not-capture': {
    id: 'webapp-screens-component-componentcanvas--snapshot-did-not-capture',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'snapshot did not capture',
    story: 'snapshot did not capture',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--pending-non-interactive': {
    id: 'webapp-screens-component-componentcanvas--pending-non-interactive',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'pending, non-interactive',
    story: 'pending, non-interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--pending-non-interactive-ignored-regions': {
    id: 'webapp-screens-component-componentcanvas--pending-non-interactive-ignored-regions',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'pending, non-interactive, ignored regions',
    story: 'pending, non-interactive, ignored regions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcanvas--pending-interactive': {
    id: 'webapp-screens-component-componentcanvas--pending-interactive',
    kind: 'Webapp screens/Component/ComponentCanvas',
    name: 'pending, interactive',
    story: 'pending, interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcanvas',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments': {
    name: 'ComponentComments',
    id: 'webapp-screens-component-componentcomments',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentcomments--without-comments',
      'webapp-screens-component-componentcomments--without-comments-comments-disabled',
      'webapp-screens-component-componentcomments--without-comments-logged-out',
      'webapp-screens-component-componentcomments--with-comments-resolved',
      'webapp-screens-component-componentcomments--with-comments-resolved-logged-out',
      'webapp-screens-component-componentcomments--with-comments-active',
      'webapp-screens-component-componentcomments--with-comments-active-non-owner',
      'webapp-screens-component-componentcomments--with-comments-active-logged-out',
      'webapp-screens-component-componentcomments--with-comments-combined',
      'webapp-screens-component-componentcomments--with-comments-combined-comments-disabled',
      'webapp-screens-component-componentcomments--with-comments-combined-logged-out',
      'webapp-screens-component-componentcomments--with-comments-comments-disabled',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--without-comments': {
    id: 'webapp-screens-component-componentcomments--without-comments',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'without comments',
    story: 'without comments',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--without-comments-comments-disabled': {
    id: 'webapp-screens-component-componentcomments--without-comments-comments-disabled',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'without comments, comments disabled',
    story: 'without comments, comments disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--without-comments-logged-out': {
    id: 'webapp-screens-component-componentcomments--without-comments-logged-out',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'without comments, logged out',
    story: 'without comments, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-resolved': {
    id: 'webapp-screens-component-componentcomments--with-comments-resolved',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, resolved',
    story: 'with comments, resolved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-resolved-logged-out': {
    id: 'webapp-screens-component-componentcomments--with-comments-resolved-logged-out',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, resolved, logged out',
    story: 'with comments, resolved, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-active': {
    id: 'webapp-screens-component-componentcomments--with-comments-active',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, active',
    story: 'with comments, active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-active-non-owner': {
    id: 'webapp-screens-component-componentcomments--with-comments-active-non-owner',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, active, non-owner',
    story: 'with comments, active, non-owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-active-logged-out': {
    id: 'webapp-screens-component-componentcomments--with-comments-active-logged-out',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, active, logged out',
    story: 'with comments, active, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-combined': {
    id: 'webapp-screens-component-componentcomments--with-comments-combined',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, combined',
    story: 'with comments, combined',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-combined-comments-disabled': {
    id: 'webapp-screens-component-componentcomments--with-comments-combined-comments-disabled',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, combined, comments disabled',
    story: 'with comments, combined, comments disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-combined-logged-out': {
    id: 'webapp-screens-component-componentcomments--with-comments-combined-logged-out',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, combined, logged out',
    story: 'with comments, combined, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcomments--with-comments-comments-disabled': {
    id: 'webapp-screens-component-componentcomments--with-comments-comments-disabled',
    kind: 'Webapp screens/Component/ComponentComments',
    name: 'with comments, comments disabled',
    story: 'with comments, comments disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread': {
    name: 'ComponentCommentThread',
    id: 'webapp-screens-component-componentcommentthread',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentcommentthread--active',
      'webapp-screens-component-componentcommentthread--active-unreviewable',
      'webapp-screens-component-componentcommentthread--active-logged-out',
      'webapp-screens-component-componentcommentthread--resolved',
      'webapp-screens-component-componentcommentthread--resolved-expanded',
      'webapp-screens-component-componentcommentthread--resolved-expanded-non-owner',
      'webapp-screens-component-componentcommentthread--resolved-unreviewable',
      'webapp-screens-component-componentcommentthread--resolved-unreviewable-expanded',
      'webapp-screens-component-componentcommentthread--resolved-logged-out',
      'webapp-screens-component-componentcommentthread--resolved-logged-out-expanded',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--active': {
    id: 'webapp-screens-component-componentcommentthread--active',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'active',
    story: 'active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--active-unreviewable': {
    id: 'webapp-screens-component-componentcommentthread--active-unreviewable',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'active, unreviewable',
    story: 'active, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--active-logged-out': {
    id: 'webapp-screens-component-componentcommentthread--active-logged-out',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'active, logged out',
    story: 'active, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved': {
    id: 'webapp-screens-component-componentcommentthread--resolved',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved',
    story: 'resolved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-expanded': {
    id: 'webapp-screens-component-componentcommentthread--resolved-expanded',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, expanded',
    story: 'resolved, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-expanded-non-owner': {
    id: 'webapp-screens-component-componentcommentthread--resolved-expanded-non-owner',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, expanded, non-owner',
    story: 'resolved, expanded, non-owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-unreviewable': {
    id: 'webapp-screens-component-componentcommentthread--resolved-unreviewable',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, unreviewable',
    story: 'resolved, unreviewable',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-unreviewable-expanded': {
    id: 'webapp-screens-component-componentcommentthread--resolved-unreviewable-expanded',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, unreviewable, expanded',
    story: 'resolved, unreviewable, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-logged-out': {
    id: 'webapp-screens-component-componentcommentthread--resolved-logged-out',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, logged out',
    story: 'resolved, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentcommentthread--resolved-logged-out-expanded': {
    id: 'webapp-screens-component-componentcommentthread--resolved-logged-out-expanded',
    kind: 'Webapp screens/Component/ComponentCommentThread',
    name: 'resolved, logged out, expanded',
    story: 'resolved, logged out, expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentcommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentheader': {
    name: 'ComponentHeader',
    id: 'webapp-screens-component-componentheader',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentheader--loading',
      'webapp-screens-component-componentheader--default',
      'webapp-screens-component-componentheader--long-name',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentheader--loading': {
    id: 'webapp-screens-component-componentheader--loading',
    kind: 'Webapp screens/Component/ComponentHeader',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentheader--default': {
    id: 'webapp-screens-component-componentheader--default',
    kind: 'Webapp screens/Component/ComponentHeader',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentheader--long-name': {
    id: 'webapp-screens-component-componentheader--long-name',
    kind: 'Webapp screens/Component/ComponentHeader',
    name: 'long name',
    story: 'long name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen': {
    name: 'ComponentScreen',
    id: 'webapp-screens-component-componentscreen',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentscreen--loading',
      'webapp-screens-component-componentscreen--in-progress',
      'webapp-screens-component-componentscreen--in-progress-canvas',
      'webapp-screens-component-componentscreen--default-not-logged-in',
      'webapp-screens-component-componentscreen--default-not-all-snapshots-not-logged-in',
      'webapp-screens-component-componentscreen--default',
      'webapp-screens-component-componentscreen--comments',
      'webapp-screens-component-componentscreen--default-canvas',
      'webapp-screens-component-componentscreen--default-not-all-snapshots',
      'webapp-screens-component-componentscreen--default-docs',
      'webapp-screens-component-componentscreen--default-no-docs',
      'webapp-screens-component-componentscreen--default-explainer-eyebrow',
      'webapp-screens-component-componentscreen--cross-browser-no-browser-selected',
      'webapp-screens-component-componentscreen--cross-browser-browser-selected',
      'webapp-screens-component-componentscreen--default-one-viewport-from-default',
      'webapp-screens-component-componentscreen--default-from-snapshot',
      'webapp-screens-component-componentscreen--default-from-build',
      'webapp-screens-component-componentscreen--default-from-library',
      'webapp-screens-component-componentscreen--story-selected',
      'webapp-screens-component-componentscreen--story-and-viewport-selected',
      'webapp-screens-component-componentscreen--story-selected-with-ignored-regions',
      'webapp-screens-component-componentscreen--errored-story-snapshot',
      'webapp-screens-component-componentscreen--errored-story-canvas',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--loading': {
    id: 'webapp-screens-component-componentscreen--loading',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--in-progress': {
    id: 'webapp-screens-component-componentscreen--in-progress',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--in-progress-canvas': {
    id: 'webapp-screens-component-componentscreen--in-progress-canvas',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'in progress, canvas',
    story: 'in progress, canvas',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-not-logged-in': {
    id: 'webapp-screens-component-componentscreen--default-not-logged-in',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, not logged in',
    story: 'default, not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-not-all-snapshots-not-logged-in': {
    id: 'webapp-screens-component-componentscreen--default-not-all-snapshots-not-logged-in',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'Default Not All Snapshots Not Logged In',
    story: 'Default Not All Snapshots Not Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default': {
    id: 'webapp-screens-component-componentscreen--default',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--comments': {
    id: 'webapp-screens-component-componentscreen--comments',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'comments',
    story: 'comments',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-canvas': {
    id: 'webapp-screens-component-componentscreen--default-canvas',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, canvas',
    story: 'default, canvas',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-not-all-snapshots': {
    id: 'webapp-screens-component-componentscreen--default-not-all-snapshots',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'Default Not All Snapshots',
    story: 'Default Not All Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-docs': {
    id: 'webapp-screens-component-componentscreen--default-docs',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, docs',
    story: 'default, docs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-no-docs': {
    id: 'webapp-screens-component-componentscreen--default-no-docs',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, no docs',
    story: 'default, no docs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-explainer-eyebrow': {
    id: 'webapp-screens-component-componentscreen--default-explainer-eyebrow',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default explainer eyebrow ',
    story: 'default explainer eyebrow ',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--cross-browser-no-browser-selected': {
    id: 'webapp-screens-component-componentscreen--cross-browser-no-browser-selected',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'cross browser, no browser selected',
    story: 'cross browser, no browser selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--cross-browser-browser-selected': {
    id: 'webapp-screens-component-componentscreen--cross-browser-browser-selected',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'cross browser, browser selected',
    story: 'cross browser, browser selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-one-viewport-from-default': {
    id: 'webapp-screens-component-componentscreen--default-one-viewport-from-default',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, one viewport from default',
    story: 'default, one viewport from default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-from-snapshot': {
    id: 'webapp-screens-component-componentscreen--default-from-snapshot',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, from snapshot',
    story: 'default, from snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-from-build': {
    id: 'webapp-screens-component-componentscreen--default-from-build',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, from build',
    story: 'default, from build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--default-from-library': {
    id: 'webapp-screens-component-componentscreen--default-from-library',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'default, from library',
    story: 'default, from library',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--story-selected': {
    id: 'webapp-screens-component-componentscreen--story-selected',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'story selected',
    story: 'story selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--story-and-viewport-selected': {
    id: 'webapp-screens-component-componentscreen--story-and-viewport-selected',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'story and viewport selected',
    story: 'story and viewport selected',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--story-selected-with-ignored-regions': {
    id: 'webapp-screens-component-componentscreen--story-selected-with-ignored-regions',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'story selected with ignored regions',
    story: 'story selected with ignored regions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--errored-story-snapshot': {
    id: 'webapp-screens-component-componentscreen--errored-story-snapshot',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'errored story, snapshot',
    story: 'errored story, snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentscreen--errored-story-canvas': {
    id: 'webapp-screens-component-componentscreen--errored-story-canvas',
    kind: 'Webapp screens/Component/ComponentScreen',
    name: 'errored story, canvas',
    story: 'errored story, canvas',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentsidebar': {
    name: 'ComponentSidebar',
    id: 'webapp-screens-component-componentsidebar',
    parent: 'webapp-screens-component',
    depth: 2,
    children: [
      'webapp-screens-component-componentsidebar--loading',
      'webapp-screens-component-componentsidebar--default',
      'webapp-screens-component-componentsidebar--not-logged-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-component-componentsidebar--loading': {
    id: 'webapp-screens-component-componentsidebar--loading',
    kind: 'Webapp screens/Component/ComponentSidebar',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentsidebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentsidebar--default': {
    id: 'webapp-screens-component-componentsidebar--default',
    kind: 'Webapp screens/Component/ComponentSidebar',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentsidebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-component-componentsidebar--not-logged-in': {
    id: 'webapp-screens-component-componentsidebar--not-logged-in',
    kind: 'Webapp screens/Component/ComponentSidebar',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-component-componentsidebar',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen': {
    name: 'ComponentsScreen',
    id: 'webapp-screens-componentsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: ['webapp-screens-componentsscreen-componentsscreen'],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen': {
    name: 'ComponentsScreen',
    id: 'webapp-screens-componentsscreen-componentsscreen',
    parent: 'webapp-screens-componentsscreen',
    depth: 2,
    children: [
      'webapp-screens-componentsscreen-componentsscreen--loading',
      'webapp-screens-componentsscreen-componentsscreen--default-unlinked-click-share-dropdown',
      'webapp-screens-componentsscreen-componentsscreen--default-linked-click-share-dropdown',
      'webapp-screens-componentsscreen-componentsscreen--default-explainer-eyebrow',
      'webapp-screens-componentsscreen-componentsscreen--in-group',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen--loading': {
    id: 'webapp-screens-componentsscreen-componentsscreen--loading',
    kind: 'Webapp screens/ComponentsScreen/ComponentsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-componentsscreen-componentsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen--default-unlinked-click-share-dropdown': {
    id: 'webapp-screens-componentsscreen-componentsscreen--default-unlinked-click-share-dropdown',
    kind: 'Webapp screens/ComponentsScreen/ComponentsScreen',
    name: 'default unlinked (click share dropdown)',
    story: 'default unlinked (click share dropdown)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-componentsscreen-componentsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen--default-linked-click-share-dropdown': {
    id: 'webapp-screens-componentsscreen-componentsscreen--default-linked-click-share-dropdown',
    kind: 'Webapp screens/ComponentsScreen/ComponentsScreen',
    name: 'default linked (click share dropdown)',
    story: 'default linked (click share dropdown)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-componentsscreen-componentsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen--default-explainer-eyebrow': {
    id: 'webapp-screens-componentsscreen-componentsscreen--default-explainer-eyebrow',
    kind: 'Webapp screens/ComponentsScreen/ComponentsScreen',
    name: 'default explainer eyebrow',
    story: 'default explainer eyebrow',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-componentsscreen-componentsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-componentsscreen-componentsscreen--in-group': {
    id: 'webapp-screens-componentsscreen-componentsscreen--in-group',
    kind: 'Webapp screens/ComponentsScreen/ComponentsScreen',
    name: 'in group',
    story: 'in group',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-componentsscreen-componentsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error': {
    name: 'Error',
    id: 'webapp-screens-error',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-error-errorscreen',
      'webapp-screens-error-noaccessscreen',
      'webapp-screens-error-notfoundscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen': {
    name: 'ErrorScreen',
    id: 'webapp-screens-error-errorscreen',
    parent: 'webapp-screens-error',
    depth: 2,
    children: [
      'webapp-screens-error-errorscreen--status-code',
      'webapp-screens-error-errorscreen--status-code-logged-out',
      'webapp-screens-error-errorscreen--not-found',
      'webapp-screens-error-errorscreen--no-access',
      'webapp-screens-error-errorscreen--no-access-logged-out',
      'webapp-screens-error-errorscreen--error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--status-code': {
    id: 'webapp-screens-error-errorscreen--status-code',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'statusCode',
    story: 'statusCode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--status-code-logged-out': {
    id: 'webapp-screens-error-errorscreen--status-code-logged-out',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'statusCode logged out',
    story: 'statusCode logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--not-found': {
    id: 'webapp-screens-error-errorscreen--not-found',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'not found',
    story: 'not found',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--no-access': {
    id: 'webapp-screens-error-errorscreen--no-access',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'no access',
    story: 'no access',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--no-access-logged-out': {
    id: 'webapp-screens-error-errorscreen--no-access-logged-out',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'no access, logged out',
    story: 'no access, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-errorscreen--error': {
    id: 'webapp-screens-error-errorscreen--error',
    kind: 'Webapp screens/Error/ErrorScreen',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-errorscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-noaccessscreen': {
    name: 'NoAccessScreen',
    id: 'webapp-screens-error-noaccessscreen',
    parent: 'webapp-screens-error',
    depth: 2,
    children: ['webapp-screens-error-noaccessscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-error-noaccessscreen--default': {
    id: 'webapp-screens-error-noaccessscreen--default',
    kind: 'Webapp screens/Error/NoAccessScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-noaccessscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-error-notfoundscreen': {
    name: 'NotFoundScreen',
    id: 'webapp-screens-error-notfoundscreen',
    parent: 'webapp-screens-error',
    depth: 2,
    children: ['webapp-screens-error-notfoundscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-error-notfoundscreen--default': {
    id: 'webapp-screens-error-notfoundscreen--default',
    kind: 'Webapp screens/Error/NotFoundScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-error-notfoundscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-installgithubappsuccessscreen': {
    name: 'InstallGitHubAppSuccessScreen',
    id: 'webapp-screens-installgithubappsuccessscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: ['webapp-screens-installgithubappsuccessscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-installgithubappsuccessscreen--default': {
    id: 'webapp-screens-installgithubappsuccessscreen--default',
    kind: 'Webapp screens/InstallGitHubAppSuccessScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-installgithubappsuccessscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-installwebhookscreen': {
    name: 'InstallWebhookScreen',
    id: 'webapp-screens-installwebhookscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-installwebhookscreen--github',
      'webapp-screens-installwebhookscreen--bitbucket',
      'webapp-screens-installwebhookscreen--gitlab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-installwebhookscreen--github': {
    id: 'webapp-screens-installwebhookscreen--github',
    kind: 'Webapp screens/InstallWebhookScreen',
    name: 'Github',
    story: 'Github',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-installwebhookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-installwebhookscreen--bitbucket': {
    id: 'webapp-screens-installwebhookscreen--bitbucket',
    kind: 'Webapp screens/InstallWebhookScreen',
    name: 'Bitbucket',
    story: 'Bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-installwebhookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-installwebhookscreen--gitlab': {
    id: 'webapp-screens-installwebhookscreen--gitlab',
    kind: 'Webapp screens/InstallWebhookScreen',
    name: 'Gitlab',
    story: 'Gitlab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-installwebhookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-joinbetascreen': {
    name: 'JoinBetaScreen',
    id: 'webapp-screens-joinbetascreen',
    parent: 'webapp-screens',
    depth: 1,
    children: ['webapp-screens-joinbetascreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-joinbetascreen--default': {
    id: 'webapp-screens-joinbetascreen--default',
    kind: 'Webapp screens/JoinBetaScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-joinbetascreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loadingscreen': {
    name: 'LoadingScreen',
    id: 'webapp-screens-loadingscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: ['webapp-screens-loadingscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-loadingscreen--default': {
    id: 'webapp-screens-loadingscreen--default',
    kind: 'Webapp screens/LoadingScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-loadingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen': {
    name: 'LoginScreen',
    id: 'webapp-screens-loginscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-loginscreen--loading',
      'webapp-screens-loginscreen--default',
      'webapp-screens-loginscreen--default-logged-in',
      'webapp-screens-loginscreen--subdomain',
      'webapp-screens-loginscreen-loginbuttons',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen--loading': {
    id: 'webapp-screens-loginscreen--loading',
    kind: 'Webapp screens/LoginScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-loginscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen--default': {
    id: 'webapp-screens-loginscreen--default',
    kind: 'Webapp screens/LoginScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-loginscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen--default-logged-in': {
    id: 'webapp-screens-loginscreen--default-logged-in',
    kind: 'Webapp screens/LoginScreen',
    name: 'Default Logged In',
    story: 'Default Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-loginscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen--subdomain': {
    id: 'webapp-screens-loginscreen--subdomain',
    kind: 'Webapp screens/LoginScreen',
    name: 'Subdomain',
    story: 'Subdomain',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-loginscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen-loginbuttons': {
    name: 'LoginButtons',
    id: 'webapp-screens-loginscreen-loginbuttons',
    parent: 'webapp-screens-loginscreen',
    depth: 2,
    children: [
      'webapp-screens-loginscreen-loginbuttons--default',
      'webapp-screens-loginscreen-loginbuttons--is-loading',
      'webapp-screens-loginscreen-loginbuttons--saml',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen-loginbuttons--default': {
    id: 'webapp-screens-loginscreen-loginbuttons--default',
    kind: 'Webapp screens/LoginScreen/LoginButtons',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-loginscreen-loginbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen-loginbuttons--is-loading': {
    id: 'webapp-screens-loginscreen-loginbuttons--is-loading',
    kind: 'Webapp screens/LoginScreen/LoginButtons',
    name: 'isLoading',
    story: 'isLoading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-loginscreen-loginbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-loginscreen-loginbuttons--saml': {
    id: 'webapp-screens-loginscreen-loginbuttons--saml',
    kind: 'Webapp screens/LoginScreen/LoginButtons',
    name: 'saml',
    story: 'saml',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-loginscreen-loginbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen': {
    name: 'ManageScreen',
    id: 'webapp-screens-managescreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-managescreen-browserpicker',
      'webapp-screens-managescreen-integrations',
      'webapp-screens-managescreen-managescreen',
      'webapp-screens-managescreen-uireview',
      'webapp-screens-managescreen-visualtests',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker': {
    name: 'BrowserPicker',
    id: 'webapp-screens-managescreen-browserpicker',
    parent: 'webapp-screens-managescreen',
    depth: 2,
    children: [
      'webapp-screens-managescreen-browserpicker--interactive',
      'webapp-screens-managescreen-browserpicker--browser-upgrade',
      'webapp-screens-managescreen-browserpicker--adding',
      'webapp-screens-managescreen-browserpicker--added',
      'webapp-screens-managescreen-browserpicker--removing',
      'webapp-screens-managescreen-browserpicker--removed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--interactive': {
    id: 'webapp-screens-managescreen-browserpicker--interactive',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'interactive',
    story: 'interactive',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--browser-upgrade': {
    id: 'webapp-screens-managescreen-browserpicker--browser-upgrade',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'browser upgrade',
    story: 'browser upgrade',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--adding': {
    id: 'webapp-screens-managescreen-browserpicker--adding',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'adding',
    story: 'adding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--added': {
    id: 'webapp-screens-managescreen-browserpicker--added',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'added',
    story: 'added',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--removing': {
    id: 'webapp-screens-managescreen-browserpicker--removing',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'removing',
    story: 'removing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-browserpicker--removed': {
    id: 'webapp-screens-managescreen-browserpicker--removed',
    kind: 'Webapp screens/ManageScreen/BrowserPicker',
    name: 'removed',
    story: 'removed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-browserpicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations': {
    name: 'Integrations',
    id: 'webapp-screens-managescreen-integrations',
    parent: 'webapp-screens-managescreen',
    depth: 2,
    children: [
      'webapp-screens-managescreen-integrations--loading',
      'webapp-screens-managescreen-integrations--interactive',
      'webapp-screens-managescreen-integrations--unset',
      'webapp-screens-managescreen-integrations--expanded',
      'webapp-screens-managescreen-integrations--filled',
      'webapp-screens-managescreen-integrations--filled-overflow',
      'webapp-screens-managescreen-integrations--saving',
      'webapp-screens-managescreen-integrations--set',
      'webapp-screens-managescreen-integrations--set-overflow',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--loading': {
    id: 'webapp-screens-managescreen-integrations--loading',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Loading',
    story: 'Loading',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
      isLoading: true,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      isLoading: {
        control: {
          type: 'boolean',
        },
        name: 'isLoading',
        type: {
          name: 'boolean',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
      isLoading: true,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--interactive': {
    id: 'webapp-screens-managescreen-integrations--interactive',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Interactive',
    story: 'Interactive',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--unset': {
    id: 'webapp-screens-managescreen-integrations--unset',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Unset',
    story: 'Unset',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--expanded': {
    id: 'webapp-screens-managescreen-integrations--expanded',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Expanded',
    story: 'Expanded',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--filled': {
    id: 'webapp-screens-managescreen-integrations--filled',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Filled',
    story: 'Filled',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: 'https://slack-webhook-url.slack.com',
      customWebhookUrl: 'https://custom-webhook-url.example.com',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: 'https://slack-webhook-url.slack.com',
      customWebhookUrl: 'https://custom-webhook-url.example.com',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--filled-overflow': {
    id: 'webapp-screens-managescreen-integrations--filled-overflow',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Filled Overflow',
    story: 'Filled Overflow',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl:
        'https://slack-webhook-url.slack.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      customWebhookUrl:
        'https://custom-webhook-url.example.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl:
        'https://slack-webhook-url.slack.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      customWebhookUrl:
        'https://custom-webhook-url.example.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--saving': {
    id: 'webapp-screens-managescreen-integrations--saving',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Saving',
    story: 'Saving',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: 'https://slack-webhook-url.slack.com',
      customWebhookUrl: 'https://custom-webhook-url.example.com',
      isSlackSaving: true,
      isCustomSaving: true,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: '',
        customWebhookUrl: '',
      },
      slackWebhookUrl: 'https://slack-webhook-url.slack.com',
      customWebhookUrl: 'https://custom-webhook-url.example.com',
      isSlackSaving: true,
      isCustomSaving: true,
      isSlackDrawerOpen: true,
      isCustomDrawerOpen: true,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--set': {
    id: 'webapp-screens-managescreen-integrations--set',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Set',
    story: 'Set',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl: 'https://slack-webhook-url.slack.com',
        customWebhookUrl: 'https://custom-webhook-url.example.com',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-integrations--set-overflow': {
    id: 'webapp-screens-managescreen-integrations--set-overflow',
    kind: 'Webapp screens/ManageScreen/Integrations',
    name: 'Set Overflow',
    story: 'Set Overflow',
    args: {
      app: {
        id: ':appId',
        slackWebhookUrl:
          'https://slack-webhook-url.slack.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
        customWebhookUrl:
          'https://custom-webhook-url.example.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    argTypes: {
      app: {
        control: {
          type: 'object',
        },
        name: 'app',
        type: {
          name: 'object',
          value: {
            id: {
              name: 'string',
            },
            slackWebhookUrl: {
              name: 'string',
            },
            customWebhookUrl: {
              name: 'string',
            },
          },
        },
      },
      onUpdateApp: {
        name: 'onUpdateApp',
        type: {
          name: 'function',
        },
      },
      slackWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'slackWebhookUrl',
        type: {
          name: 'string',
        },
      },
      customWebhookUrl: {
        control: {
          type: 'text',
        },
        name: 'customWebhookUrl',
        type: {
          name: 'string',
        },
      },
      isSlackSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackSaving',
        type: {
          name: 'boolean',
        },
      },
      isCustomSaving: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomSaving',
        type: {
          name: 'boolean',
        },
      },
      isSlackDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isSlackDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      isCustomDrawerOpen: {
        control: {
          type: 'boolean',
        },
        name: 'isCustomDrawerOpen',
        type: {
          name: 'boolean',
        },
      },
      toggleDrawer: {
        name: 'toggleDrawer',
        type: {
          name: 'function',
        },
      },
      setCustomWebhookUrl: {
        name: 'setCustomWebhookUrl',
        type: {
          name: 'function',
        },
      },
      setSlackWebhookUrl: {
        name: 'setSlackWebhookUrl',
        type: {
          name: 'function',
        },
      },
    },
    initialArgs: {
      app: {
        id: ':appId',
        slackWebhookUrl:
          'https://slack-webhook-url.slack.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
        customWebhookUrl:
          'https://custom-webhook-url.example.com?some-really-long-query-string-to-make-the-url-overflow-by-a-lot',
      },
      slackWebhookUrl: '',
      customWebhookUrl: '',
      isSlackSaving: false,
      isCustomSaving: false,
      isSlackDrawerOpen: false,
      isCustomDrawerOpen: false,
    },
    depth: 3,
    parent: 'webapp-screens-managescreen-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen': {
    name: 'ManageScreen',
    id: 'webapp-screens-managescreen-managescreen',
    parent: 'webapp-screens-managescreen',
    depth: 2,
    children: [
      'webapp-screens-managescreen-managescreen--loading',
      'webapp-screens-managescreen-managescreen--unlinked-one-user',
      'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url',
      'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url-saml',
      'webapp-screens-managescreen-managescreen--unlinked-multiple-users',
      'webapp-screens-managescreen-managescreen--unlinked-cross-browser',
      'webapp-screens-managescreen-managescreen--linked',
      'webapp-screens-managescreen-managescreen--linked-refreshing',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--loading': {
    id: 'webapp-screens-managescreen-managescreen--loading',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--unlinked-one-user': {
    id: 'webapp-screens-managescreen-managescreen--unlinked-one-user',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'unlinked one user',
    story: 'unlinked one user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url': {
    id: 'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'unlinked one user, no invite url',
    story: 'unlinked one user, no invite url',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url-saml': {
    id: 'webapp-screens-managescreen-managescreen--unlinked-one-user-no-invite-url-saml',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'unlinked one user, no invite url, saml',
    story: 'unlinked one user, no invite url, saml',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--unlinked-multiple-users': {
    id: 'webapp-screens-managescreen-managescreen--unlinked-multiple-users',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'unlinked multiple users',
    story: 'unlinked multiple users',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--unlinked-cross-browser': {
    id: 'webapp-screens-managescreen-managescreen--unlinked-cross-browser',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'unlinked, cross browser',
    story: 'unlinked, cross browser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--linked': {
    id: 'webapp-screens-managescreen-managescreen--linked',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'linked',
    story: 'linked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-managescreen--linked-refreshing': {
    id: 'webapp-screens-managescreen-managescreen--linked-refreshing',
    kind: 'Webapp screens/ManageScreen/ManageScreen',
    name: 'linked, refreshing',
    story: 'linked, refreshing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-managescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview': {
    name: 'UIReview',
    id: 'webapp-screens-managescreen-uireview',
    parent: 'webapp-screens-managescreen',
    depth: 2,
    children: [
      'webapp-screens-managescreen-uireview--loading',
      'webapp-screens-managescreen-uireview--enabled',
      'webapp-screens-managescreen-uireview--enabled-updating',
      'webapp-screens-managescreen-uireview--just-enabled',
      'webapp-screens-managescreen-uireview--enabled-exceeded-threshold',
      'webapp-screens-managescreen-uireview--enabled-payment-required',
      'webapp-screens-managescreen-uireview--disabled',
      'webapp-screens-managescreen-uireview--disabled-updating',
      'webapp-screens-managescreen-uireview--just-disabled',
      'webapp-screens-managescreen-uireview--just-disabled-paused',
      'webapp-screens-managescreen-uireview--disabled-exceeded-threshold',
      'webapp-screens-managescreen-uireview--disabled-exceeded-threshold-org',
      'webapp-screens-managescreen-uireview--disabled-payment-required',
      'webapp-screens-managescreen-uireview--unlinked',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--loading': {
    id: 'webapp-screens-managescreen-uireview--loading',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--enabled': {
    id: 'webapp-screens-managescreen-uireview--enabled',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Enabled',
    story: 'Enabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--enabled-updating': {
    id: 'webapp-screens-managescreen-uireview--enabled-updating',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Enabled, Updating',
    story: 'Enabled, Updating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--just-enabled': {
    id: 'webapp-screens-managescreen-uireview--just-enabled',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Just Enabled',
    story: 'Just Enabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--enabled-exceeded-threshold': {
    id: 'webapp-screens-managescreen-uireview--enabled-exceeded-threshold',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Enabled, Exceeded Threshold',
    story: 'Enabled, Exceeded Threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--enabled-payment-required': {
    id: 'webapp-screens-managescreen-uireview--enabled-payment-required',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Enabled, Payment Required',
    story: 'Enabled, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--disabled': {
    id: 'webapp-screens-managescreen-uireview--disabled',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Disabled',
    story: 'Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--disabled-updating': {
    id: 'webapp-screens-managescreen-uireview--disabled-updating',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Disabled, Updating',
    story: 'Disabled, Updating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--just-disabled': {
    id: 'webapp-screens-managescreen-uireview--just-disabled',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Just Disabled',
    story: 'Just Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--just-disabled-paused': {
    id: 'webapp-screens-managescreen-uireview--just-disabled-paused',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Just Disabled Paused',
    story: 'Just Disabled Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--disabled-exceeded-threshold': {
    id: 'webapp-screens-managescreen-uireview--disabled-exceeded-threshold',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Disabled, Exceeded Threshold',
    story: 'Disabled, Exceeded Threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--disabled-exceeded-threshold-org': {
    id: 'webapp-screens-managescreen-uireview--disabled-exceeded-threshold-org',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Disabled, Exceeded Threshold, Org',
    story: 'Disabled, Exceeded Threshold, Org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--disabled-payment-required': {
    id: 'webapp-screens-managescreen-uireview--disabled-payment-required',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Disabled, Payment Required',
    story: 'Disabled, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-uireview--unlinked': {
    id: 'webapp-screens-managescreen-uireview--unlinked',
    kind: 'Webapp screens/ManageScreen/UIReview',
    name: 'Unlinked',
    story: 'Unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-uireview',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests': {
    name: 'VisualTests',
    id: 'webapp-screens-managescreen-visualtests',
    parent: 'webapp-screens-managescreen',
    depth: 2,
    children: [
      'webapp-screens-managescreen-visualtests--loading',
      'webapp-screens-managescreen-visualtests--enabled',
      'webapp-screens-managescreen-visualtests--enabled-updating',
      'webapp-screens-managescreen-visualtests--just-enabled',
      'webapp-screens-managescreen-visualtests--just-enabled-two-browsers',
      'webapp-screens-managescreen-visualtests--just-enabled-three-browsers',
      'webapp-screens-managescreen-visualtests--enabled-no-snapshots',
      'webapp-screens-managescreen-visualtests--enabled-payment-required',
      'webapp-screens-managescreen-visualtests--disabled-has-snapshots',
      'webapp-screens-managescreen-visualtests--disabled-updating',
      'webapp-screens-managescreen-visualtests--disabled-no-snapshots',
      'webapp-screens-managescreen-visualtests--disabled-no-snapshots-org',
      'webapp-screens-managescreen-visualtests--disabled-payment-required',
      'webapp-screens-managescreen-visualtests--capture-stack-upgrade-available',
      'webapp-screens-managescreen-visualtests--capture-stack-upgrading',
      'webapp-screens-managescreen-visualtests--capture-stack-just-upgraded',
      'webapp-screens-managescreen-visualtests--capture-stack-downgrade-available',
      'webapp-screens-managescreen-visualtests--capture-stack-downgrading',
      'webapp-screens-managescreen-visualtests--capture-stack-just-downgraded',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--loading': {
    id: 'webapp-screens-managescreen-visualtests--loading',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--enabled': {
    id: 'webapp-screens-managescreen-visualtests--enabled',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Enabled',
    story: 'Enabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--enabled-updating': {
    id: 'webapp-screens-managescreen-visualtests--enabled-updating',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Enabled, Updating',
    story: 'Enabled, Updating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--just-enabled': {
    id: 'webapp-screens-managescreen-visualtests--just-enabled',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Just Enabled',
    story: 'Just Enabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--just-enabled-two-browsers': {
    id: 'webapp-screens-managescreen-visualtests--just-enabled-two-browsers',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Just Enabled Two Browsers',
    story: 'Just Enabled Two Browsers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--just-enabled-three-browsers': {
    id: 'webapp-screens-managescreen-visualtests--just-enabled-three-browsers',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Just Enabled Three Browsers',
    story: 'Just Enabled Three Browsers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--enabled-no-snapshots': {
    id: 'webapp-screens-managescreen-visualtests--enabled-no-snapshots',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Enabled, No Snapshots',
    story: 'Enabled, No Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--enabled-payment-required': {
    id: 'webapp-screens-managescreen-visualtests--enabled-payment-required',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Enabled, Payment Required',
    story: 'Enabled, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--disabled-has-snapshots': {
    id: 'webapp-screens-managescreen-visualtests--disabled-has-snapshots',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Disabled, Has Snapshots',
    story: 'Disabled, Has Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--disabled-updating': {
    id: 'webapp-screens-managescreen-visualtests--disabled-updating',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Disabled, Updating',
    story: 'Disabled, Updating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--disabled-no-snapshots': {
    id: 'webapp-screens-managescreen-visualtests--disabled-no-snapshots',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Disabled, No Snapshots',
    story: 'Disabled, No Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--disabled-no-snapshots-org': {
    id: 'webapp-screens-managescreen-visualtests--disabled-no-snapshots-org',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Disabled, No Snapshots, Org',
    story: 'Disabled, No Snapshots, Org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--disabled-payment-required': {
    id: 'webapp-screens-managescreen-visualtests--disabled-payment-required',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Disabled, Payment Required',
    story: 'Disabled, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-upgrade-available': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-upgrade-available',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Upgrade Available',
    story: 'Capture Stack Upgrade Available',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-upgrading': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-upgrading',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Upgrading',
    story: 'Capture Stack Upgrading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-just-upgraded': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-just-upgraded',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Just Upgraded',
    story: 'Capture Stack Just Upgraded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-downgrade-available': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-downgrade-available',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Downgrade Available',
    story: 'Capture Stack Downgrade Available',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-downgrading': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-downgrading',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Downgrading',
    story: 'Capture Stack Downgrading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-managescreen-visualtests--capture-stack-just-downgraded': {
    id: 'webapp-screens-managescreen-visualtests--capture-stack-just-downgraded',
    kind: 'Webapp screens/ManageScreen/VisualTests',
    name: 'Capture Stack Just Downgraded',
    story: 'Capture Stack Just Downgraded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-managescreen-visualtests',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing': {
    name: 'Marketing',
    id: 'webapp-screens-marketing',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-marketing-articles',
      'webapp-screens-marketing-companyscreen',
      'webapp-screens-marketing-comparescreen',
      'webapp-screens-marketing-cta',
      'webapp-screens-marketing-faq',
      'webapp-screens-marketing-feature',
      'webapp-screens-marketing-featurecallout',
      'webapp-screens-marketing-featuresscreens',
      'webapp-screens-marketing-hero',
      'webapp-screens-marketing-integrations',
      'webapp-screens-marketing-landingscreen',
      'webapp-screens-marketing-marketingfooter',
      'webapp-screens-marketing-marketingheader',
      'webapp-screens-marketing-marketingpagetitle',
      'webapp-screens-marketing-personascreens',
      'webapp-screens-marketing-pricingscreen',
      'webapp-screens-marketing-socialproof',
      'webapp-screens-marketing-testimonial',
      'webapp-screens-marketing-testimonials',
      'webapp-screens-marketing-valueprop',
      'webapp-screens-marketing-workflows',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-articles': {
    name: 'Articles',
    id: 'webapp-screens-marketing-articles',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-articles--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-articles--default': {
    id: 'webapp-screens-marketing-articles--default',
    kind: 'Webapp screens/Marketing/Articles',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-articles',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-companyscreen': {
    name: 'CompanyScreen',
    id: 'webapp-screens-marketing-companyscreen',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-companyscreen-aboutscreen',
      'webapp-screens-marketing-companyscreen-jobsscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-companyscreen-aboutscreen': {
    name: 'AboutScreen',
    id: 'webapp-screens-marketing-companyscreen-aboutscreen',
    parent: 'webapp-screens-marketing-companyscreen',
    depth: 3,
    children: ['webapp-screens-marketing-companyscreen-aboutscreen--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-companyscreen-aboutscreen--base': {
    id: 'webapp-screens-marketing-companyscreen-aboutscreen--base',
    kind: 'Webapp screens/Marketing/CompanyScreen/AboutScreen',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-companyscreen-aboutscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-companyscreen-jobsscreen': {
    name: 'JobsScreen',
    id: 'webapp-screens-marketing-companyscreen-jobsscreen',
    parent: 'webapp-screens-marketing-companyscreen',
    depth: 3,
    children: ['webapp-screens-marketing-companyscreen-jobsscreen--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-companyscreen-jobsscreen--base': {
    id: 'webapp-screens-marketing-companyscreen-jobsscreen--base',
    kind: 'Webapp screens/Marketing/CompanyScreen/JobsScreen',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-companyscreen-jobsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen': {
    name: 'CompareScreen',
    id: 'webapp-screens-marketing-comparescreen',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-comparescreen-comparelayout',
      'webapp-screens-marketing-comparescreen-comparescreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout': {
    name: 'CompareLayout',
    id: 'webapp-screens-marketing-comparescreen-comparelayout',
    parent: 'webapp-screens-marketing-comparescreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-comparescreen-comparelayout--default',
      'webapp-screens-marketing-comparescreen-comparelayout--arc',
      'webapp-screens-marketing-comparescreen-comparelayout--rect',
      'webapp-screens-marketing-comparescreen-comparelayout--tetrisl',
      'webapp-screens-marketing-comparescreen-comparelayout--tetriss',
      'webapp-screens-marketing-comparescreen-comparelayout--tetrist',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--default': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--default',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--arc': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--arc',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'arc',
    story: 'arc',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--rect': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--rect',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'rect',
    story: 'rect',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--tetrisl': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--tetrisl',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'tetrisl',
    story: 'tetrisl',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--tetriss': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--tetriss',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'tetriss',
    story: 'tetriss',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparelayout--tetrist': {
    id: 'webapp-screens-marketing-comparescreen-comparelayout--tetrist',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareLayout',
    name: 'tetrist',
    story: 'tetrist',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparelayout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen': {
    name: 'CompareScreen',
    id: 'webapp-screens-marketing-comparescreen-comparescreen',
    parent: 'webapp-screens-marketing-comparescreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-comparescreen-comparescreen--chromatic',
      'webapp-screens-marketing-comparescreen-comparescreen--jest-image-snapshot',
      'webapp-screens-marketing-comparescreen-comparescreen--backstop-js',
      'webapp-screens-marketing-comparescreen-comparescreen--percy',
      'webapp-screens-marketing-comparescreen-comparescreen--screener',
      'webapp-screens-marketing-comparescreen-comparescreen--applitools',
      'webapp-screens-marketing-comparescreen-comparescreen--visual-testing',
      'webapp-screens-marketing-comparescreen-comparescreen--deploy-storybook',
      'webapp-screens-marketing-comparescreen-comparescreen--netlify',
      'webapp-screens-marketing-comparescreen-comparescreen--vercel',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--chromatic': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--chromatic',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Chromatic',
    story: 'Chromatic',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--jest-image-snapshot': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--jest-image-snapshot',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Jest image snapshot',
    story: 'Jest image snapshot',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--backstop-js': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--backstop-js',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'BackstopJS',
    story: 'BackstopJS',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--percy': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--percy',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Percy',
    story: 'Percy',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--screener': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--screener',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Screener',
    story: 'Screener',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--applitools': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--applitools',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Applitools',
    story: 'Applitools',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--visual-testing': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--visual-testing',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Visual testing overview',
    story: 'Visual testing overview',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--deploy-storybook': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--deploy-storybook',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Deploy Storybook overview',
    story: 'Deploy Storybook overview',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--netlify': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--netlify',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Netlify',
    story: 'Netlify',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-comparescreen-comparescreen--vercel': {
    id: 'webapp-screens-marketing-comparescreen-comparescreen--vercel',
    kind: 'Webapp screens/Marketing/CompareScreen/CompareScreen',
    name: 'Vercel',
    story: 'Vercel',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-comparescreen-comparescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-cta': {
    name: 'CTA',
    id: 'webapp-screens-marketing-cta',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-cta--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-cta--default': {
    id: 'webapp-screens-marketing-cta--default',
    kind: 'Webapp screens/Marketing/CTA',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-cta',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-faq': {
    name: 'FAQ',
    id: 'webapp-screens-marketing-faq',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-faq--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-faq--default': {
    id: 'webapp-screens-marketing-faq--default',
    kind: 'Webapp screens/Marketing/FAQ',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-faq',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-feature': {
    name: 'Feature',
    id: 'webapp-screens-marketing-feature',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-feature--default',
      'webapp-screens-marketing-feature--w-children',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-feature--default': {
    id: 'webapp-screens-marketing-feature--default',
    kind: 'Webapp screens/Marketing/Feature',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-feature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-feature--w-children': {
    id: 'webapp-screens-marketing-feature--w-children',
    kind: 'Webapp screens/Marketing/Feature',
    name: 'w/children',
    story: 'w/children',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-feature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featurecallout': {
    name: 'FeatureCallout',
    id: 'webapp-screens-marketing-featurecallout',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-featurecallout--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featurecallout--default': {
    id: 'webapp-screens-marketing-featurecallout--default',
    kind: 'Webapp screens/Marketing/FeatureCallout',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-featurecallout',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens': {
    name: 'FeaturesScreens',
    id: 'webapp-screens-marketing-featuresscreens',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-featuresscreens-documentscreen',
      'webapp-screens-marketing-featuresscreens-featuresscreenshero',
      'webapp-screens-marketing-featuresscreens-publishscreen',
      'webapp-screens-marketing-featuresscreens-testscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen': {
    name: 'DocumentScreen',
    id: 'webapp-screens-marketing-featuresscreens-documentscreen',
    parent: 'webapp-screens-marketing-featuresscreens',
    depth: 3,
    children: [
      'webapp-screens-marketing-featuresscreens-documentscreen--base',
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
      'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation',
      'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen--base': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample': {
    name: 'ComponentExample',
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--base',
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--did-activate-docs',
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot',
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot-ff',
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-docs',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--base': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/ComponentExample',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--did-activate-docs': {
    id:
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--did-activate-docs',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/ComponentExample',
    name: 'Did Activate Docs',
    story: 'Did Activate Docs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/ComponentExample',
    name: 'Pure, Snapshot View',
    story: 'Pure, Snapshot View',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot-ff': {
    id:
      'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-snapshot-ff',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/ComponentExample',
    name: 'Pure, Snapshot View, Firefox',
    story: 'Pure, Snapshot View, Firefox',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-docs': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample--pure-docs',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/ComponentExample',
    name: 'Pure, Docs View',
    story: 'Pure, Docs View',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-componentexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation': {
    name: 'DocumentAnimation',
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation',
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--base',
      'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--cutoff',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--base': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/DocumentAnimation',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--cutoff': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation--cutoff',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/DocumentAnimation',
    name: 'Cutoff',
    story: 'Cutoff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-documentanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero': {
    name: 'DocumentScreenHero',
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero',
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--base',
      'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--maintenance-mode',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--base': {
    id: 'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/DocumentScreenHero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--maintenance-mode': {
    id:
      'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero--maintenance-mode',
    kind: 'Webapp screens/Marketing/FeaturesScreens/DocumentScreen/DocumentScreenHero',
    name: 'Maintenance Mode',
    story: 'Maintenance Mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-documentscreen-documentscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-featuresscreenshero': {
    name: 'FeaturesScreensHero',
    id: 'webapp-screens-marketing-featuresscreens-featuresscreenshero',
    parent: 'webapp-screens-marketing-featuresscreens',
    depth: 3,
    children: ['webapp-screens-marketing-featuresscreens-featuresscreenshero--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-featuresscreenshero--base': {
    id: 'webapp-screens-marketing-featuresscreens-featuresscreenshero--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/FeaturesScreensHero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-featuresscreens-featuresscreenshero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen': {
    name: 'PublishScreen',
    id: 'webapp-screens-marketing-featuresscreens-publishscreen',
    parent: 'webapp-screens-marketing-featuresscreens',
    depth: 3,
    children: [
      'webapp-screens-marketing-featuresscreens-publishscreen--base',
      'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation',
      'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero',
      'webapp-screens-marketing-featuresscreens-publishscreen-review',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen--base': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation': {
    name: 'FeedbackAnimation',
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation',
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--base',
      'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--no-animation',
      'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--cutoff',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--base': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/FeedbackAnimation',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--no-animation': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--no-animation',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/FeedbackAnimation',
    name: 'No Animation',
    story: 'No Animation',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--cutoff': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation--cutoff',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/FeedbackAnimation',
    name: 'Cutoff',
    story: 'Cutoff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-feedbackanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero': {
    name: 'PublishScreenHero',
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero',
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--base',
      'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--maintenance-mode',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--base': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/PublishScreenHero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--maintenance-mode': {
    id:
      'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero--maintenance-mode',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/PublishScreenHero',
    name: 'Maintenance Mode',
    story: 'Maintenance Mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-publishscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-review': {
    name: 'Review',
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-review',
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen',
    depth: 4,
    children: ['webapp-screens-marketing-featuresscreens-publishscreen-review--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-publishscreen-review--base': {
    id: 'webapp-screens-marketing-featuresscreens-publishscreen-review--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/PublishScreen/Review',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-publishscreen-review',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen': {
    name: 'TestScreen',
    id: 'webapp-screens-marketing-featuresscreens-testscreen',
    parent: 'webapp-screens-marketing-featuresscreens',
    depth: 3,
    children: [
      'webapp-screens-marketing-featuresscreens-testscreen--base',
      'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation',
      'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample',
      'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen--base': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation': {
    name: 'PinpointBugsAnimation',
    id: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation',
    parent: 'webapp-screens-marketing-featuresscreens-testscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--base',
      'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--paused',
      'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--cutoff',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--base': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/PinpointBugsAnimation',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--paused': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--paused',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/PinpointBugsAnimation',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--cutoff': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation--cutoff',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/PinpointBugsAnimation',
    name: 'Cutoff',
    story: 'Cutoff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-pinpointbugsanimation',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample': {
    name: 'SnapshotExample',
    id: 'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample',
    parent: 'webapp-screens-marketing-featuresscreens-testscreen',
    depth: 4,
    children: ['webapp-screens-marketing-featuresscreens-testscreen-snapshotexample--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample--default': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample--default',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/SnapshotExample',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-snapshotexample',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero': {
    name: 'TestScreenHero',
    id: 'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero',
    parent: 'webapp-screens-marketing-featuresscreens-testscreen',
    depth: 4,
    children: [
      'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--base',
      'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--maintenance-mode',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--base': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--base',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/TestScreenHero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--maintenance-mode': {
    id: 'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero--maintenance-mode',
    kind: 'Webapp screens/Marketing/FeaturesScreens/TestScreen/TestScreenHero',
    name: 'Maintenance Mode',
    story: 'Maintenance Mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 5,
    parent: 'webapp-screens-marketing-featuresscreens-testscreen-testscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-hero': {
    name: 'Hero',
    id: 'webapp-screens-marketing-hero',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-hero--base',
      'webapp-screens-marketing-hero--bottom-animation',
      'webapp-screens-marketing-hero--bottom-animation-inverted',
      'webapp-screens-marketing-hero--maintenance-mode',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-hero--base': {
    id: 'webapp-screens-marketing-hero--base',
    kind: 'Webapp screens/Marketing/Hero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-hero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-hero--bottom-animation': {
    id: 'webapp-screens-marketing-hero--bottom-animation',
    kind: 'Webapp screens/Marketing/Hero',
    name: 'Bottom Animation',
    story: 'Bottom Animation',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-hero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-hero--bottom-animation-inverted': {
    id: 'webapp-screens-marketing-hero--bottom-animation-inverted',
    kind: 'Webapp screens/Marketing/Hero',
    name: 'Bottom Animation Inverted',
    story: 'Bottom Animation Inverted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-hero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-hero--maintenance-mode': {
    id: 'webapp-screens-marketing-hero--maintenance-mode',
    kind: 'Webapp screens/Marketing/Hero',
    name: 'Maintenance Mode',
    story: 'Maintenance Mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-hero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-integrations': {
    name: 'Integrations',
    id: 'webapp-screens-marketing-integrations',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-integrations--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-integrations--default': {
    id: 'webapp-screens-marketing-integrations--default',
    kind: 'Webapp screens/Marketing/Integrations',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-integrations',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen': {
    name: 'LandingScreen',
    id: 'webapp-screens-marketing-landingscreen',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-landingscreen-automatedworkflows',
      'webapp-screens-marketing-landingscreen-landingscreen',
      'webapp-screens-marketing-landingscreen-landingscreenhero',
      'webapp-screens-marketing-landingscreen-notables',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-automatedworkflows': {
    name: 'AutomatedWorkflows',
    id: 'webapp-screens-marketing-landingscreen-automatedworkflows',
    parent: 'webapp-screens-marketing-landingscreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-landingscreen-automatedworkflows--base',
      'webapp-screens-marketing-landingscreen-automatedworkflows--paused',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-automatedworkflows--base': {
    id: 'webapp-screens-marketing-landingscreen-automatedworkflows--base',
    kind: 'Webapp screens/Marketing/LandingScreen/AutomatedWorkflows',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-automatedworkflows',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-automatedworkflows--paused': {
    id: 'webapp-screens-marketing-landingscreen-automatedworkflows--paused',
    kind: 'Webapp screens/Marketing/LandingScreen/AutomatedWorkflows',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-automatedworkflows',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreen': {
    name: 'LandingScreen',
    id: 'webapp-screens-marketing-landingscreen-landingscreen',
    parent: 'webapp-screens-marketing-landingscreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in',
      'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in-maintenance-mode',
      'webapp-screens-marketing-landingscreen-landingscreen--logged-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in': {
    id: 'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in',
    kind: 'Webapp screens/Marketing/LandingScreen/LandingScreen',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-landingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in-maintenance-mode': {
    id: 'webapp-screens-marketing-landingscreen-landingscreen--not-logged-in-maintenance-mode',
    kind: 'Webapp screens/Marketing/LandingScreen/LandingScreen',
    name: 'not logged in, maintenance mode',
    story: 'not logged in, maintenance mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-landingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreen--logged-in': {
    id: 'webapp-screens-marketing-landingscreen-landingscreen--logged-in',
    kind: 'Webapp screens/Marketing/LandingScreen/LandingScreen',
    name: 'logged in',
    story: 'logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-landingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreenhero': {
    name: 'LandingScreenHero',
    id: 'webapp-screens-marketing-landingscreen-landingscreenhero',
    parent: 'webapp-screens-marketing-landingscreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-landingscreen-landingscreenhero--base',
      'webapp-screens-marketing-landingscreen-landingscreenhero--maintenance-mode',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreenhero--base': {
    id: 'webapp-screens-marketing-landingscreen-landingscreenhero--base',
    kind: 'Webapp screens/Marketing/LandingScreen/LandingScreenHero',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-landingscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-landingscreenhero--maintenance-mode': {
    id: 'webapp-screens-marketing-landingscreen-landingscreenhero--maintenance-mode',
    kind: 'Webapp screens/Marketing/LandingScreen/LandingScreenHero',
    name: 'Maintenance Mode',
    story: 'Maintenance Mode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-landingscreenhero',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-notables': {
    name: 'Notables',
    id: 'webapp-screens-marketing-landingscreen-notables',
    parent: 'webapp-screens-marketing-landingscreen',
    depth: 3,
    children: ['webapp-screens-marketing-landingscreen-notables--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-landingscreen-notables--default': {
    id: 'webapp-screens-marketing-landingscreen-notables--default',
    kind: 'Webapp screens/Marketing/LandingScreen/Notables',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-landingscreen-notables',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingfooter': {
    name: 'MarketingFooter',
    id: 'webapp-screens-marketing-marketingfooter',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-marketingfooter--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingfooter--default': {
    id: 'webapp-screens-marketing-marketingfooter--default',
    kind: 'Webapp screens/Marketing/MarketingFooter',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingfooter',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader': {
    name: 'MarketingHeader',
    id: 'webapp-screens-marketing-marketingheader',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-marketingheader--not-logged-in',
      'webapp-screens-marketing-marketingheader--logged-in',
      'webapp-screens-marketing-marketingheader--not-logged-in-maintenance-mode',
      'webapp-screens-marketing-marketingheader--logged-in-maintenance-mode',
      'webapp-screens-marketing-marketingheader--inverse-logged-in',
      'webapp-screens-marketing-marketingheader--inverse-not-logged-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--not-logged-in': {
    id: 'webapp-screens-marketing-marketingheader--not-logged-in',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'not logged in',
    story: 'not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--logged-in': {
    id: 'webapp-screens-marketing-marketingheader--logged-in',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'logged in',
    story: 'logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--not-logged-in-maintenance-mode': {
    id: 'webapp-screens-marketing-marketingheader--not-logged-in-maintenance-mode',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'not logged in, maintenanceMode',
    story: 'not logged in, maintenanceMode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--logged-in-maintenance-mode': {
    id: 'webapp-screens-marketing-marketingheader--logged-in-maintenance-mode',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'logged in, maintenanceMode',
    story: 'logged in, maintenanceMode',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--inverse-logged-in': {
    id: 'webapp-screens-marketing-marketingheader--inverse-logged-in',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'logged in, inverse',
    story: 'logged in, inverse',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingheader--inverse-not-logged-in': {
    id: 'webapp-screens-marketing-marketingheader--inverse-not-logged-in',
    kind: 'Webapp screens/Marketing/MarketingHeader',
    name: 'not logged in, inverse',
    story: 'not logged in, inverse',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingpagetitle': {
    name: 'MarketingPageTitle',
    id: 'webapp-screens-marketing-marketingpagetitle',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-marketingpagetitle--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-marketingpagetitle--default': {
    id: 'webapp-screens-marketing-marketingpagetitle--default',
    kind: 'Webapp screens/Marketing/MarketingPageTitle',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-marketingpagetitle',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens': {
    name: 'PersonaScreens',
    id: 'webapp-screens-marketing-personascreens',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-personascreens-designsystemsscreen',
      'webapp-screens-marketing-personascreens-digitalagenciesscreen',
      'webapp-screens-marketing-personascreens-frontendteamsscreen',
      'webapp-screens-marketing-personascreens-personaheader',
      'webapp-screens-marketing-personascreens-storybookusersscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-designsystemsscreen': {
    name: 'DesignSystemsScreen',
    id: 'webapp-screens-marketing-personascreens-designsystemsscreen',
    parent: 'webapp-screens-marketing-personascreens',
    depth: 3,
    children: ['webapp-screens-marketing-personascreens-designsystemsscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-designsystemsscreen--default': {
    id: 'webapp-screens-marketing-personascreens-designsystemsscreen--default',
    kind: 'Webapp screens/Marketing/PersonaScreens/DesignSystemsScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-personascreens-designsystemsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-digitalagenciesscreen': {
    name: 'DigitalAgenciesScreen',
    id: 'webapp-screens-marketing-personascreens-digitalagenciesscreen',
    parent: 'webapp-screens-marketing-personascreens',
    depth: 3,
    children: ['webapp-screens-marketing-personascreens-digitalagenciesscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-digitalagenciesscreen--default': {
    id: 'webapp-screens-marketing-personascreens-digitalagenciesscreen--default',
    kind: 'Webapp screens/Marketing/PersonaScreens/DigitalAgenciesScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-personascreens-digitalagenciesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-frontendteamsscreen': {
    name: 'FrontendTeamsScreen',
    id: 'webapp-screens-marketing-personascreens-frontendteamsscreen',
    parent: 'webapp-screens-marketing-personascreens',
    depth: 3,
    children: ['webapp-screens-marketing-personascreens-frontendteamsscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-frontendteamsscreen--default': {
    id: 'webapp-screens-marketing-personascreens-frontendteamsscreen--default',
    kind: 'Webapp screens/Marketing/PersonaScreens/FrontendTeamsScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-personascreens-frontendteamsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-personaheader': {
    name: 'PersonaHeader',
    id: 'webapp-screens-marketing-personascreens-personaheader',
    parent: 'webapp-screens-marketing-personascreens',
    depth: 3,
    children: ['webapp-screens-marketing-personascreens-personaheader--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-personaheader--default': {
    id: 'webapp-screens-marketing-personascreens-personaheader--default',
    kind: 'Webapp screens/Marketing/PersonaScreens/PersonaHeader',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-personascreens-personaheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-storybookusersscreen': {
    name: 'StorybookUsersScreen',
    id: 'webapp-screens-marketing-personascreens-storybookusersscreen',
    parent: 'webapp-screens-marketing-personascreens',
    depth: 3,
    children: ['webapp-screens-marketing-personascreens-storybookusersscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-personascreens-storybookusersscreen--default': {
    id: 'webapp-screens-marketing-personascreens-storybookusersscreen--default',
    kind: 'Webapp screens/Marketing/PersonaScreens/StorybookUsersScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-personascreens-storybookusersscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen': {
    name: 'PricingScreen',
    id: 'webapp-screens-marketing-pricingscreen',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-pricingscreen-faqpricing',
      'webapp-screens-marketing-pricingscreen-prices',
      'webapp-screens-marketing-pricingscreen-pricingfeatures',
      'webapp-screens-marketing-pricingscreen-pricingscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-faqpricing': {
    name: 'FAQPricing',
    id: 'webapp-screens-marketing-pricingscreen-faqpricing',
    parent: 'webapp-screens-marketing-pricingscreen',
    depth: 3,
    children: ['webapp-screens-marketing-pricingscreen-faqpricing--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-faqpricing--default': {
    id: 'webapp-screens-marketing-pricingscreen-faqpricing--default',
    kind: 'Webapp screens/Marketing/PricingScreen/FAQPricing',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-faqpricing',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-prices': {
    name: 'Prices',
    id: 'webapp-screens-marketing-pricingscreen-prices',
    parent: 'webapp-screens-marketing-pricingscreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-pricingscreen-prices--logged-in',
      'webapp-screens-marketing-pricingscreen-prices--not-logged-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-prices--logged-in': {
    id: 'webapp-screens-marketing-pricingscreen-prices--logged-in',
    kind: 'Webapp screens/Marketing/PricingScreen/Prices',
    name: 'Logged In',
    story: 'Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-prices',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-prices--not-logged-in': {
    id: 'webapp-screens-marketing-pricingscreen-prices--not-logged-in',
    kind: 'Webapp screens/Marketing/PricingScreen/Prices',
    name: 'Not Logged In',
    story: 'Not Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-prices',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-pricingfeatures': {
    name: 'PricingFeatures',
    id: 'webapp-screens-marketing-pricingscreen-pricingfeatures',
    parent: 'webapp-screens-marketing-pricingscreen',
    depth: 3,
    children: ['webapp-screens-marketing-pricingscreen-pricingfeatures--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-pricingfeatures--default': {
    id: 'webapp-screens-marketing-pricingscreen-pricingfeatures--default',
    kind: 'Webapp screens/Marketing/PricingScreen/PricingFeatures',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-pricingfeatures',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-pricingscreen': {
    name: 'PricingScreen',
    id: 'webapp-screens-marketing-pricingscreen-pricingscreen',
    parent: 'webapp-screens-marketing-pricingscreen',
    depth: 3,
    children: [
      'webapp-screens-marketing-pricingscreen-pricingscreen--logged-in',
      'webapp-screens-marketing-pricingscreen-pricingscreen--not-logged-in',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-pricingscreen--logged-in': {
    id: 'webapp-screens-marketing-pricingscreen-pricingscreen--logged-in',
    kind: 'Webapp screens/Marketing/PricingScreen/PricingScreen',
    name: 'Logged In',
    story: 'Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-pricingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-pricingscreen-pricingscreen--not-logged-in': {
    id: 'webapp-screens-marketing-pricingscreen-pricingscreen--not-logged-in',
    kind: 'Webapp screens/Marketing/PricingScreen/PricingScreen',
    name: 'Not Logged In',
    story: 'Not Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-marketing-pricingscreen-pricingscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-socialproof': {
    name: 'SocialProof',
    id: 'webapp-screens-marketing-socialproof',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-socialproof--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-socialproof--default': {
    id: 'webapp-screens-marketing-socialproof--default',
    kind: 'Webapp screens/Marketing/SocialProof',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-socialproof',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-testimonial': {
    name: 'Testimonial',
    id: 'webapp-screens-marketing-testimonial',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-testimonial--default',
      'webapp-screens-marketing-testimonial--compact',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-testimonial--default': {
    id: 'webapp-screens-marketing-testimonial--default',
    kind: 'Webapp screens/Marketing/Testimonial',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-testimonial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-testimonial--compact': {
    id: 'webapp-screens-marketing-testimonial--compact',
    kind: 'Webapp screens/Marketing/Testimonial',
    name: 'compact',
    story: 'compact',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-testimonial',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-testimonials': {
    name: 'Testimonials',
    id: 'webapp-screens-marketing-testimonials',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-testimonials--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-testimonials--default': {
    id: 'webapp-screens-marketing-testimonials--default',
    kind: 'Webapp screens/Marketing/Testimonials',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-testimonials',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-valueprop': {
    name: 'ValueProp',
    id: 'webapp-screens-marketing-valueprop',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: ['webapp-screens-marketing-valueprop--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-valueprop--default': {
    id: 'webapp-screens-marketing-valueprop--default',
    kind: 'Webapp screens/Marketing/ValueProp',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-valueprop',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-workflows': {
    name: 'Workflows',
    id: 'webapp-screens-marketing-workflows',
    parent: 'webapp-screens-marketing',
    depth: 2,
    children: [
      'webapp-screens-marketing-workflows--publish',
      'webapp-screens-marketing-workflows--test',
      'webapp-screens-marketing-workflows--document',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-marketing-workflows--publish': {
    id: 'webapp-screens-marketing-workflows--publish',
    kind: 'Webapp screens/Marketing/Workflows',
    name: 'Publish',
    story: 'Publish',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-workflows',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-workflows--test': {
    id: 'webapp-screens-marketing-workflows--test',
    kind: 'Webapp screens/Marketing/Workflows',
    name: 'Test',
    story: 'Test',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-workflows',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-marketing-workflows--document': {
    id: 'webapp-screens-marketing-workflows--document',
    kind: 'Webapp screens/Marketing/Workflows',
    name: 'Document',
    story: 'Document',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-marketing-workflows',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-notificationsscreen': {
    name: 'NotificationsScreen',
    id: 'webapp-screens-notificationsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-notificationsscreen--loading',
      'webapp-screens-notificationsscreen--default',
      'webapp-screens-notificationsscreen--empty',
      'webapp-screens-notificationsscreen--without-an-email-link',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-notificationsscreen--loading': {
    id: 'webapp-screens-notificationsscreen--loading',
    kind: 'Webapp screens/NotificationsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-notificationsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-notificationsscreen--default': {
    id: 'webapp-screens-notificationsscreen--default',
    kind: 'Webapp screens/NotificationsScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-notificationsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-notificationsscreen--empty': {
    id: 'webapp-screens-notificationsscreen--empty',
    kind: 'Webapp screens/NotificationsScreen',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-notificationsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-notificationsscreen--without-an-email-link': {
    id: 'webapp-screens-notificationsscreen--without-an-email-link',
    kind: 'Webapp screens/NotificationsScreen',
    name: 'without an email link',
    story: 'without an email link',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-notificationsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding': {
    name: 'Onboarding',
    id: 'webapp-screens-onboarding',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-onboarding-chooserepository',
      'webapp-screens-onboarding-createproject',
      'webapp-screens-onboarding-onboardingscreen-clickable',
      'webapp-screens-onboarding-projecttypepicker',
      'webapp-screens-onboarding-setupprojectflow-clickable',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-chooserepository': {
    name: 'ChooseRepository',
    id: 'webapp-screens-onboarding-chooserepository',
    parent: 'webapp-screens-onboarding',
    depth: 2,
    children: [
      'webapp-screens-onboarding-chooserepository--loading',
      'webapp-screens-onboarding-chooserepository--default',
      'webapp-screens-onboarding-chooserepository--default-refreshing',
      'webapp-screens-onboarding-chooserepository--default-bitbucket',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-chooserepository--loading': {
    id: 'webapp-screens-onboarding-chooserepository--loading',
    kind: 'Webapp screens/Onboarding/ChooseRepository',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-chooserepository',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-chooserepository--default': {
    id: 'webapp-screens-onboarding-chooserepository--default',
    kind: 'Webapp screens/Onboarding/ChooseRepository',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-chooserepository',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-chooserepository--default-refreshing': {
    id: 'webapp-screens-onboarding-chooserepository--default-refreshing',
    kind: 'Webapp screens/Onboarding/ChooseRepository',
    name: 'default, refreshing',
    story: 'default, refreshing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-chooserepository',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-chooserepository--default-bitbucket': {
    id: 'webapp-screens-onboarding-chooserepository--default-bitbucket',
    kind: 'Webapp screens/Onboarding/ChooseRepository',
    name: 'default, bitbucket',
    story: 'default, bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-chooserepository',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-createproject': {
    name: 'CreateProject',
    id: 'webapp-screens-onboarding-createproject',
    parent: 'webapp-screens-onboarding',
    depth: 2,
    children: ['webapp-screens-onboarding-createproject--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-createproject--default': {
    id: 'webapp-screens-onboarding-createproject--default',
    kind: 'Webapp screens/Onboarding/CreateProject',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-createproject',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-onboardingscreen-clickable': {
    name: 'OnboardingScreen (clickable)',
    id: 'webapp-screens-onboarding-onboardingscreen-clickable',
    parent: 'webapp-screens-onboarding',
    depth: 2,
    children: [
      'webapp-screens-onboarding-onboardingscreen-clickable--loading',
      'webapp-screens-onboarding-onboardingscreen-clickable--default',
      'webapp-screens-onboarding-onboardingscreen-clickable--saml',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-onboardingscreen-clickable--loading': {
    id: 'webapp-screens-onboarding-onboardingscreen-clickable--loading',
    kind: 'Webapp screens/Onboarding/OnboardingScreen (clickable)',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-onboardingscreen-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-onboardingscreen-clickable--default': {
    id: 'webapp-screens-onboarding-onboardingscreen-clickable--default',
    kind: 'Webapp screens/Onboarding/OnboardingScreen (clickable)',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-onboardingscreen-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-onboardingscreen-clickable--saml': {
    id: 'webapp-screens-onboarding-onboardingscreen-clickable--saml',
    kind: 'Webapp screens/Onboarding/OnboardingScreen (clickable)',
    name: 'saml',
    story: 'saml',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-onboardingscreen-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-projecttypepicker': {
    name: 'ProjectTypePicker',
    id: 'webapp-screens-onboarding-projecttypepicker',
    parent: 'webapp-screens-onboarding',
    depth: 2,
    children: [
      'webapp-screens-onboarding-projecttypepicker--github',
      'webapp-screens-onboarding-projecttypepicker--bitbucket',
      'webapp-screens-onboarding-projecttypepicker--gitlab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-projecttypepicker--github': {
    id: 'webapp-screens-onboarding-projecttypepicker--github',
    kind: 'Webapp screens/Onboarding/ProjectTypePicker',
    name: 'Github',
    story: 'Github',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-projecttypepicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-projecttypepicker--bitbucket': {
    id: 'webapp-screens-onboarding-projecttypepicker--bitbucket',
    kind: 'Webapp screens/Onboarding/ProjectTypePicker',
    name: 'Bitbucket',
    story: 'Bitbucket',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-projecttypepicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-projecttypepicker--gitlab': {
    id: 'webapp-screens-onboarding-projecttypepicker--gitlab',
    kind: 'Webapp screens/Onboarding/ProjectTypePicker',
    name: 'Gitlab',
    story: 'Gitlab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-projecttypepicker',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-setupprojectflow-clickable': {
    name: 'SetupProjectFlow (clickable)',
    id: 'webapp-screens-onboarding-setupprojectflow-clickable',
    parent: 'webapp-screens-onboarding',
    depth: 2,
    children: [
      'webapp-screens-onboarding-setupprojectflow-clickable--loading',
      'webapp-screens-onboarding-setupprojectflow-clickable--onboarding',
      'webapp-screens-onboarding-setupprojectflow-clickable--onboarding-saml-user',
      'webapp-screens-onboarding-setupprojectflow-clickable--add-project',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-setupprojectflow-clickable--loading': {
    id: 'webapp-screens-onboarding-setupprojectflow-clickable--loading',
    kind: 'Webapp screens/Onboarding/SetupProjectFlow (clickable)',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-setupprojectflow-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-setupprojectflow-clickable--onboarding': {
    id: 'webapp-screens-onboarding-setupprojectflow-clickable--onboarding',
    kind: 'Webapp screens/Onboarding/SetupProjectFlow (clickable)',
    name: 'onboarding',
    story: 'onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-setupprojectflow-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-setupprojectflow-clickable--onboarding-saml-user': {
    id: 'webapp-screens-onboarding-setupprojectflow-clickable--onboarding-saml-user',
    kind: 'Webapp screens/Onboarding/SetupProjectFlow (clickable)',
    name: 'onboarding, saml user',
    story: 'onboarding, saml user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-setupprojectflow-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-onboarding-setupprojectflow-clickable--add-project': {
    id: 'webapp-screens-onboarding-setupprojectflow-clickable--add-project',
    kind: 'Webapp screens/Onboarding/SetupProjectFlow (clickable)',
    name: 'add project',
    story: 'add project',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-onboarding-setupprojectflow-clickable',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-preferencesupdatedscreen': {
    name: 'PreferencesUpdatedScreen',
    id: 'webapp-screens-preferencesupdatedscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: ['webapp-screens-preferencesupdatedscreen--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-preferencesupdatedscreen--default': {
    id: 'webapp-screens-preferencesupdatedscreen--default',
    kind: 'Webapp screens/PreferencesUpdatedScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-preferencesupdatedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest': {
    name: 'PullRequest',
    id: 'webapp-screens-pullrequest',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-pullrequest-activity',
      'webapp-screens-pullrequest-buildstatustooltip',
      'webapp-screens-pullrequest-checklist',
      'webapp-screens-pullrequest-features',
      'webapp-screens-pullrequest-nocomparison',
      'webapp-screens-pullrequest-pullrequestchangecomments',
      'webapp-screens-pullrequest-pullrequestchangecommentthread',
      'webapp-screens-pullrequest-pullrequestchangeitem',
      'webapp-screens-pullrequest-pullrequestchanges',
      'webapp-screens-pullrequest-pullrequestchecktooltip',
      'webapp-screens-pullrequest-pullrequestcomponents',
      'webapp-screens-pullrequest-pullrequestexplainer',
      'webapp-screens-pullrequest-pullrequestheader',
      'webapp-screens-pullrequest-pullrequestparticipants',
      'webapp-screens-pullrequest-pullrequestreviewers',
      'webapp-screens-pullrequest-pullrequestscreen',
      'webapp-screens-pullrequest-reviewbutton',
      'webapp-screens-pullrequest-selectreviewers',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity': {
    name: 'Activity',
    id: 'webapp-screens-pullrequest-activity',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-activity-activity',
      'webapp-screens-pullrequest-activity-activityitem',
      'webapp-screens-pullrequest-activity-buildactivity',
      'webapp-screens-pullrequest-activity-commentthreadactivity',
      'webapp-screens-pullrequest-activity-reviewactivity',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity': {
    name: 'Activity',
    id: 'webapp-screens-pullrequest-activity-activity',
    parent: 'webapp-screens-pullrequest-activity',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-activity-activity--loading',
      'webapp-screens-pullrequest-activity-activity--no-builds',
      'webapp-screens-pullrequest-activity-activity--simple',
      'webapp-screens-pullrequest-activity-activity--ui-review-disabled',
      'webapp-screens-pullrequest-activity-activity--ui-review-disabled-no-reviewers',
      'webapp-screens-pullrequest-activity-activity--reviews',
      'webapp-screens-pullrequest-activity-activity--in-progress-build',
      'webapp-screens-pullrequest-activity-activity--comments',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--loading': {
    id: 'webapp-screens-pullrequest-activity-activity--loading',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--no-builds': {
    id: 'webapp-screens-pullrequest-activity-activity--no-builds',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'No Builds',
    story: 'No Builds',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--simple': {
    id: 'webapp-screens-pullrequest-activity-activity--simple',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'Simple',
    story: 'Simple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--ui-review-disabled': {
    id: 'webapp-screens-pullrequest-activity-activity--ui-review-disabled',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'UI Review Disabled',
    story: 'UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--ui-review-disabled-no-reviewers': {
    id: 'webapp-screens-pullrequest-activity-activity--ui-review-disabled-no-reviewers',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'UI Review Disabled No Reviewers',
    story: 'UI Review Disabled No Reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--reviews': {
    id: 'webapp-screens-pullrequest-activity-activity--reviews',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'Reviews',
    story: 'Reviews',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--in-progress-build': {
    id: 'webapp-screens-pullrequest-activity-activity--in-progress-build',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'In Progress Build',
    story: 'In Progress Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activity--comments': {
    id: 'webapp-screens-pullrequest-activity-activity--comments',
    kind: 'Webapp screens/PullRequest/Activity/Activity',
    name: 'Comments',
    story: 'Comments',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activityitem': {
    name: 'ActivityItem',
    id: 'webapp-screens-pullrequest-activity-activityitem',
    parent: 'webapp-screens-pullrequest-activity',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-activity-activityitem--default',
      'webapp-screens-pullrequest-activity-activityitem--loading',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activityitem--default': {
    id: 'webapp-screens-pullrequest-activity-activityitem--default',
    kind: 'Webapp screens/PullRequest/Activity/ActivityItem',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-activityitem--loading': {
    id: 'webapp-screens-pullrequest-activity-activityitem--loading',
    kind: 'Webapp screens/PullRequest/Activity/ActivityItem',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-activityitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity': {
    name: 'BuildActivity',
    id: 'webapp-screens-pullrequest-activity-buildactivity',
    parent: 'webapp-screens-pullrequest-activity',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-activity-buildactivity--loading',
      'webapp-screens-pullrequest-activity-buildactivity--no-capture',
      'webapp-screens-pullrequest-activity-buildactivity--in-progress',
      'webapp-screens-pullrequest-activity-buildactivity--timed-out',
      'webapp-screens-pullrequest-activity-buildactivity--error',
      'webapp-screens-pullrequest-activity-buildactivity--failed',
      'webapp-screens-pullrequest-activity-buildactivity--passed',
      'webapp-screens-pullrequest-activity-buildactivity--pending',
      'webapp-screens-pullrequest-activity-buildactivity--accepted',
      'webapp-screens-pullrequest-activity-buildactivity--denied',
      'webapp-screens-pullrequest-activity-buildactivity--limited',
      'webapp-screens-pullrequest-activity-buildactivity--publish-only',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--loading': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--loading',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--no-capture': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--no-capture',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'No Capture',
    story: 'No Capture',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--in-progress': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--in-progress',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'In Progress',
    story: 'In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--timed-out': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--timed-out',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Timed Out',
    story: 'Timed Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--error': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--error',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Error',
    story: 'Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--failed': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--failed',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Failed',
    story: 'Failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--passed': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--passed',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--pending': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--pending',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Pending',
    story: 'Pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--accepted': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--accepted',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Accepted',
    story: 'Accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--denied': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--denied',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Denied',
    story: 'Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--limited': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--limited',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Limited',
    story: 'Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-buildactivity--publish-only': {
    id: 'webapp-screens-pullrequest-activity-buildactivity--publish-only',
    kind: 'Webapp screens/PullRequest/Activity/BuildActivity',
    name: 'Publish Only',
    story: 'Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-buildactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity': {
    name: 'CommentThreadActivity',
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    parent: 'webapp-screens-pullrequest-activity',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-activity-commentthreadactivity--active',
      'webapp-screens-pullrequest-activity-commentthreadactivity--active-truncated-text',
      'webapp-screens-pullrequest-activity-commentthreadactivity--active-diff-thread',
      'webapp-screens-pullrequest-activity-commentthreadactivity--active-short-height',
      'webapp-screens-pullrequest-activity-commentthreadactivity--active-non-owner',
      'webapp-screens-pullrequest-activity-commentthreadactivity--active-logged-out',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-diff-thread',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-mutating',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded-mutating',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out',
      'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out-expanded',
      'webapp-screens-pullrequest-activity-commentthreadactivity--outdated',
      'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-non-owner',
      'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-logged-out',
      'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-collapsed',
      'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-tooltip',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active',
    story: 'Active',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active-truncated-text': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active-truncated-text',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active Truncated Text',
    story: 'Active Truncated Text',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active-diff-thread': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active-diff-thread',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active Diff Thread',
    story: 'Active Diff Thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active-short-height': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active-short-height',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active Short Height',
    story: 'Active Short Height',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active-non-owner': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active-non-owner',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active Non Owner',
    story: 'Active Non Owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--active-logged-out': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--active-logged-out',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Active Logged Out',
    story: 'Active Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved',
    story: 'Resolved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-diff-thread': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-diff-thread',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Diff Thread',
    story: 'Resolved Diff Thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-mutating': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-mutating',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Mutating',
    story: 'Resolved Mutating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Expanded',
    story: 'Resolved Expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded-mutating': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-expanded-mutating',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Expanded Mutating',
    story: 'Resolved Expanded Mutating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Logged Out',
    story: 'Resolved Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out-expanded': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--resolved-logged-out-expanded',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Resolved Logged Out Expanded',
    story: 'Resolved Logged Out Expanded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--outdated': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--outdated',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Outdated',
    story: 'Outdated',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-non-owner': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-non-owner',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Outdated Non Owner',
    story: 'Outdated Non Owner',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-logged-out': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-logged-out',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Outdated Logged Out',
    story: 'Outdated Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-collapsed': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-collapsed',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Outdated Collapsed',
    story: 'Outdated Collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-tooltip': {
    id: 'webapp-screens-pullrequest-activity-commentthreadactivity--outdated-tooltip',
    kind: 'Webapp screens/PullRequest/Activity/CommentThreadActivity',
    name: 'Outdated Tooltip',
    story: 'Outdated Tooltip',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-commentthreadactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity': {
    name: 'ReviewActivity',
    id: 'webapp-screens-pullrequest-activity-reviewactivity',
    parent: 'webapp-screens-pullrequest-activity',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-activity-reviewactivity--assigned-self',
      'webapp-screens-pullrequest-activity-reviewactivity--assigned-other',
      'webapp-screens-pullrequest-activity-reviewactivity--approved',
      'webapp-screens-pullrequest-activity-reviewactivity--unapproved',
      'webapp-screens-pullrequest-activity-reviewactivity--unassigned-self',
      'webapp-screens-pullrequest-activity-reviewactivity--unassigned-other',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--assigned-self': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--assigned-self',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Assigned Self',
    story: 'Assigned Self',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--assigned-other': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--assigned-other',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Assigned Other',
    story: 'Assigned Other',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--approved': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--approved',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Approved',
    story: 'Approved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--unapproved': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--unapproved',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Unapproved',
    story: 'Unapproved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--unassigned-self': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--unassigned-self',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Unassigned Self',
    story: 'Unassigned Self',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-activity-reviewactivity--unassigned-other': {
    id: 'webapp-screens-pullrequest-activity-reviewactivity--unassigned-other',
    kind: 'Webapp screens/PullRequest/Activity/ReviewActivity',
    name: 'Unassigned Other',
    story: 'Unassigned Other',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-activity-reviewactivity',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip': {
    name: 'BuildStatusTooltip',
    id: 'webapp-screens-pullrequest-buildstatustooltip',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-buildstatustooltip--passing',
      'webapp-screens-pullrequest-buildstatustooltip--build-in-progress',
      'webapp-screens-pullrequest-buildstatustooltip--build-in-progress-tests-disabled',
      'webapp-screens-pullrequest-buildstatustooltip--paused',
      'webapp-screens-pullrequest-buildstatustooltip--errored-build',
      'webapp-screens-pullrequest-buildstatustooltip--errored-snapshots',
      'webapp-screens-pullrequest-buildstatustooltip--denied-snapshots',
      'webapp-screens-pullrequest-buildstatustooltip--pending-snapshots',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--passing': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--passing',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Passing',
    story: 'Passing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--build-in-progress': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--build-in-progress',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--build-in-progress-tests-disabled': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--build-in-progress-tests-disabled',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Build In Progress Tests Disabled',
    story: 'Build In Progress Tests Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--paused': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--paused',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--errored-build': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--errored-build',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Errored Build',
    story: 'Errored Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--errored-snapshots': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--errored-snapshots',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Errored Snapshots',
    story: 'Errored Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--denied-snapshots': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--denied-snapshots',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Denied Snapshots',
    story: 'Denied Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-buildstatustooltip--pending-snapshots': {
    id: 'webapp-screens-pullrequest-buildstatustooltip--pending-snapshots',
    kind: 'Webapp screens/PullRequest/BuildStatusTooltip',
    name: 'Pending Snapshots',
    story: 'Pending Snapshots',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-buildstatustooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist': {
    name: 'Checklist',
    id: 'webapp-screens-pullrequest-checklist',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-checklist-checklist',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthread',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
      'webapp-screens-pullrequest-checklist-checklistbuilderrors',
      'webapp-screens-pullrequest-checklist-checklisterroreddiffs',
      'webapp-screens-pullrequest-checklist-checklistheader',
      'webapp-screens-pullrequest-checklist-checklistitemheader',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews',
      'webapp-screens-pullrequest-checklist-checklistspeccolumn',
      'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist': {
    name: 'Checklist',
    id: 'webapp-screens-pullrequest-checklist-checklist',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklist--empty',
      'webapp-screens-pullrequest-checklist-checklist--no-checks',
      'webapp-screens-pullrequest-checklist-checklist--all-passing',
      'webapp-screens-pullrequest-checklist-checklist--pending-reviews',
      'webapp-screens-pullrequest-checklist-checklist--active-comment-threads',
      'webapp-screens-pullrequest-checklist-checklist--visual-changes',
      'webapp-screens-pullrequest-checklist-checklist--build-error',
      'webapp-screens-pullrequest-checklist-checklist--build-in-progress',
      'webapp-screens-pullrequest-checklist-checklist--comparison-in-progress',
      'webapp-screens-pullrequest-checklist-checklist--no-comparison',
      'webapp-screens-pullrequest-checklist-checklist--diff-errors',
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold',
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-org',
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-no-plan-access',
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-in-progress-build',
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-error-build',
      'webapp-screens-pullrequest-checklist-checklist--paused-payment-required',
      'webapp-screens-pullrequest-checklist-checklist--was-paused-now-resumed',
      'webapp-screens-pullrequest-checklist-checklist--all-tests',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-exceeded-threshold',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-was-paused-now-resumed',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled-publish-only',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-build-error',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-build-in-progress',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-comparison-in-progress',
      'webapp-screens-pullrequest-checklist-checklist--all-tests-no-reviewers',
      'webapp-screens-pullrequest-checklist-checklist--logged-out',
      'webapp-screens-pullrequest-checklist-checklist--logged-out-no-reviewers',
      'webapp-screens-pullrequest-checklist-checklist--pure-selecting-reviewers',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--empty': {
    id: 'webapp-screens-pullrequest-checklist-checklist--empty',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Empty',
    story: 'Empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--no-checks': {
    id: 'webapp-screens-pullrequest-checklist-checklist--no-checks',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'No Checks',
    story: 'No Checks',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-passing': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-passing',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Passing',
    story: 'All Passing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--pending-reviews': {
    id: 'webapp-screens-pullrequest-checklist-checklist--pending-reviews',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Pending Reviews',
    story: 'Pending Reviews',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--active-comment-threads': {
    id: 'webapp-screens-pullrequest-checklist-checklist--active-comment-threads',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Active Comment Threads',
    story: 'Active Comment Threads',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--visual-changes': {
    id: 'webapp-screens-pullrequest-checklist-checklist--visual-changes',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Visual Changes',
    story: 'Visual Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--build-error': {
    id: 'webapp-screens-pullrequest-checklist-checklist--build-error',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--build-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklist--build-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--comparison-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklist--comparison-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Comparison In Progress',
    story: 'Comparison In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--no-comparison': {
    id: 'webapp-screens-pullrequest-checklist-checklist--no-comparison',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'No Comparison',
    story: 'No Comparison',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--diff-errors': {
    id: 'webapp-screens-pullrequest-checklist-checklist--diff-errors',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Diff Errors',
    story: 'Diff Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold': {
    id: 'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Exceeded Threshold',
    story: 'Paused, Exceeded Threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-org': {
    id: 'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-org',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Exceeded Threshold, Org',
    story: 'Paused, Exceeded Threshold, Org',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-no-plan-access': {
    id: 'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-no-plan-access',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Exceeded Threshold, No Access To Update Plans',
    story: 'Paused, Exceeded Threshold, No Access To Update Plans',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-in-progress-build': {
    id:
      'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-in-progress-build',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Exceeded Threshold, In Progress Build',
    story: 'Paused, Exceeded Threshold, In Progress Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-error-build': {
    id: 'webapp-screens-pullrequest-checklist-checklist--paused-exceeded-threshold-error-build',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Exceeded Threshold, Error Build',
    story: 'Paused, Exceeded Threshold, Error Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--paused-payment-required': {
    id: 'webapp-screens-pullrequest-checklist-checklist--paused-payment-required',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Paused, Payment Required',
    story: 'Paused, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--was-paused-now-resumed': {
    id: 'webapp-screens-pullrequest-checklist-checklist--was-paused-now-resumed',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Was Paused, Now Resumed',
    story: 'Was Paused, Now Resumed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests',
    story: 'All Tests',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-exceeded-threshold': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-exceeded-threshold',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests Exceeded Threshold',
    story: 'All Tests Exceeded Threshold',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-was-paused-now-resumed': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-was-paused-now-resumed',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests, Was Paused, Now Resumed',
    story: 'All Tests, Was Paused, Now Resumed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests UI Review Disabled',
    story: 'All Tests UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled-publish-only': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-ui-review-disabled-publish-only',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests UI Review Disabled Publish Only',
    story: 'All Tests UI Review Disabled Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-build-error': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-build-error',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests, Build Error',
    story: 'All Tests, Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-build-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-build-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests, Build In Progress',
    story: 'All Tests, Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-comparison-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-comparison-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests, Comparison In Progress',
    story: 'All Tests, Comparison In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--all-tests-no-reviewers': {
    id: 'webapp-screens-pullrequest-checklist-checklist--all-tests-no-reviewers',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'All Tests, No Reviewers',
    story: 'All Tests, No Reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--logged-out': {
    id: 'webapp-screens-pullrequest-checklist-checklist--logged-out',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Logged Out',
    story: 'Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--logged-out-no-reviewers': {
    id: 'webapp-screens-pullrequest-checklist-checklist--logged-out-no-reviewers',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Logged Out, No Reviewers',
    story: 'Logged Out, No Reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklist--pure-selecting-reviewers': {
    id: 'webapp-screens-pullrequest-checklist-checklist--pure-selecting-reviewers',
    kind: 'Webapp screens/PullRequest/Checklist/Checklist',
    name: 'Pure, Selecting Reviewers',
    story: 'Pure, Selecting Reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthread': {
    name: 'ChecklistActiveCommentThread',
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistactivecommentthread--base',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthread--logged-out',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthread--pure-resolving',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthread--base': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread--base',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThread',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthread--logged-out': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread--logged-out',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThread',
    name: 'Logged Out',
    story: 'Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthread--pure-resolving': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread--pure-resolving',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThread',
    name: 'Pure, Resolving',
    story: 'Pure, Resolving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads': {
    name: 'ChecklistActiveCommentThreads',
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--single',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-constrained',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-logged-out',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-git-lab',
      'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--pure-resolving-all',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--single': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--single',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Single',
    story: 'Single',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-constrained': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-constrained',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Multiple, Constrained',
    story: 'Multiple, Constrained',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-logged-out': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-logged-out',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Multiple, Logged Out',
    story: 'Multiple, Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-git-lab': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--multiple-git-lab',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Multiple, GitLab',
    story: 'Multiple, GitLab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--pure-resolving-all': {
    id: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads--pure-resolving-all',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistActiveCommentThreads',
    name: 'Pure, Resolving All',
    story: 'Pure, Resolving All',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistactivecommentthreads',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistbuilderrors': {
    name: 'ChecklistBuildErrors',
    id: 'webapp-screens-pullrequest-checklist-checklistbuilderrors',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: ['webapp-screens-pullrequest-checklist-checklistbuilderrors--base'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistbuilderrors--base': {
    id: 'webapp-screens-pullrequest-checklist-checklistbuilderrors--base',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistBuildErrors',
    name: 'Base',
    story: 'Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistbuilderrors',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklisterroreddiffs': {
    name: 'ChecklistErroredDiffs',
    id: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklisterroreddiffs--single',
      'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple',
      'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple-git-lab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklisterroreddiffs--single': {
    id: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs--single',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistErroredDiffs',
    name: 'Single',
    story: 'Single',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple': {
    id: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistErroredDiffs',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple-git-lab': {
    id: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs--multiple-git-lab',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistErroredDiffs',
    name: 'Multiple, GitLab',
    story: 'Multiple, GitLab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklisterroreddiffs',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader': {
    name: 'ChecklistHeader',
    id: 'webapp-screens-pullrequest-checklist-checklistheader',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistheader--no-checks',
      'webapp-screens-pullrequest-checklist-checklistheader--all-passing',
      'webapp-screens-pullrequest-checklist-checklistheader--publish-only',
      'webapp-screens-pullrequest-checklist-checklistheader--with-warnings',
      'webapp-screens-pullrequest-checklist-checklistheader--with-warnings-git-lab',
      'webapp-screens-pullrequest-checklist-checklistheader--with-errors',
      'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors',
      'webapp-screens-pullrequest-checklist-checklistheader--build-in-progress',
      'webapp-screens-pullrequest-checklist-checklistheader--comparison-in-progress',
      'webapp-screens-pullrequest-checklist-checklistheader--ui-review-disabled',
      'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors-ui-review-disabled',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--no-checks': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--no-checks',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'No Checks',
    story: 'No Checks',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--all-passing': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--all-passing',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'All Passing',
    story: 'All Passing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--publish-only': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--publish-only',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'Publish Only',
    story: 'Publish Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--with-warnings': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--with-warnings',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'With Warnings',
    story: 'With Warnings',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--with-warnings-git-lab': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--with-warnings-git-lab',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'With Warnings, GitLab',
    story: 'With Warnings, GitLab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--with-errors': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--with-errors',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'With Errors',
    story: 'With Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'With Build Errors',
    story: 'With Build Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--build-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--build-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'Build In Progress',
    story: 'Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--comparison-in-progress': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--comparison-in-progress',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'Comparison In Progress',
    story: 'Comparison In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--ui-review-disabled': {
    id: 'webapp-screens-pullrequest-checklist-checklistheader--ui-review-disabled',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'UI Review Disabled',
    story: 'UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors-ui-review-disabled': {
    id:
      'webapp-screens-pullrequest-checklist-checklistheader--with-build-errors-ui-review-disabled',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistHeader',
    name: 'With Build Errors, UI Review Disabled',
    story: 'With Build Errors, UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistitemheader': {
    name: 'ChecklistItemHeader',
    id: 'webapp-screens-pullrequest-checklist-checklistitemheader',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistitemheader--warning',
      'webapp-screens-pullrequest-checklist-checklistitemheader--with-action',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistitemheader--warning': {
    id: 'webapp-screens-pullrequest-checklist-checklistitemheader--warning',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistItemHeader',
    name: 'Warning',
    story: 'Warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistitemheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistitemheader--with-action': {
    id: 'webapp-screens-pullrequest-checklist-checklistitemheader--with-action',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistItemHeader',
    name: 'With Action',
    story: 'With Action',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistitemheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews': {
    name: 'ChecklistPendingReviews',
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--single',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-approving',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-unassigning',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-logged-out',
      'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-git-lab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--single': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--single',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Single',
    story: 'Single',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-approving': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-approving',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Multiple, Approving',
    story: 'Multiple, Approving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-unassigning': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-unassigning',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Multiple, Unassigning',
    story: 'Multiple, Unassigning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-logged-out': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-logged-out',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Multiple, Logged Out',
    story: 'Multiple, Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-git-lab': {
    id: 'webapp-screens-pullrequest-checklist-checklistpendingreviews--multiple-git-lab',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistPendingReviews',
    name: 'Multiple, GitLab',
    story: 'Multiple, GitLab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistpendingreviews',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistspeccolumn': {
    name: 'ChecklistSpecColumn',
    id: 'webapp-screens-pullrequest-checklist-checklistspeccolumn',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistspeccolumn--loading-spec',
      'webapp-screens-pullrequest-checklist-checklistspeccolumn--default-spec',
      'webapp-screens-pullrequest-checklist-checklistspeccolumn--low-data-spec',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistspeccolumn--loading-spec': {
    id: 'webapp-screens-pullrequest-checklist-checklistspeccolumn--loading-spec',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistSpecColumn',
    name: 'Loading Spec',
    story: 'Loading Spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistspeccolumn',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistspeccolumn--default-spec': {
    id: 'webapp-screens-pullrequest-checklist-checklistspeccolumn--default-spec',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistSpecColumn',
    name: 'Default Spec',
    story: 'Default Spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistspeccolumn',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistspeccolumn--low-data-spec': {
    id: 'webapp-screens-pullrequest-checklist-checklistspeccolumn--low-data-spec',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistSpecColumn',
    name: 'Low Data Spec',
    story: 'Low Data Spec',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistspeccolumn',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges': {
    name: 'ChecklistVisualChanges',
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    parent: 'webapp-screens-pullrequest-checklist',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-checklist-checklistvisualchanges--single',
      'webapp-screens-pullrequest-checklist-checklistvisualchanges--single-tall-image',
      'webapp-screens-pullrequest-checklist-checklistvisualchanges--multiple',
      'webapp-screens-pullrequest-checklist-checklistvisualchanges--approving',
      'webapp-screens-pullrequest-checklist-checklistvisualchanges--logged-out',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges--single': {
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges--single',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistVisualChanges',
    name: 'Single',
    story: 'Single',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges--single-tall-image': {
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges--single-tall-image',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistVisualChanges',
    name: 'Single, Tall Image',
    story: 'Single, Tall Image',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges--multiple': {
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges--multiple',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistVisualChanges',
    name: 'Multiple',
    story: 'Multiple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges--approving': {
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges--approving',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistVisualChanges',
    name: 'Approving',
    story: 'Approving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-checklist-checklistvisualchanges--logged-out': {
    id: 'webapp-screens-pullrequest-checklist-checklistvisualchanges--logged-out',
    kind: 'Webapp screens/PullRequest/Checklist/ChecklistVisualChanges',
    name: 'Logged Out',
    story: 'Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-checklist-checklistvisualchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features': {
    name: 'Features',
    id: 'webapp-screens-pullrequest-features',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-features-uireviewfeature',
      'webapp-screens-pullrequest-features-uitestsfeature',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uireviewfeature': {
    name: 'UIReviewFeature',
    id: 'webapp-screens-pullrequest-features-uireviewfeature',
    parent: 'webapp-screens-pullrequest-features',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-features-uireviewfeature--logged-in',
      'webapp-screens-pullrequest-features-uireviewfeature--logged-out',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uireviewfeature--logged-in': {
    id: 'webapp-screens-pullrequest-features-uireviewfeature--logged-in',
    kind: 'Webapp screens/PullRequest/Features/UIReviewFeature',
    name: 'Logged In',
    story: 'Logged In',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uireviewfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uireviewfeature--logged-out': {
    id: 'webapp-screens-pullrequest-features-uireviewfeature--logged-out',
    kind: 'Webapp screens/PullRequest/Features/UIReviewFeature',
    name: 'Logged Out',
    story: 'Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uireviewfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature': {
    name: 'UITestsFeature',
    id: 'webapp-screens-pullrequest-features-uitestsfeature',
    parent: 'webapp-screens-pullrequest-features',
    depth: 3,
    children: [
      'webapp-screens-pullrequest-features-uitestsfeature--passed',
      'webapp-screens-pullrequest-features-uitestsfeature--in-progress',
      'webapp-screens-pullrequest-features-uitestsfeature--accepted',
      'webapp-screens-pullrequest-features-uitestsfeature--pending',
      'webapp-screens-pullrequest-features-uitestsfeature--denied',
      'webapp-screens-pullrequest-features-uitestsfeature--failed',
      'webapp-screens-pullrequest-features-uitestsfeature--errored',
      'webapp-screens-pullrequest-features-uitestsfeature--timed-out',
      'webapp-screens-pullrequest-features-uitestsfeature--paused',
      'webapp-screens-pullrequest-features-uitestsfeature--paused-payment-required',
      'webapp-screens-pullrequest-features-uitestsfeature--paused-organization',
      'webapp-screens-pullrequest-features-uitestsfeature--paused-organization-no-plan',
      'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-disabled-for-build-enabled-on-app',
      'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-paused-for-build-enabled-on-app',
      'webapp-screens-pullrequest-features-uitestsfeature--disabled',
      'webapp-screens-pullrequest-features-uitestsfeature--disabled-read-only',
      'webapp-screens-pullrequest-features-uitestsfeature--disabled-low-spec-count',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--passed': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--passed',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Passed',
    story: 'Passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--in-progress': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--in-progress',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'In Progress',
    story: 'In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--accepted': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--accepted',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Accepted',
    story: 'Accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--pending': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--pending',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Pending',
    story: 'Pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--denied': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--denied',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Denied',
    story: 'Denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--failed': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--failed',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Failed',
    story: 'Failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--errored': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--errored',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Errored',
    story: 'Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--timed-out': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--timed-out',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Timed Out',
    story: 'Timed Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--paused': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--paused',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--paused-payment-required': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--paused-payment-required',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Paused, Payment Required',
    story: 'Paused, Payment Required',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--paused-organization': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--paused-organization',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Paused, Organization',
    story: 'Paused, Organization',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--paused-organization-no-plan': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--paused-organization-no-plan',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Paused, Organization, No Plan',
    story: 'Paused, Organization, No Plan',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-disabled-for-build-enabled-on-app': {
    id:
      'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-disabled-for-build-enabled-on-app',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'UI Tests Disabled For Build, Enabled On App',
    story: 'UI Tests Disabled For Build, Enabled On App',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-paused-for-build-enabled-on-app': {
    id:
      'webapp-screens-pullrequest-features-uitestsfeature--ui-tests-paused-for-build-enabled-on-app',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'UI Tests Paused For Build, Enabled On App',
    story: 'UI Tests Paused For Build, Enabled On App',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--disabled': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--disabled',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Disabled',
    story: 'Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--disabled-read-only': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--disabled-read-only',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Disabled, Read Only',
    story: 'Disabled, Read Only',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-features-uitestsfeature--disabled-low-spec-count': {
    id: 'webapp-screens-pullrequest-features-uitestsfeature--disabled-low-spec-count',
    kind: 'Webapp screens/PullRequest/Features/UITestsFeature',
    name: 'Disabled, Low Spec Count',
    story: 'Disabled, Low Spec Count',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-pullrequest-features-uitestsfeature',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison': {
    name: 'NoComparison',
    id: 'webapp-screens-pullrequest-nocomparison',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-nocomparison--no-head-build',
      'webapp-screens-pullrequest-nocomparison--no-merge-base-build',
      'webapp-screens-pullrequest-nocomparison--head-build-in-progress',
      'webapp-screens-pullrequest-nocomparison--patch-build-in-progress',
      'webapp-screens-pullrequest-nocomparison--publish-only-head-build',
      'webapp-screens-pullrequest-nocomparison--publish-only-merge-base',
      'webapp-screens-pullrequest-nocomparison--head-build-errored',
      'webapp-screens-pullrequest-nocomparison--patch-build-errored',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--no-head-build': {
    id: 'webapp-screens-pullrequest-nocomparison--no-head-build',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'No Head Build',
    story: 'No Head Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--no-merge-base-build': {
    id: 'webapp-screens-pullrequest-nocomparison--no-merge-base-build',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'No Merge Base Build',
    story: 'No Merge Base Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--head-build-in-progress': {
    id: 'webapp-screens-pullrequest-nocomparison--head-build-in-progress',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Head Build In Progress',
    story: 'Head Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--patch-build-in-progress': {
    id: 'webapp-screens-pullrequest-nocomparison--patch-build-in-progress',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Patch Build In Progress',
    story: 'Patch Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--publish-only-head-build': {
    id: 'webapp-screens-pullrequest-nocomparison--publish-only-head-build',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Publish Only Head Build',
    story: 'Publish Only Head Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--publish-only-merge-base': {
    id: 'webapp-screens-pullrequest-nocomparison--publish-only-merge-base',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Publish Only Merge Base',
    story: 'Publish Only Merge Base',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--head-build-errored': {
    id: 'webapp-screens-pullrequest-nocomparison--head-build-errored',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Head Build Errored',
    story: 'Head Build Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-nocomparison--patch-build-errored': {
    id: 'webapp-screens-pullrequest-nocomparison--patch-build-errored',
    kind: 'Webapp screens/PullRequest/NoComparison',
    name: 'Patch Build Errored',
    story: 'Patch Build Errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-nocomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments': {
    name: 'PullRequestChangeComments',
    id: 'webapp-screens-pullrequest-pullrequestchangecomments',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestchangecomments--no-thread',
      'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-new-story',
      'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-removed-story',
      'webapp-screens-pullrequest-pullrequestchangecomments--active-thread',
      'webapp-screens-pullrequest-pullrequestchangecomments--resolved-thread',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments--no-thread': {
    id: 'webapp-screens-pullrequest-pullrequestchangecomments--no-thread',
    kind: 'Webapp screens/PullRequest/PullRequestChangeComments',
    name: 'no thread',
    story: 'no thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-new-story': {
    id: 'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-new-story',
    kind: 'Webapp screens/PullRequest/PullRequestChangeComments',
    name: 'no thread, new story',
    story: 'no thread, new story',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-removed-story': {
    id: 'webapp-screens-pullrequest-pullrequestchangecomments--no-thread-removed-story',
    kind: 'Webapp screens/PullRequest/PullRequestChangeComments',
    name: 'no thread, removed story',
    story: 'no thread, removed story',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments--active-thread': {
    id: 'webapp-screens-pullrequest-pullrequestchangecomments--active-thread',
    kind: 'Webapp screens/PullRequest/PullRequestChangeComments',
    name: 'active thread',
    story: 'active thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecomments--resolved-thread': {
    id: 'webapp-screens-pullrequest-pullrequestchangecomments--resolved-thread',
    kind: 'Webapp screens/PullRequest/PullRequestChangeComments',
    name: 'resolved thread',
    story: 'resolved thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecommentthread': {
    name: 'PullRequestChangeCommentThread',
    id: 'webapp-screens-pullrequest-pullrequestchangecommentthread',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestchangecommentthread--no-user',
      'webapp-screens-pullrequest-pullrequestchangecommentthread--w-user',
      'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user',
      'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user-collapsed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecommentthread--no-user': {
    id: 'webapp-screens-pullrequest-pullrequestchangecommentthread--no-user',
    kind: 'Webapp screens/PullRequest/PullRequestChangeCommentThread',
    name: 'no user',
    story: 'no user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecommentthread--w-user': {
    id: 'webapp-screens-pullrequest-pullrequestchangecommentthread--w-user',
    kind: 'Webapp screens/PullRequest/PullRequestChangeCommentThread',
    name: 'w/ user',
    story: 'w/ user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user': {
    id: 'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user',
    kind: 'Webapp screens/PullRequest/PullRequestChangeCommentThread',
    name: 'pure, w/ user',
    story: 'pure, w/ user',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user-collapsed': {
    id: 'webapp-screens-pullrequest-pullrequestchangecommentthread--pure-w-user-collapsed',
    kind: 'Webapp screens/PullRequest/PullRequestChangeCommentThread',
    name: 'pure, w/ user, collapsed',
    story: 'pure, w/ user, collapsed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangecommentthread',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem': {
    name: 'PullRequestChangeItem',
    id: 'webapp-screens-pullrequest-pullrequestchangeitem',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestchangeitem--loading',
      'webapp-screens-pullrequest-pullrequestchangeitem--added',
      'webapp-screens-pullrequest-pullrequestchangeitem--added-logged-out',
      'webapp-screens-pullrequest-pullrequestchangeitem--added-w-active-comment-thread',
      'webapp-screens-pullrequest-pullrequestchangeitem--removed',
      'webapp-screens-pullrequest-pullrequestchangeitem--visually-different',
      'webapp-screens-pullrequest-pullrequestchangeitem--visually-different-after-upgrade',
      'webapp-screens-pullrequest-pullrequestchangeitem--scaled',
      'webapp-screens-pullrequest-pullrequestchangeitem--size-changed',
      'webapp-screens-pullrequest-pullrequestchangeitem--errored',
      'webapp-screens-pullrequest-pullrequestchangeitem--fixed',
      'webapp-screens-pullrequest-pullrequestchangeitem--no-diff',
      'webapp-screens-pullrequest-pullrequestchangeitem--diff',
      'webapp-screens-pullrequest-pullrequestchangeitem--diff-strobe',
      'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus',
      'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus-strobe',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--loading': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--loading',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--added': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--added',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'added',
    story: 'added',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--added-logged-out': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--added-logged-out',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'added, logged out',
    story: 'added, logged out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--added-w-active-comment-thread': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--added-w-active-comment-thread',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'added, w/ active comment thread',
    story: 'added, w/ active comment thread',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--removed': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--removed',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'removed',
    story: 'removed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--visually-different': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--visually-different',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'visually different',
    story: 'visually different',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--visually-different-after-upgrade': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--visually-different-after-upgrade',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'visually different after upgrade',
    story: 'visually different after upgrade',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--scaled': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--scaled',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'scaled',
    story: 'scaled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--size-changed': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--size-changed',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'size changed',
    story: 'size changed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--errored': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--errored',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'errored',
    story: 'errored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--fixed': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--fixed',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'fixed',
    story: 'fixed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--no-diff': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--no-diff',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'no diff',
    story: 'no diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--diff': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--diff',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'diff',
    story: 'diff',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--diff-strobe': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--diff-strobe',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'diff strobe',
    story: 'diff strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'diff focus',
    story: 'diff focus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus-strobe': {
    id: 'webapp-screens-pullrequest-pullrequestchangeitem--diff-focus-strobe',
    kind: 'Webapp screens/PullRequest/PullRequestChangeItem',
    name: 'diff focus+strobe',
    story: 'diff focus+strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchangeitem',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges': {
    name: 'PullRequestChanges',
    id: 'webapp-screens-pullrequest-pullrequestchanges',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestchanges--default',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled-logged-out',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused-logged-out',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked',
      'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked-logged-out',
      'webapp-screens-pullrequest-pullrequestchanges--loading',
      'webapp-screens-pullrequest-pullrequestchanges--build-in-progress-80-complete',
      'webapp-screens-pullrequest-pullrequestchanges--comparison-in-progress-20-complete',
      'webapp-screens-pullrequest-pullrequestchanges--empty',
      'webapp-screens-pullrequest-pullrequestchanges--unsupported',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--default': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--default',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Disabled',
    story: 'UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled-logged-out': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-disabled-logged-out',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Disabled Logged Out',
    story: 'UI Review Disabled Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Paused',
    story: 'UI Review Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused-logged-out': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-paused-logged-out',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Paused Logged Out',
    story: 'UI Review Paused Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Blocked',
    story: 'UI Review Blocked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked-logged-out': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--ui-review-blocked-logged-out',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'UI Review Blocked Logged Out',
    story: 'UI Review Blocked Logged Out',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--loading': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--loading',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--build-in-progress-80-complete': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--build-in-progress-80-complete',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Build In Progress (80% complete)',
    story: 'Build In Progress (80% complete)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--comparison-in-progress-20-complete': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--comparison-in-progress-20-complete',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Comparison In Progress (20% complete)',
    story: 'Comparison In Progress (20% complete)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--empty': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--empty',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Empty',
    story: 'Empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchanges--unsupported': {
    id: 'webapp-screens-pullrequest-pullrequestchanges--unsupported',
    kind: 'Webapp screens/PullRequest/PullRequestChanges',
    name: 'Unsupported',
    story: 'Unsupported',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchanges',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip': {
    name: 'PullRequestCheckTooltip',
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestchecktooltip--passing',
      'webapp-screens-pullrequest-pullrequestchecktooltip--passing-ui-review-disabled',
      'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes',
      'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes-in-progress',
      'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build',
      'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-resumed',
      'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-in-progress',
      'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-error',
      'webapp-screens-pullrequest-pullrequestchecktooltip--pending-incomplete-setup',
      'webapp-screens-pullrequest-pullrequestchecktooltip--awaiting-activity',
      'webapp-screens-pullrequest-pullrequestchecktooltip--pending-visual-changes',
      'webapp-screens-pullrequest-pullrequestchecktooltip--pending-reviews',
      'webapp-screens-pullrequest-pullrequestchecktooltip--active-comment-threads',
      'webapp-screens-pullrequest-pullrequestchecktooltip--errored-diffs',
      'webapp-screens-pullrequest-pullrequestchecktooltip--all-tests',
      'webapp-screens-pullrequest-pullrequestchecktooltip--build-error',
      'webapp-screens-pullrequest-pullrequestchecktooltip--git-lab',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--passing': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--passing',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Passing',
    story: 'Passing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--passing-ui-review-disabled': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--passing-ui-review-disabled',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Passing, UI Review Disabled',
    story: 'Passing, UI Review Disabled',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Passing, No Changes',
    story: 'Passing, No Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes-in-progress': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--passing-no-changes-in-progress',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Passing, No Changes, In Progress',
    story: 'Passing, No Changes, In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Representative Only Build',
    story: 'Representative Only Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-resumed': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-resumed',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Representative Only Build, Resumed',
    story: 'Representative Only Build, Resumed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-in-progress': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-in-progress',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Representative Only Build In Progress',
    story: 'Representative Only Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-error': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--representative-only-build-error',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Representative Only Build w/ Error',
    story: 'Representative Only Build w/ Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--pending-incomplete-setup': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--pending-incomplete-setup',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Pending, Incomplete Setup',
    story: 'Pending, Incomplete Setup',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--awaiting-activity': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--awaiting-activity',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Awaiting activity',
    story: 'Awaiting activity',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--pending-visual-changes': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--pending-visual-changes',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Pending, Visual Changes',
    story: 'Pending, Visual Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--pending-reviews': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--pending-reviews',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Pending Reviews',
    story: 'Pending Reviews',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--active-comment-threads': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--active-comment-threads',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Active Comment Threads',
    story: 'Active Comment Threads',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--errored-diffs': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--errored-diffs',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Errored Diffs',
    story: 'Errored Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--all-tests': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--all-tests',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'All Tests',
    story: 'All Tests',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--build-error': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--build-error',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Build Error',
    story: 'Build Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestchecktooltip--git-lab': {
    id: 'webapp-screens-pullrequest-pullrequestchecktooltip--git-lab',
    kind: 'Webapp screens/PullRequest/PullRequestCheckTooltip',
    name: 'Git Lab',
    story: 'Git Lab',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestchecktooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents': {
    name: 'PullRequestComponents',
    id: 'webapp-screens-pullrequest-pullrequestcomponents',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestcomponents--loading',
      'webapp-screens-pullrequest-pullrequestcomponents--simple',
      'webapp-screens-pullrequest-pullrequestcomponents--passed',
      'webapp-screens-pullrequest-pullrequestcomponents--failed',
      'webapp-screens-pullrequest-pullrequestcomponents--in-progress',
      'webapp-screens-pullrequest-pullrequestcomponents--empty',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--loading': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--loading',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--simple': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--simple',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'simple',
    story: 'simple',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--passed': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--passed',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'passed',
    story: 'passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--failed': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--failed',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--in-progress': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--in-progress',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestcomponents--empty': {
    id: 'webapp-screens-pullrequest-pullrequestcomponents--empty',
    kind: 'Webapp screens/PullRequest/PullRequestComponents',
    name: 'empty',
    story: 'empty',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestcomponents',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestexplainer': {
    name: 'PullRequestExplainer',
    id: 'webapp-screens-pullrequest-pullrequestexplainer',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: ['webapp-screens-pullrequest-pullrequestexplainer--default'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestexplainer--default': {
    id: 'webapp-screens-pullrequest-pullrequestexplainer--default',
    kind: 'Webapp screens/PullRequest/PullRequestExplainer',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestexplainer',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader': {
    name: 'PullRequestHeader',
    id: 'webapp-screens-pullrequest-pullrequestheader',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestheader--loading',
      'webapp-screens-pullrequest-pullrequestheader--open-unbuilt',
      'webapp-screens-pullrequest-pullrequestheader--open-building',
      'webapp-screens-pullrequest-pullrequestheader--merged-passed',
      'webapp-screens-pullrequest-pullrequestheader--open-pending',
      'webapp-screens-pullrequest-pullrequestheader--errored-closed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--loading': {
    id: 'webapp-screens-pullrequest-pullrequestheader--loading',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--open-unbuilt': {
    id: 'webapp-screens-pullrequest-pullrequestheader--open-unbuilt',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Open, unbuilt',
    story: 'Open, unbuilt',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--open-building': {
    id: 'webapp-screens-pullrequest-pullrequestheader--open-building',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Open, building',
    story: 'Open, building',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--merged-passed': {
    id: 'webapp-screens-pullrequest-pullrequestheader--merged-passed',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Merged, passed',
    story: 'Merged, passed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--open-pending': {
    id: 'webapp-screens-pullrequest-pullrequestheader--open-pending',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Open, pending',
    story: 'Open, pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestheader--errored-closed': {
    id: 'webapp-screens-pullrequest-pullrequestheader--errored-closed',
    kind: 'Webapp screens/PullRequest/PullRequestHeader',
    name: 'Errored, closed',
    story: 'Errored, closed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestparticipants': {
    name: 'PullRequestParticipants',
    id: 'webapp-screens-pullrequest-pullrequestparticipants',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestparticipants--loading',
      'webapp-screens-pullrequest-pullrequestparticipants--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestparticipants--loading': {
    id: 'webapp-screens-pullrequest-pullrequestparticipants--loading',
    kind: 'Webapp screens/PullRequest/PullRequestParticipants',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestparticipants',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestparticipants--default': {
    id: 'webapp-screens-pullrequest-pullrequestparticipants--default',
    kind: 'Webapp screens/PullRequest/PullRequestParticipants',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestparticipants',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers': {
    name: 'PullRequestReviewers',
    id: 'webapp-screens-pullrequest-pullrequestreviewers',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestreviewers--loading',
      'webapp-screens-pullrequest-pullrequestreviewers--stateful',
      'webapp-screens-pullrequest-pullrequestreviewers--unreviewed',
      'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-limited',
      'webapp-screens-pullrequest-pullrequestreviewers--assigning',
      'webapp-screens-pullrequest-pullrequestreviewers--assigned-tooltip',
      'webapp-screens-pullrequest-pullrequestreviewers--assigned',
      'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-assigned',
      'webapp-screens-pullrequest-pullrequestreviewers--paused',
      'webapp-screens-pullrequest-pullrequestreviewers--approved',
      'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-approved',
      'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-anonymous',
      'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-unreviewed-anonymous',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--loading': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--loading',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--stateful': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--stateful',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Stateful',
    story: 'Stateful',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--unreviewed': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--unreviewed',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Unreviewed',
    story: 'Unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-limited': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-limited',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Unreviewed Limited',
    story: 'Unreviewed Limited',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--assigning': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--assigning',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Assigning',
    story: 'Assigning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--assigned-tooltip': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--assigned-tooltip',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Assigned PR, open tooltip, selecting reviewers',
    story: 'Assigned PR, open tooltip, selecting reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--assigned': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--assigned',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Assigned',
    story: 'Assigned',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-assigned': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-assigned',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'UI Review Disabled, Assigned',
    story: 'UI Review Disabled, Assigned',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--paused': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--paused',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Paused',
    story: 'Paused',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--approved': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--approved',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Approved',
    story: 'Approved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-approved': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-approved',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'UI Review Disabled, Approved',
    story: 'UI Review Disabled, Approved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-anonymous': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--unreviewed-anonymous',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'Unreviewed, anonymous',
    story: 'Unreviewed, anonymous',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-unreviewed-anonymous': {
    id: 'webapp-screens-pullrequest-pullrequestreviewers--ui-review-disabled-unreviewed-anonymous',
    kind: 'Webapp screens/PullRequest/PullRequestReviewers',
    name: 'UI Review Disabled, Unreviewed, anonymous',
    story: 'UI Review Disabled, Unreviewed, anonymous',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen': {
    name: 'PullRequestScreen',
    id: 'webapp-screens-pullrequest-pullrequestscreen',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-pullrequestscreen--loading',
      'webapp-screens-pullrequest-pullrequestscreen--no-builds',
      'webapp-screens-pullrequest-pullrequestscreen--activity',
      'webapp-screens-pullrequest-pullrequestscreen--activity-no-merge-base-build',
      'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-approving',
      'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-unapproving',
      'webapp-screens-pullrequest-pullrequestscreen--explainer',
      'webapp-screens-pullrequest-pullrequestscreen--comments',
      'webapp-screens-pullrequest-pullrequestscreen--components',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes-loading-diffs',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes-build-in-progress',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes-comparison-in-progress',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes-no-changes',
      'webapp-screens-pullrequest-pullrequestscreen--ui-changes-with-errors',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--loading': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--loading',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--no-builds': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--no-builds',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'No Builds',
    story: 'No Builds',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--activity': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--activity',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Activity',
    story: 'Activity',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--activity-no-merge-base-build': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--activity-no-merge-base-build',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Activity No Merge Base Build',
    story: 'Activity No Merge Base Build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-approving': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-approving',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Loading Reviews Approving',
    story: 'Loading Reviews Approving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-unapproving': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--loading-reviews-unapproving',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Loading Reviews Unapproving',
    story: 'Loading Reviews Unapproving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--explainer': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--explainer',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Explainer',
    story: 'Explainer',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--comments': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--comments',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Comments',
    story: 'Comments',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--components': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--components',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'Components',
    story: 'Components',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes',
    story: 'UI Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes-loading-diffs': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes-loading-diffs',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes Loading Diffs',
    story: 'UI Changes Loading Diffs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes-build-in-progress': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes-build-in-progress',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes Build In Progress',
    story: 'UI Changes Build In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes-comparison-in-progress': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes-comparison-in-progress',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes Comparison In Progress',
    story: 'UI Changes Comparison In Progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes-no-changes': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes-no-changes',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes No Changes',
    story: 'UI Changes No Changes',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-pullrequestscreen--ui-changes-with-errors': {
    id: 'webapp-screens-pullrequest-pullrequestscreen--ui-changes-with-errors',
    kind: 'Webapp screens/PullRequest/PullRequestScreen',
    name: 'UI Changes With Errors',
    story: 'UI Changes With Errors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-pullrequestscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton': {
    name: 'ReviewButton',
    id: 'webapp-screens-pullrequest-reviewbutton',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-reviewbutton--unreviewed',
      'webapp-screens-pullrequest-reviewbutton--assigned',
      'webapp-screens-pullrequest-reviewbutton--approving',
      'webapp-screens-pullrequest-reviewbutton--approved',
      'webapp-screens-pullrequest-reviewbutton--retracting',
      'webapp-screens-pullrequest-reviewbutton--actions-story',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--unreviewed': {
    id: 'webapp-screens-pullrequest-reviewbutton--unreviewed',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Unreviewed',
    story: 'Unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--assigned': {
    id: 'webapp-screens-pullrequest-reviewbutton--assigned',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Assigned',
    story: 'Assigned',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--approving': {
    id: 'webapp-screens-pullrequest-reviewbutton--approving',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Approving',
    story: 'Approving',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--approved': {
    id: 'webapp-screens-pullrequest-reviewbutton--approved',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Approved',
    story: 'Approved',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--retracting': {
    id: 'webapp-screens-pullrequest-reviewbutton--retracting',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Retracting',
    story: 'Retracting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-reviewbutton--actions-story': {
    id: 'webapp-screens-pullrequest-reviewbutton--actions-story',
    kind: 'Webapp screens/PullRequest/ReviewButton',
    name: 'Actions',
    story: 'Actions',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-reviewbutton',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-selectreviewers': {
    name: 'SelectReviewers',
    id: 'webapp-screens-pullrequest-selectreviewers',
    parent: 'webapp-screens-pullrequest',
    depth: 2,
    children: [
      'webapp-screens-pullrequest-selectreviewers--select-reviewers',
      'webapp-screens-pullrequest-selectreviewers--changing-reviewers',
      'webapp-screens-pullrequest-selectreviewers--many-collaborators-long-name',
      'webapp-screens-pullrequest-selectreviewers--no-collaborators-found',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-selectreviewers--select-reviewers': {
    id: 'webapp-screens-pullrequest-selectreviewers--select-reviewers',
    kind: 'Webapp screens/PullRequest/SelectReviewers',
    name: 'Select reviewers',
    story: 'Select reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-selectreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-selectreviewers--changing-reviewers': {
    id: 'webapp-screens-pullrequest-selectreviewers--changing-reviewers',
    kind: 'Webapp screens/PullRequest/SelectReviewers',
    name: 'Changing reviewers',
    story: 'Changing reviewers',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-selectreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-selectreviewers--many-collaborators-long-name': {
    id: 'webapp-screens-pullrequest-selectreviewers--many-collaborators-long-name',
    kind: 'Webapp screens/PullRequest/SelectReviewers',
    name: 'Many collaborators, long name',
    story: 'Many collaborators, long name',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-selectreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequest-selectreviewers--no-collaborators-found': {
    id: 'webapp-screens-pullrequest-selectreviewers--no-collaborators-found',
    kind: 'Webapp screens/PullRequest/SelectReviewers',
    name: 'No collaborators found',
    story: 'No collaborators found',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-pullrequest-selectreviewers',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequestsscreen': {
    name: 'PullRequestsScreen',
    id: 'webapp-screens-pullrequestsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-pullrequestsscreen--loading',
      'webapp-screens-pullrequestsscreen--git-hub-p-rs',
      'webapp-screens-pullrequestsscreen--git-lab-m-rs',
      'webapp-screens-pullrequestsscreen--explainer',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-pullrequestsscreen--loading': {
    id: 'webapp-screens-pullrequestsscreen--loading',
    kind: 'Webapp screens/PullRequestsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-pullrequestsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequestsscreen--git-hub-p-rs': {
    id: 'webapp-screens-pullrequestsscreen--git-hub-p-rs',
    kind: 'Webapp screens/PullRequestsScreen',
    name: 'GitHub PRs',
    story: 'GitHub PRs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-pullrequestsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequestsscreen--git-lab-m-rs': {
    id: 'webapp-screens-pullrequestsscreen--git-lab-m-rs',
    kind: 'Webapp screens/PullRequestsScreen',
    name: 'GitLab MRs',
    story: 'GitLab MRs',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-pullrequestsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-pullrequestsscreen--explainer': {
    id: 'webapp-screens-pullrequestsscreen--explainer',
    kind: 'Webapp screens/PullRequestsScreen',
    name: 'Explainer',
    story: 'Explainer',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-pullrequestsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-settingsscreen': {
    name: 'SettingsScreen',
    id: 'webapp-screens-settingsscreen',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-settingsscreen--loading',
      'webapp-screens-settingsscreen--default',
      'webapp-screens-settingsscreen--default-refreshing-membership',
      'webapp-screens-settingsscreen--unlinked',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-settingsscreen--loading': {
    id: 'webapp-screens-settingsscreen--loading',
    kind: 'Webapp screens/SettingsScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-settingsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-settingsscreen--default': {
    id: 'webapp-screens-settingsscreen--default',
    kind: 'Webapp screens/SettingsScreen',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-settingsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-settingsscreen--default-refreshing-membership': {
    id: 'webapp-screens-settingsscreen--default-refreshing-membership',
    kind: 'Webapp screens/SettingsScreen',
    name: 'default, refreshing membership',
    story: 'default, refreshing membership',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-settingsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-settingsscreen--unlinked': {
    id: 'webapp-screens-settingsscreen--unlinked',
    kind: 'Webapp screens/SettingsScreen',
    name: 'unlinked',
    story: 'unlinked',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 2,
    parent: 'webapp-screens-settingsscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup': {
    name: 'Setup',
    id: 'webapp-screens-setup',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-setup-catchchanges',
      'webapp-screens-setup-publishstorybook',
      'webapp-screens-setup-verifychanges',
      'webapp-screens-setup-wrapup',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges': {
    name: 'CatchChanges',
    id: 'webapp-screens-setup-catchchanges',
    parent: 'webapp-screens-setup',
    depth: 2,
    children: [
      'webapp-screens-setup-catchchanges-catchchangesscreen',
      'webapp-screens-setup-catchchanges-changesspottedscreen',
      'webapp-screens-setup-catchchanges-changessummary',
      'webapp-screens-setup-catchchanges-instructions',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-catchchangesscreen': {
    name: 'CatchChangesScreen',
    id: 'webapp-screens-setup-catchchanges-catchchangesscreen',
    parent: 'webapp-screens-setup-catchchanges',
    depth: 3,
    children: [
      'webapp-screens-setup-catchchanges-catchchangesscreen--loading',
      'webapp-screens-setup-catchchanges-catchchangesscreen--default',
      'webapp-screens-setup-catchchanges-catchchangesscreen--default-onboarding',
      'webapp-screens-setup-catchchanges-catchchangesscreen--no-changes-warning',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-catchchangesscreen--loading': {
    id: 'webapp-screens-setup-catchchanges-catchchangesscreen--loading',
    kind: 'Webapp screens/Setup/CatchChanges/CatchChangesScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-catchchangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-catchchangesscreen--default': {
    id: 'webapp-screens-setup-catchchanges-catchchangesscreen--default',
    kind: 'Webapp screens/Setup/CatchChanges/CatchChangesScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-catchchangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-catchchangesscreen--default-onboarding': {
    id: 'webapp-screens-setup-catchchanges-catchchangesscreen--default-onboarding',
    kind: 'Webapp screens/Setup/CatchChanges/CatchChangesScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-catchchangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-catchchangesscreen--no-changes-warning': {
    id: 'webapp-screens-setup-catchchanges-catchchangesscreen--no-changes-warning',
    kind: 'Webapp screens/Setup/CatchChanges/CatchChangesScreen',
    name: 'No Changes Warning',
    story: 'No Changes Warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-catchchangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changesspottedscreen': {
    name: 'ChangesSpottedScreen',
    id: 'webapp-screens-setup-catchchanges-changesspottedscreen',
    parent: 'webapp-screens-setup-catchchanges',
    depth: 3,
    children: [
      'webapp-screens-setup-catchchanges-changesspottedscreen--loading',
      'webapp-screens-setup-catchchanges-changesspottedscreen--default',
      'webapp-screens-setup-catchchanges-changesspottedscreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changesspottedscreen--loading': {
    id: 'webapp-screens-setup-catchchanges-changesspottedscreen--loading',
    kind: 'Webapp screens/Setup/CatchChanges/ChangesSpottedScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-changesspottedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changesspottedscreen--default': {
    id: 'webapp-screens-setup-catchchanges-changesspottedscreen--default',
    kind: 'Webapp screens/Setup/CatchChanges/ChangesSpottedScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-changesspottedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changesspottedscreen--default-onboarding': {
    id: 'webapp-screens-setup-catchchanges-changesspottedscreen--default-onboarding',
    kind: 'Webapp screens/Setup/CatchChanges/ChangesSpottedScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-changesspottedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changessummary': {
    name: 'ChangesSummary',
    id: 'webapp-screens-setup-catchchanges-changessummary',
    parent: 'webapp-screens-setup-catchchanges',
    depth: 3,
    children: [
      'webapp-screens-setup-catchchanges-changessummary--loading',
      'webapp-screens-setup-catchchanges-changessummary--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changessummary--loading': {
    id: 'webapp-screens-setup-catchchanges-changessummary--loading',
    kind: 'Webapp screens/Setup/CatchChanges/ChangesSummary',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-changessummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-changessummary--default': {
    id: 'webapp-screens-setup-catchchanges-changessummary--default',
    kind: 'Webapp screens/Setup/CatchChanges/ChangesSummary',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-changessummary',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-instructions': {
    name: 'Instructions',
    id: 'webapp-screens-setup-catchchanges-instructions',
    parent: 'webapp-screens-setup-catchchanges',
    depth: 3,
    children: [
      'webapp-screens-setup-catchchanges-instructions--loading',
      'webapp-screens-setup-catchchanges-instructions--default',
      'webapp-screens-setup-catchchanges-instructions--no-changes-warning',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-instructions--loading': {
    id: 'webapp-screens-setup-catchchanges-instructions--loading',
    kind: 'Webapp screens/Setup/CatchChanges/Instructions',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-instructions--default': {
    id: 'webapp-screens-setup-catchchanges-instructions--default',
    kind: 'Webapp screens/Setup/CatchChanges/Instructions',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-catchchanges-instructions--no-changes-warning': {
    id: 'webapp-screens-setup-catchchanges-instructions--no-changes-warning',
    kind: 'Webapp screens/Setup/CatchChanges/Instructions',
    name: 'No Changes Warning',
    story: 'No Changes Warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-catchchanges-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook': {
    name: 'PublishStorybook',
    id: 'webapp-screens-setup-publishstorybook',
    parent: 'webapp-screens-setup',
    depth: 2,
    children: [
      'webapp-screens-setup-publishstorybook-builderrorlist',
      'webapp-screens-setup-publishstorybook-confirmationsuccess',
      'webapp-screens-setup-publishstorybook-instructions',
      'webapp-screens-setup-publishstorybook-publishfailedscreen',
      'webapp-screens-setup-publishstorybook-publishstorybookscreen',
      'webapp-screens-setup-publishstorybook-publishsuccessscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-builderrorlist': {
    name: 'BuildErrorList',
    id: 'webapp-screens-setup-publishstorybook-builderrorlist',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-builderrorlist--loading',
      'webapp-screens-setup-publishstorybook-builderrorlist--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-builderrorlist--loading': {
    id: 'webapp-screens-setup-publishstorybook-builderrorlist--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/BuildErrorList',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-builderrorlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-builderrorlist--default': {
    id: 'webapp-screens-setup-publishstorybook-builderrorlist--default',
    kind: 'Webapp screens/Setup/PublishStorybook/BuildErrorList',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-builderrorlist',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess': {
    name: 'ConfirmationSuccess',
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-confirmationsuccess--loading',
      'webapp-screens-setup-publishstorybook-confirmationsuccess--default',
      'webapp-screens-setup-publishstorybook-confirmationsuccess--scroll',
      'webapp-screens-setup-publishstorybook-confirmationsuccess--small',
      'webapp-screens-setup-publishstorybook-confirmationsuccess--small-scroll',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess--loading': {
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/ConfirmationSuccess',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess--default': {
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess--default',
    kind: 'Webapp screens/Setup/PublishStorybook/ConfirmationSuccess',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess--scroll': {
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess--scroll',
    kind: 'Webapp screens/Setup/PublishStorybook/ConfirmationSuccess',
    name: 'Scroll',
    story: 'Scroll',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess--small': {
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess--small',
    kind: 'Webapp screens/Setup/PublishStorybook/ConfirmationSuccess',
    name: 'Small',
    story: 'Small',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-confirmationsuccess--small-scroll': {
    id: 'webapp-screens-setup-publishstorybook-confirmationsuccess--small-scroll',
    kind: 'Webapp screens/Setup/PublishStorybook/ConfirmationSuccess',
    name: 'Small Scroll',
    story: 'Small Scroll',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-confirmationsuccess',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-instructions': {
    name: 'Instructions',
    id: 'webapp-screens-setup-publishstorybook-instructions',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-instructions--loading',
      'webapp-screens-setup-publishstorybook-instructions--default',
      'webapp-screens-setup-publishstorybook-instructions--retry',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-instructions--loading': {
    id: 'webapp-screens-setup-publishstorybook-instructions--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/Instructions',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-instructions--default': {
    id: 'webapp-screens-setup-publishstorybook-instructions--default',
    kind: 'Webapp screens/Setup/PublishStorybook/Instructions',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-instructions--retry': {
    id: 'webapp-screens-setup-publishstorybook-instructions--retry',
    kind: 'Webapp screens/Setup/PublishStorybook/Instructions',
    name: 'Retry',
    story: 'Retry',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-instructions',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishfailedscreen': {
    name: 'PublishFailedScreen',
    id: 'webapp-screens-setup-publishstorybook-publishfailedscreen',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-publishfailedscreen--loading',
      'webapp-screens-setup-publishstorybook-publishfailedscreen--default',
      'webapp-screens-setup-publishstorybook-publishfailedscreen--default-onboarding',
      'webapp-screens-setup-publishstorybook-publishfailedscreen--infrastructure-error',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishfailedscreen--loading': {
    id: 'webapp-screens-setup-publishstorybook-publishfailedscreen--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishFailedScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishfailedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishfailedscreen--default': {
    id: 'webapp-screens-setup-publishstorybook-publishfailedscreen--default',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishFailedScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishfailedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishfailedscreen--default-onboarding': {
    id: 'webapp-screens-setup-publishstorybook-publishfailedscreen--default-onboarding',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishFailedScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishfailedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishfailedscreen--infrastructure-error': {
    id: 'webapp-screens-setup-publishstorybook-publishfailedscreen--infrastructure-error',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishFailedScreen',
    name: 'Infrastructure Error',
    story: 'Infrastructure Error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishfailedscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishstorybookscreen': {
    name: 'PublishStorybookScreen',
    id: 'webapp-screens-setup-publishstorybook-publishstorybookscreen',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-publishstorybookscreen--loading',
      'webapp-screens-setup-publishstorybook-publishstorybookscreen--default',
      'webapp-screens-setup-publishstorybook-publishstorybookscreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishstorybookscreen--loading': {
    id: 'webapp-screens-setup-publishstorybook-publishstorybookscreen--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishStorybookScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishstorybookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishstorybookscreen--default': {
    id: 'webapp-screens-setup-publishstorybook-publishstorybookscreen--default',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishStorybookScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishstorybookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishstorybookscreen--default-onboarding': {
    id: 'webapp-screens-setup-publishstorybook-publishstorybookscreen--default-onboarding',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishStorybookScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishstorybookscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishsuccessscreen': {
    name: 'PublishSuccessScreen',
    id: 'webapp-screens-setup-publishstorybook-publishsuccessscreen',
    parent: 'webapp-screens-setup-publishstorybook',
    depth: 3,
    children: [
      'webapp-screens-setup-publishstorybook-publishsuccessscreen--loading',
      'webapp-screens-setup-publishstorybook-publishsuccessscreen--default',
      'webapp-screens-setup-publishstorybook-publishsuccessscreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishsuccessscreen--loading': {
    id: 'webapp-screens-setup-publishstorybook-publishsuccessscreen--loading',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishSuccessScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishsuccessscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishsuccessscreen--default': {
    id: 'webapp-screens-setup-publishstorybook-publishsuccessscreen--default',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishSuccessScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishsuccessscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-publishstorybook-publishsuccessscreen--default-onboarding': {
    id: 'webapp-screens-setup-publishstorybook-publishsuccessscreen--default-onboarding',
    kind: 'Webapp screens/Setup/PublishStorybook/PublishSuccessScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-publishstorybook-publishsuccessscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges': {
    name: 'VerifyChanges',
    id: 'webapp-screens-setup-verifychanges',
    parent: 'webapp-screens-setup',
    depth: 2,
    children: [
      'webapp-screens-setup-verifychanges-comparison',
      'webapp-screens-setup-verifychanges-comparisoncomments',
      'webapp-screens-setup-verifychanges-feedbackscreen',
      'webapp-screens-setup-verifychanges-verifychangesscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparison': {
    name: 'Comparison',
    id: 'webapp-screens-setup-verifychanges-comparison',
    parent: 'webapp-screens-setup-verifychanges',
    depth: 3,
    children: [
      'webapp-screens-setup-verifychanges-comparison--loading',
      'webapp-screens-setup-verifychanges-comparison--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparison--loading': {
    id: 'webapp-screens-setup-verifychanges-comparison--loading',
    kind: 'Webapp screens/Setup/VerifyChanges/Comparison',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-comparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparison--default': {
    id: 'webapp-screens-setup-verifychanges-comparison--default',
    kind: 'Webapp screens/Setup/VerifyChanges/Comparison',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-comparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparisoncomments': {
    name: 'ComparisonComments',
    id: 'webapp-screens-setup-verifychanges-comparisoncomments',
    parent: 'webapp-screens-setup-verifychanges',
    depth: 3,
    children: [
      'webapp-screens-setup-verifychanges-comparisoncomments--loading',
      'webapp-screens-setup-verifychanges-comparisoncomments--default',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparisoncomments--loading': {
    id: 'webapp-screens-setup-verifychanges-comparisoncomments--loading',
    kind: 'Webapp screens/Setup/VerifyChanges/ComparisonComments',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-comparisoncomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-comparisoncomments--default': {
    id: 'webapp-screens-setup-verifychanges-comparisoncomments--default',
    kind: 'Webapp screens/Setup/VerifyChanges/ComparisonComments',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-comparisoncomments',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-feedbackscreen': {
    name: 'FeedbackScreen',
    id: 'webapp-screens-setup-verifychanges-feedbackscreen',
    parent: 'webapp-screens-setup-verifychanges',
    depth: 3,
    children: [
      'webapp-screens-setup-verifychanges-feedbackscreen--loading',
      'webapp-screens-setup-verifychanges-feedbackscreen--default',
      'webapp-screens-setup-verifychanges-feedbackscreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-feedbackscreen--loading': {
    id: 'webapp-screens-setup-verifychanges-feedbackscreen--loading',
    kind: 'Webapp screens/Setup/VerifyChanges/FeedbackScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-feedbackscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-feedbackscreen--default': {
    id: 'webapp-screens-setup-verifychanges-feedbackscreen--default',
    kind: 'Webapp screens/Setup/VerifyChanges/FeedbackScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-feedbackscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-feedbackscreen--default-onboarding': {
    id: 'webapp-screens-setup-verifychanges-feedbackscreen--default-onboarding',
    kind: 'Webapp screens/Setup/VerifyChanges/FeedbackScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-feedbackscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-verifychangesscreen': {
    name: 'VerifyChangesScreen',
    id: 'webapp-screens-setup-verifychanges-verifychangesscreen',
    parent: 'webapp-screens-setup-verifychanges',
    depth: 3,
    children: [
      'webapp-screens-setup-verifychanges-verifychangesscreen--loading',
      'webapp-screens-setup-verifychanges-verifychangesscreen--default',
      'webapp-screens-setup-verifychanges-verifychangesscreen--default-onboarding',
      'webapp-screens-setup-verifychanges-verifychangesscreen--mutating',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-verifychangesscreen--loading': {
    id: 'webapp-screens-setup-verifychanges-verifychangesscreen--loading',
    kind: 'Webapp screens/Setup/VerifyChanges/VerifyChangesScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-verifychangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-verifychangesscreen--default': {
    id: 'webapp-screens-setup-verifychanges-verifychangesscreen--default',
    kind: 'Webapp screens/Setup/VerifyChanges/VerifyChangesScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-verifychangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-verifychangesscreen--default-onboarding': {
    id: 'webapp-screens-setup-verifychanges-verifychangesscreen--default-onboarding',
    kind: 'Webapp screens/Setup/VerifyChanges/VerifyChangesScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-verifychangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-verifychanges-verifychangesscreen--mutating': {
    id: 'webapp-screens-setup-verifychanges-verifychangesscreen--mutating',
    kind: 'Webapp screens/Setup/VerifyChanges/VerifyChangesScreen',
    name: 'Mutating',
    story: 'Mutating',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-verifychanges-verifychangesscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup': {
    name: 'WrapUp',
    id: 'webapp-screens-setup-wrapup',
    parent: 'webapp-screens-setup',
    depth: 2,
    children: [
      'webapp-screens-setup-wrapup-mergechecksscreen',
      'webapp-screens-setup-wrapup-setupcompletescreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-mergechecksscreen': {
    name: 'MergeChecksScreen',
    id: 'webapp-screens-setup-wrapup-mergechecksscreen',
    parent: 'webapp-screens-setup-wrapup',
    depth: 3,
    children: [
      'webapp-screens-setup-wrapup-mergechecksscreen--loading',
      'webapp-screens-setup-wrapup-mergechecksscreen--default',
      'webapp-screens-setup-wrapup-mergechecksscreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-mergechecksscreen--loading': {
    id: 'webapp-screens-setup-wrapup-mergechecksscreen--loading',
    kind: 'Webapp screens/Setup/WrapUp/MergeChecksScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-mergechecksscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-mergechecksscreen--default': {
    id: 'webapp-screens-setup-wrapup-mergechecksscreen--default',
    kind: 'Webapp screens/Setup/WrapUp/MergeChecksScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-mergechecksscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-mergechecksscreen--default-onboarding': {
    id: 'webapp-screens-setup-wrapup-mergechecksscreen--default-onboarding',
    kind: 'Webapp screens/Setup/WrapUp/MergeChecksScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-mergechecksscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-setupcompletescreen': {
    name: 'SetupCompleteScreen',
    id: 'webapp-screens-setup-wrapup-setupcompletescreen',
    parent: 'webapp-screens-setup-wrapup',
    depth: 3,
    children: [
      'webapp-screens-setup-wrapup-setupcompletescreen--loading',
      'webapp-screens-setup-wrapup-setupcompletescreen--default',
      'webapp-screens-setup-wrapup-setupcompletescreen--default-onboarding',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-setupcompletescreen--loading': {
    id: 'webapp-screens-setup-wrapup-setupcompletescreen--loading',
    kind: 'Webapp screens/Setup/WrapUp/SetupCompleteScreen',
    name: 'Loading',
    story: 'Loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-setupcompletescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-setupcompletescreen--default': {
    id: 'webapp-screens-setup-wrapup-setupcompletescreen--default',
    kind: 'Webapp screens/Setup/WrapUp/SetupCompleteScreen',
    name: 'Default',
    story: 'Default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-setupcompletescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-setup-wrapup-setupcompletescreen--default-onboarding': {
    id: 'webapp-screens-setup-wrapup-setupcompletescreen--default-onboarding',
    kind: 'Webapp screens/Setup/WrapUp/SetupCompleteScreen',
    name: 'Default Onboarding',
    story: 'Default Onboarding',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 4,
    parent: 'webapp-screens-setup-wrapup-setupcompletescreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot': {
    name: 'Snapshot',
    id: 'webapp-screens-snapshot',
    parent: 'webapp-screens',
    depth: 1,
    children: [
      'webapp-screens-snapshot-capturewarningtooltip',
      'webapp-screens-snapshot-reviewbuttons',
      'webapp-screens-snapshot-snapshotcomparison',
      'webapp-screens-snapshot-snapshotheader',
      'webapp-screens-snapshot-snapshothtmldiff',
      'webapp-screens-snapshot-snapshotscreen',
    ],
    isComponent: false,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-capturewarningtooltip': {
    name: 'CaptureWarningTooltip',
    id: 'webapp-screens-snapshot-capturewarningtooltip',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: ['webapp-screens-snapshot-capturewarningtooltip--default-story'],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-capturewarningtooltip--default-story': {
    id: 'webapp-screens-snapshot-capturewarningtooltip--default-story',
    kind: 'Webapp screens/Snapshot/CaptureWarningTooltip',
    name: 'open',
    story: 'open',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-capturewarningtooltip',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons': {
    name: 'ReviewButtons',
    id: 'webapp-screens-snapshot-reviewbuttons',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: [
      'webapp-screens-snapshot-reviewbuttons--in-progress',
      'webapp-screens-snapshot-reviewbuttons--failed',
      'webapp-screens-snapshot-reviewbuttons--unreviewed',
      'webapp-screens-snapshot-reviewbuttons--unreviewed-accepting',
      'webapp-screens-snapshot-reviewbuttons--unreviewed-denying',
      'webapp-screens-snapshot-reviewbuttons--accepted',
      'webapp-screens-snapshot-reviewbuttons--accepted-undoing',
      'webapp-screens-snapshot-reviewbuttons--auto-accepted-first-build',
      'webapp-screens-snapshot-reviewbuttons--denied',
      'webapp-screens-snapshot-reviewbuttons--denied-undoing',
      'webapp-screens-snapshot-reviewbuttons--unreviewable-no-descendant',
      'webapp-screens-snapshot-reviewbuttons--unreviewable-with-descendant',
      'webapp-screens-snapshot-reviewbuttons--read-only-logged-in',
      'webapp-screens-snapshot-reviewbuttons--read-only-not-logged-in',
      'webapp-screens-snapshot-reviewbuttons--error',
      'webapp-screens-snapshot-reviewbuttons--error-last',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--in-progress': {
    id: 'webapp-screens-snapshot-reviewbuttons--in-progress',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--failed': {
    id: 'webapp-screens-snapshot-reviewbuttons--failed',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--unreviewed': {
    id: 'webapp-screens-snapshot-reviewbuttons--unreviewed',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'unreviewed',
    story: 'unreviewed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--unreviewed-accepting': {
    id: 'webapp-screens-snapshot-reviewbuttons--unreviewed-accepting',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'unreviewed, accepting',
    story: 'unreviewed, accepting',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--unreviewed-denying': {
    id: 'webapp-screens-snapshot-reviewbuttons--unreviewed-denying',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'unreviewed, denying',
    story: 'unreviewed, denying',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--accepted': {
    id: 'webapp-screens-snapshot-reviewbuttons--accepted',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'accepted',
    story: 'accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--accepted-undoing': {
    id: 'webapp-screens-snapshot-reviewbuttons--accepted-undoing',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'accepted, undoing',
    story: 'accepted, undoing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--auto-accepted-first-build': {
    id: 'webapp-screens-snapshot-reviewbuttons--auto-accepted-first-build',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'auto-accepted, first build',
    story: 'auto-accepted, first build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--denied': {
    id: 'webapp-screens-snapshot-reviewbuttons--denied',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'denied',
    story: 'denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--denied-undoing': {
    id: 'webapp-screens-snapshot-reviewbuttons--denied-undoing',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'denied, undoing',
    story: 'denied, undoing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--unreviewable-no-descendant': {
    id: 'webapp-screens-snapshot-reviewbuttons--unreviewable-no-descendant',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'unreviewable, no descendant',
    story: 'unreviewable, no descendant',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--unreviewable-with-descendant': {
    id: 'webapp-screens-snapshot-reviewbuttons--unreviewable-with-descendant',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'unreviewable, with descendant',
    story: 'unreviewable, with descendant',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--read-only-logged-in': {
    id: 'webapp-screens-snapshot-reviewbuttons--read-only-logged-in',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'read only, logged in',
    story: 'read only, logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--read-only-not-logged-in': {
    id: 'webapp-screens-snapshot-reviewbuttons--read-only-not-logged-in',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'read only, not logged in',
    story: 'read only, not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--error': {
    id: 'webapp-screens-snapshot-reviewbuttons--error',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-reviewbuttons--error-last': {
    id: 'webapp-screens-snapshot-reviewbuttons--error-last',
    kind: 'Webapp screens/Snapshot/ReviewButtons',
    name: 'error, last',
    story: 'error, last',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-reviewbuttons',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison': {
    name: 'SnapshotComparison',
    id: 'webapp-screens-snapshot-snapshotcomparison',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: [
      'webapp-screens-snapshot-snapshotcomparison--loading',
      'webapp-screens-snapshot-snapshotcomparison--2-up',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-strobe',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus-and-strobe',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible',
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible-diff-focus-diff-strobe',
      'webapp-screens-snapshot-snapshotcomparison--2-up-diff-version-1',
      'webapp-screens-snapshot-snapshotcomparison--2-up-ignoring',
      'webapp-screens-snapshot-snapshotcomparison--2-up-diff-bigger',
      'webapp-screens-snapshot-snapshotcomparison--1-up',
      'webapp-screens-snapshot-snapshotcomparison--1-up-header-offset',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-strobe',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus-and-strobe',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-invisible',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-strobe',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus-and-strobe',
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-invisible',
      'webapp-screens-snapshot-snapshotcomparison--1-up-diff-version-1',
      'webapp-screens-snapshot-snapshotcomparison--1-up-diff-bigger',
      'webapp-screens-snapshot-snapshotcomparison--1-up-ignoring',
      'webapp-screens-snapshot-snapshotcomparison--no-baseline',
      'webapp-screens-snapshot-snapshotcomparison--no-baseline-in-progress',
      'webapp-screens-snapshot-snapshotcomparison--no-baseline-ignoring',
      'webapp-screens-snapshot-snapshotcomparison--failed',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--loading': {
    id: 'webapp-screens-snapshot-snapshotcomparison--loading',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up',
    story: '2 up',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff visible',
    story: '2 up, pure, diff visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-strobe': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff visible, diff strobe',
    story: '2 up, pure, diff visible, diff strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff visible, diff focus',
    story: '2 up, pure, diff visible, diff focus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus-and-strobe': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-visible-diff-focus-and-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff visible, diff focus and strobe',
    story: '2 up, pure, diff visible, diff focus and strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff invisible',
    story: '2 up, pure, diff invisible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible-diff-focus-diff-strobe': {
    id:
      'webapp-screens-snapshot-snapshotcomparison--2-up-pure-diff-invisible-diff-focus-diff-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, pure, diff invisible, diffFocus + diffStrobe',
    story: '2 up, pure, diff invisible, diffFocus + diffStrobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-diff-version-1': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-diff-version-1',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, diff version 1',
    story: '2 up, diff version 1',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-ignoring': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-ignoring',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up ignoring',
    story: '2 up ignoring',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--2-up-diff-bigger': {
    id: 'webapp-screens-snapshot-snapshotcomparison--2-up-diff-bigger',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '2 up, diff bigger',
    story: '2 up, diff bigger',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up',
    story: '1 up',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-header-offset': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-header-offset',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, header offset',
    story: '1 up, header offset',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, diff visible',
    story: '1 up, pure, diff visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-strobe': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, diff visible, diff strobe',
    story: '1 up, pure, diff visible, diff strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, diff visible, diff focus',
    story: '1 up, pure, diff visible, diff focus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus-and-strobe': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-visible-diff-focus-and-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, diff visible, diff focus and strobe',
    story: '1 up, pure, diff visible, diff focus and strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-invisible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-diff-invisible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, diff invisible',
    story: '1 up, pure, diff invisible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, switching, diff visible',
    story: '1 up, pure, switching, diff visible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-strobe': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, switching, diff visible, diff strobe',
    story: '1 up, pure, switching, diff visible, diff strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, switching, diff visible, diff focus',
    story: '1 up, pure, switching, diff visible, diff focus',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus-and-strobe': {
    id:
      'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-visible-diff-focus-and-strobe',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, switching, diff visible, diff focus and strobe',
    story: '1 up, pure, switching, diff visible, diff focus and strobe',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-invisible': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-pure-switching-diff-invisible',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, pure, switching, diff invisible',
    story: '1 up, pure, switching, diff invisible',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-diff-version-1': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-diff-version-1',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, diff version 1',
    story: '1 up, diff version 1',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-diff-bigger': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-diff-bigger',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up, diff bigger',
    story: '1 up, diff bigger',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--1-up-ignoring': {
    id: 'webapp-screens-snapshot-snapshotcomparison--1-up-ignoring',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: '1 up ignoring',
    story: '1 up ignoring',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--no-baseline': {
    id: 'webapp-screens-snapshot-snapshotcomparison--no-baseline',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: 'no baseline',
    story: 'no baseline',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--no-baseline-in-progress': {
    id: 'webapp-screens-snapshot-snapshotcomparison--no-baseline-in-progress',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: 'no baseline in progress',
    story: 'no baseline in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--no-baseline-ignoring': {
    id: 'webapp-screens-snapshot-snapshotcomparison--no-baseline-ignoring',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: 'no baseline ignoring',
    story: 'no baseline ignoring',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotcomparison--failed': {
    id: 'webapp-screens-snapshot-snapshotcomparison--failed',
    kind: 'Webapp screens/Snapshot/SnapshotComparison',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotcomparison',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader': {
    name: 'SnapshotHeader',
    id: 'webapp-screens-snapshot-snapshotheader',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: [
      'webapp-screens-snapshot-snapshotheader--loading',
      'webapp-screens-snapshot-snapshotheader--pending',
      'webapp-screens-snapshot-snapshotheader--pending-viewport-default',
      'webapp-screens-snapshot-snapshotheader--pending-first',
      'webapp-screens-snapshot-snapshotheader--pending-last',
      'webapp-screens-snapshot-snapshotheader--pending-no-baseline',
      'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors',
      'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors-showing',
      'webapp-screens-snapshot-snapshotheader--accepted',
      'webapp-screens-snapshot-snapshotheader--auto-accepted-first-build',
      'webapp-screens-snapshot-snapshotheader--denied',
      'webapp-screens-snapshot-snapshotheader--unreviewable-with-descendant',
      'webapp-screens-snapshot-snapshotheader--read-only-logged-in',
      'webapp-screens-snapshot-snapshotheader--read-only-not-logged-in',
      'webapp-screens-snapshot-snapshotheader--in-progress',
      'webapp-screens-snapshot-snapshotheader--failed',
      'webapp-screens-snapshot-snapshotheader--error',
      'webapp-screens-snapshot-snapshotheader--error-last',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--loading': {
    id: 'webapp-screens-snapshot-snapshotheader--loading',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending': {
    id: 'webapp-screens-snapshot-snapshotheader--pending',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending',
    story: 'pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-viewport-default': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-viewport-default',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, viewport default',
    story: 'pending, viewport default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-first': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-first',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, first',
    story: 'pending, first',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-last': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-last',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, last',
    story: 'pending, last',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-no-baseline': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-no-baseline',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, no baseline',
    story: 'pending, no baseline',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, has ignored selectors',
    story: 'pending, has ignored selectors',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors-showing': {
    id: 'webapp-screens-snapshot-snapshotheader--pending-has-ignored-selectors-showing',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'pending, has ignored selectors, showing',
    story: 'pending, has ignored selectors, showing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--accepted': {
    id: 'webapp-screens-snapshot-snapshotheader--accepted',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'accepted',
    story: 'accepted',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--auto-accepted-first-build': {
    id: 'webapp-screens-snapshot-snapshotheader--auto-accepted-first-build',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'auto-accepted, first build',
    story: 'auto-accepted, first build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--denied': {
    id: 'webapp-screens-snapshot-snapshotheader--denied',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'denied',
    story: 'denied',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--unreviewable-with-descendant': {
    id: 'webapp-screens-snapshot-snapshotheader--unreviewable-with-descendant',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'unreviewable, with descendant',
    story: 'unreviewable, with descendant',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--read-only-logged-in': {
    id: 'webapp-screens-snapshot-snapshotheader--read-only-logged-in',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'read only, logged in',
    story: 'read only, logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--read-only-not-logged-in': {
    id: 'webapp-screens-snapshot-snapshotheader--read-only-not-logged-in',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'read only, not logged in',
    story: 'read only, not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--in-progress': {
    id: 'webapp-screens-snapshot-snapshotheader--in-progress',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'in progress',
    story: 'in progress',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--failed': {
    id: 'webapp-screens-snapshot-snapshotheader--failed',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--error': {
    id: 'webapp-screens-snapshot-snapshotheader--error',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotheader--error-last': {
    id: 'webapp-screens-snapshot-snapshotheader--error-last',
    kind: 'Webapp screens/Snapshot/SnapshotHeader',
    name: 'error, last',
    story: 'error, last',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotheader',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff': {
    name: 'SnapshotHtmlDiff',
    id: 'webapp-screens-snapshot-snapshothtmldiff',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: [
      'webapp-screens-snapshot-snapshothtmldiff--loading',
      'webapp-screens-snapshot-snapshothtmldiff--loading-baseline',
      'webapp-screens-snapshot-snapshothtmldiff--default',
      'webapp-screens-snapshot-snapshothtmldiff--long-lines',
      'webapp-screens-snapshot-snapshothtmldiff--too-large-issue-1885',
      'webapp-screens-snapshot-snapshothtmldiff--large-after-pretty-print-issue-1885-b',
      'webapp-screens-snapshot-snapshothtmldiff--too-large-html',
      'webapp-screens-snapshot-snapshothtmldiff--too-large-diff',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--loading': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--loading',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--loading-baseline': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--loading-baseline',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'loading-baseline',
    story: 'loading-baseline',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--default': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--default',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'default',
    story: 'default',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--long-lines': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--long-lines',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'long lines',
    story: 'long lines',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--too-large-issue-1885': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--too-large-issue-1885',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'too large (issue #1885)',
    story: 'too large (issue #1885)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--large-after-pretty-print-issue-1885-b': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--large-after-pretty-print-issue-1885-b',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'large after pretty print (issue #1885b)',
    story: 'large after pretty print (issue #1885b)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--too-large-html': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--too-large-html',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'too large (HTML)',
    story: 'too large (HTML)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshothtmldiff--too-large-diff': {
    id: 'webapp-screens-snapshot-snapshothtmldiff--too-large-diff',
    kind: 'Webapp screens/Snapshot/SnapshotHtmlDiff',
    name: 'too large (DIFF)',
    story: 'too large (DIFF)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshothtmldiff',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen': {
    name: 'SnapshotScreen',
    id: 'webapp-screens-snapshot-snapshotscreen',
    parent: 'webapp-screens-snapshot',
    depth: 2,
    children: [
      'webapp-screens-snapshot-snapshotscreen--loading',
      'webapp-screens-snapshot-snapshotscreen--pending-metadata-loading',
      'webapp-screens-snapshot-snapshotscreen--pending',
      'webapp-screens-snapshot-snapshotscreen--pending-multi-browser',
      'webapp-screens-snapshot-snapshotscreen--pending-multi-browser-one-unchanged',
      'webapp-screens-snapshot-snapshotscreen--pending-new-browser',
      'webapp-screens-snapshot-snapshotscreen--baseline-upgraded',
      'webapp-screens-snapshot-snapshotscreen--pending-tall',
      'webapp-screens-snapshot-snapshotscreen--pending-has-ignored',
      'webapp-screens-snapshot-snapshotscreen--pending-no-baseline-new-specs',
      'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline',
      'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline-one-complete',
      'webapp-screens-snapshot-snapshotscreen--disabled-because-of-newer-build',
      'webapp-screens-snapshot-snapshotscreen--read-only-logged-in',
      'webapp-screens-snapshot-snapshotscreen--read-only-not-logged-in',
      'webapp-screens-snapshot-snapshotscreen--failed',
      'webapp-screens-snapshot-snapshotscreen--failed-cross-browser-one-complete',
      'webapp-screens-snapshot-snapshotscreen--error',
      'webapp-screens-snapshot-snapshotscreen--error-cross-browser-same',
      'webapp-screens-snapshot-snapshotscreen--error-cross-browser-different',
      'webapp-screens-snapshot-snapshotscreen--error-image-too-large',
      'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout',
      'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout-cross-browser',
      'webapp-screens-snapshot-snapshotscreen--error-no-js',
      'webapp-screens-snapshot-snapshotscreen--error-failed-js',
      'webapp-screens-snapshot-snapshotscreen--error-story-missing',
      'webapp-screens-snapshot-snapshotscreen--error-metadata-loading',
      'webapp-screens-snapshot-snapshotscreen--timeout-warning',
      'webapp-screens-snapshot-snapshotscreen--certificate-warning',
    ],
    isComponent: true,
    isLeaf: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--loading': {
    id: 'webapp-screens-snapshot-snapshotscreen--loading',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'loading',
    story: 'loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-metadata-loading': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-metadata-loading',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, metadata loading',
    story: 'pending, metadata loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending',
    story: 'pending',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-multi-browser': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-multi-browser',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, multi-browser',
    story: 'pending, multi-browser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-multi-browser-one-unchanged': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-multi-browser-one-unchanged',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, multi-browser, one unchanged',
    story: 'pending, multi-browser, one unchanged',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-new-browser': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-new-browser',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, new browser',
    story: 'pending, new browser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--baseline-upgraded': {
    id: 'webapp-screens-snapshot-snapshotscreen--baseline-upgraded',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, baseline upgraded',
    story: 'pending, baseline upgraded',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-tall': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-tall',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, tall',
    story: 'pending, tall',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-has-ignored': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-has-ignored',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, has ignored',
    story: 'pending, has ignored',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--pending-no-baseline-new-specs': {
    id: 'webapp-screens-snapshot-snapshotscreen--pending-no-baseline-new-specs',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'pending, no baseline (new specs)',
    story: 'pending, no baseline (new specs)',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline': {
    id: 'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'in progress, no baseline',
    story: 'in progress, no baseline',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline-one-complete': {
    id: 'webapp-screens-snapshot-snapshotscreen--in-progress-no-baseline-one-complete',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'in progress, no baseline, one complete',
    story: 'in progress, no baseline, one complete',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--disabled-because-of-newer-build': {
    id: 'webapp-screens-snapshot-snapshotscreen--disabled-because-of-newer-build',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'disabled because of newer build',
    story: 'disabled because of newer build',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--read-only-logged-in': {
    id: 'webapp-screens-snapshot-snapshotscreen--read-only-logged-in',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'read only logged in',
    story: 'read only logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--read-only-not-logged-in': {
    id: 'webapp-screens-snapshot-snapshotscreen--read-only-not-logged-in',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'read only not logged in',
    story: 'read only not logged in',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--failed': {
    id: 'webapp-screens-snapshot-snapshotscreen--failed',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'failed',
    story: 'failed',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--failed-cross-browser-one-complete': {
    id: 'webapp-screens-snapshot-snapshotscreen--failed-cross-browser-one-complete',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'failed, cross browser, one complete',
    story: 'failed, cross browser, one complete',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error': {
    id: 'webapp-screens-snapshot-snapshotscreen--error',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error',
    story: 'error',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-cross-browser-same': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-cross-browser-same',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, cross-browser, same',
    story: 'error, cross-browser, same',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-cross-browser-different': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-cross-browser-different',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, cross-browser, different',
    story: 'error, cross-browser, different',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-image-too-large': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-image-too-large',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, image too large',
    story: 'error, image too large',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, navigation timeout',
    story: 'error, navigation timeout',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout-cross-browser': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-navigation-timeout-cross-browser',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, navigation timeout, cross browser',
    story: 'error, navigation timeout, cross browser',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-no-js': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-no-js',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'Error No JS',
    story: 'Error No JS',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-failed-js': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-failed-js',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'Error Failed JS',
    story: 'Error Failed JS',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-story-missing': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-story-missing',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, story missing',
    story: 'error, story missing',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--error-metadata-loading': {
    id: 'webapp-screens-snapshot-snapshotscreen--error-metadata-loading',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'error, metadata loading',
    story: 'error, metadata loading',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--timeout-warning': {
    id: 'webapp-screens-snapshot-snapshotscreen--timeout-warning',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'timeoutWarning',
    story: 'timeoutWarning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
  'webapp-screens-snapshot-snapshotscreen--certificate-warning': {
    id: 'webapp-screens-snapshot-snapshotscreen--certificate-warning',
    kind: 'Webapp screens/Snapshot/SnapshotScreen',
    name: 'Certificate Warning',
    story: 'Certificate Warning',
    args: {},
    argTypes: {},
    initialArgs: {},
    depth: 3,
    parent: 'webapp-screens-snapshot-snapshotscreen',
    isLeaf: true,
    isComponent: false,
    isRoot: false,
  },
} as Dataset;
